//  Persistence of Vision Raytracer V3.1
//  World definition file.
//
//  Contains 17 lights, 41 materials and 627 primitives.
//
//  This file was generated for POV-Ray V3.1 by
//  Moray V3.2 For Windows Copyright (c) 1993-2000 Lutz + Kretzschmar
//

//  Date : 04/18/2000    (18.04.2000)
//

/*
  The text between these two comments is in MorayPOV.INC and is
  automatically included in all POV files that Moray exports.
*/

default {
  texture {
    pigment { rgb <1,0,0> }
  }
}

/* // Scene Comment

This scene was created with Moray For Windows.

*/ // End Scene Comment

global_settings {
  adc_bailout 0.003922
  ambient_light <1.0,1.0,1.0>
  assumed_gamma 1.9
  hf_gray_16 off
  irid_wavelength <0.247059,0.176471,0.137255>
  max_intersections 64
  max_trace_level 10
  number_of_waves 10
  radiosity {
    brightness       3.3
    count            100
    distance_maximum 0.0
    error_bound      0.4
    gray_threshold   0.5
    low_error_factor 0.8
    minimum_reuse    0.015
    nearest_count    6
    recursion_limit  1
  }
}

background { color <0.000,0.098,0.098> }

fog {
  fog_type 1    // Constant
  distance     2000.0
  color <0.0,0.0,0.34902,0.0,0.0>
}

camera {  //  Camera SceneCam
  location  <    -14.968,    -424.359,      24.000>
  sky       <    0.00000,     0.00000,     1.00000> // Use right handed-system 
  up        <        0.0,         0.0,         1.0> // Where Z is up
  right     <    1.34154,         0.0,         0.0> // Right Vector is adjusted to compensate for spherical (Moray) vs. planar (POV-Ray) aspect ratio
  angle         23.32825    // Vertical      17.496
  look_at   <     15.269,    -264.617,      -0.651>
}

//    Other cameras are commented out.
/*
camera {  //  Camera StdCam
  location  <   -660.041,   -2927.530,     200.000>
  sky       <    0.00000,     0.00000,     1.00000> // Use right handed-system 
  up        <        0.0,         0.0,         1.0> // Where Z is up
  right     <    1.33335,         0.0,         0.0> // Right Vector is adjusted to compensate for spherical (Moray) vs. planar (POV-Ray) aspect ratio
  angle          1.12056    // Vertical       0.840
  look_at   <     76.155,     -27.627,     -14.116>
}

*/

/*
camera {  //  Camera Camera01
  location  <     14.769,    -302.411,       9.000>
  sky       <    0.00000,     0.00000,     1.00000> // Use right handed-system 
  up        <        0.0,         0.0,         1.0> // Where Z is up
  right     <    1.33417,         0.0,         0.0> // Right Vector is adjusted to compensate for spherical (Moray) vs. planar (POV-Ray) aspect ratio
  angle          7.50116    // Vertical       5.626
  look_at   <      2.242,    -343.899,       2.707>
}

*/

//
// *******  L I G H T S *******
//

light_source {   // Light002
  <0.0, 0.0, 0.0>
  color rgb <1.000, 1.000, 1.000>*1.5000
  translate  <-11.904698, -333.235916, 0.172998>
}

light_source {   // Light001
  <0.0, 0.0, 0.0>
  color rgb <1.000, 1.000, 1.000>*2.0000
  translate  <-11.079442, -335.422843, 0.172998>
}

light_source {   // Spotlight Spotlight006
  <0.0, 0.0, 0.0>
  color rgb <1.000, 1.000, 1.000>*0.7500
  spotlight
    point_at  <0.0, 0.0, -2.000>
    falloff    76.462  // outer radius (in deg)
    radius     15.000  // inner radius
    tightness  0.000
  translate  <0.0, -250.0, 15.0>
}

light_source {   // Spotlight Spotlight003
  <0.0, 0.0, 0.0>
  color rgb <1.000, 1.000, 1.000>
  spotlight
    point_at  <0.0, 0.0, -2.000>
    falloff    15.000  // outer radius (in deg)
    radius     7.500  // inner radius
    tightness  0.000
  rotate -90.0*y
  translate  <-7.0, -300.0, 3.0>
}

light_source {   // Ext_Light
  <0.0, 0.0, 0.0>
  color rgb <1.000, 1.000, 1.000>*0.4500
  shadowless
  fade_distance  300.0
  fade_power 1.05
  translate  <0.0, -300.0, 400.0>
}

#declare Re_L1 = light_source {
  <0.0, 0.0, 0.0>
  color rgb <1.000, 1.000, 1.000>*0.7000
  fade_distance  0.1
  fade_power 1.1
  scale 0.5
  translate  <-6.5, 0.0, 3.4>
}

#declare Spotlight001 = light_source {   // Spotlight Spotlight001
  <0.0, 0.0, 0.0>
  color rgb <1.000, 1.000, 1.000>*3.0000
  spotlight
    point_at  <0.0, 0.0, -2.000>
    falloff    15.000  // outer radius (in deg)
    radius     7.500  // inner radius
    tightness  0.000
  rotate <75.0, 0.0, -10.0>
  translate  <0.7, 0.36, -0.4>
}

light_source {   // Dome_Light
  <0.0, 0.0, 0.0>
  color rgb <1.000, 1.000, 1.000>*2.0000
  translate  <42.0, -300.0, 17.0>
}

#declare Spotlight004 = light_source {   // Spotlight Spotlight004
  <0.0, 0.0, 0.0>
  color rgb <1.000, 1.000, 1.000>*3.0000
  spotlight
    point_at  <0.0, 0.0, -2.000>
    falloff    15.000  // outer radius (in deg)
    radius     7.500  // inner radius
    tightness  0.000
  rotate <75.0, 0.0, -190.0>
  translate  <-1.15, -1.46, -0.4>
}


//
// ********  MATERIALS  *******
//

#include "uw_city.inc"


//
// ********  REFERENCED OBJECTS  *******
//

#declare Aq_Plant = union { // Aq_Plant
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-0.518121, -0.728087, 0.081710>, <-0.535242, -0.655273, 0.004182>, <-0.564559, -0.441930, 0.252087>, <-0.669103, -0.436311, 0.226699>, 
      <-0.518121, -0.728087, 0.081710>, <-0.580786, -0.668171, -0.013123>, <-0.662990, -0.436640, 0.228183>, <-0.767534, -0.431021, 0.202796>, 
      <-0.518121, -0.728087, 0.081710>, <-0.580786, -0.668171, -0.013123>, <-0.633600, -0.642905, -0.030450>, <-0.683706, -0.648333, -0.030280>, 
      <-0.518121, -0.728087, 0.081710>, <-0.563665, -0.740985, 0.064404>, <-0.631047, -0.713897, 0.041950>, <-0.681153, -0.719325, 0.042119>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-0.518121, -0.728087, 0.081710>, <-0.469352, -0.714276, 0.100241>, <-0.423561, -0.662855, 0.133290>, <-0.383035, -0.634898, 0.155396>, 
      <-0.535242, -0.655273, 0.004182>, <-0.486473, -0.641462, 0.022713>, <-0.428134, -0.644131, 0.100039>, <-0.387608, -0.616174, 0.122145>, 
      <-0.564559, -0.441930, 0.252087>, <-0.507442, -0.475947, 0.230533>, <-0.495889, -0.576893, 0.102322>, <-0.450009, -0.575262, 0.155015>, 
      <-0.669103, -0.436311, 0.226699>, <-0.611986, -0.470329, 0.205145>, <-0.524592, -0.551335, 0.102159>, <-0.478712, -0.549703, 0.154852>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-0.518121, -0.728087, 0.081710>, <-0.535242, -0.655273, 0.004182>, <-0.564559, -0.441930, 0.252087>, <-0.669103, -0.436311, 0.226699>, 
      <-0.469352, -0.714276, 0.100241>, <-0.486473, -0.641462, 0.022713>, <-0.507442, -0.475947, 0.230533>, <-0.611986, -0.470329, 0.205145>, 
      <-0.423561, -0.662855, 0.133290>, <-0.428134, -0.644131, 0.100039>, <-0.507126, -0.541244, 0.176569>, <-0.535829, -0.515685, 0.176406>, 
      <-0.383035, -0.634898, 0.155396>, <-0.387608, -0.616174, 0.122145>, <-0.450009, -0.575262, 0.155015>, <-0.478712, -0.549703, 0.154852>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-0.518952, -0.860594, 0.895332>, <-0.470156, -0.840063, 0.902496>, <-0.412204, -0.814719, 0.940482>, <-0.366455, -0.795058, 0.959832>, 
      <-0.545861, -0.831033, 0.686266>, <-0.497065, -0.810502, 0.693431>, <-0.468806, -0.848827, 0.735796>, <-0.423057, -0.829166, 0.755146>, 
      <-0.475457, -0.909532, 0.274901>, <-0.426688, -0.895721, 0.293432>, <-0.391518, -0.794059, 0.366287>, <-0.350992, -0.766102, 0.388393>, 
      <-0.518121, -0.728087, 0.081710>, <-0.469352, -0.714276, 0.100241>, <-0.423561, -0.662855, 0.133290>, <-0.383035, -0.634898, 0.155396>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-0.644292, -0.911958, 0.919037>, <-0.604601, -0.901910, 0.913975>, <-0.556634, -0.876449, 0.889799>, <-0.518952, -0.860594, 0.895332>, 
      <-0.676074, -0.867803, 0.687218>, <-0.636383, -0.857755, 0.682157>, <-0.583543, -0.846888, 0.680733>, <-0.545861, -0.831033, 0.686266>, 
      <-0.673771, -0.924609, 0.251473>, <-0.623664, -0.919181, 0.251304>, <-0.521001, -0.922431, 0.257596>, <-0.475457, -0.909532, 0.274901>, 
      <-0.681153, -0.719325, 0.042119>, <-0.631047, -0.713897, 0.041950>, <-0.563665, -0.740985, 0.064404>, <-0.518121, -0.728087, 0.081710>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-0.741383, -0.916904, 0.923695>, <-0.766144, -1.096149, 0.658480>, <-0.829199, -0.993272, 0.238702>, <-0.822527, -0.761064, 0.082739>, 
      <-0.785406, -0.921235, 0.928861>, <-0.810166, -1.100481, 0.663647>, <-0.898747, -0.979086, 0.269196>, <-0.892076, -0.746878, 0.113234>, 
      <-0.843100, -0.930137, 0.940348>, <-0.881130, -1.100928, 0.680083>, <-1.005006, -0.909458, 0.315158>, <-0.965112, -0.682577, 0.160215>, 
      <-0.886693, -0.935808, 0.947485>, <-0.924723, -1.106600, 0.687220>, <-1.066114, -0.875821, 0.348362>, <-1.026220, -0.648939, 0.193419>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-0.741383, -0.916904, 0.923695>, <-0.712521, -0.914064, 0.920307>, <-0.672384, -0.919069, 0.922619>, <-0.644292, -0.911958, 0.919037>, 
      <-0.766144, -1.096149, 0.658480>, <-0.737282, -0.879019, 0.700207>, <-0.704166, -0.874914, 0.690800>, <-0.676074, -0.867803, 0.687218>, 
      <-0.829199, -0.993272, 0.238702>, <-0.787904, -1.001696, 0.220595>, <-0.719374, -0.929550, 0.251628>, <-0.673771, -0.924609, 0.251473>, 
      <-0.822527, -0.761064, 0.082739>, <-0.781232, -0.769487, 0.064632>, <-0.726756, -0.724265, 0.042273>, <-0.681153, -0.719325, 0.042119>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-0.724402, -0.899944, 1.178466>, <-0.735252, -0.761381, 1.101442>, <-0.732457, -0.929538, 1.023372>, <-0.741383, -0.916904, 0.923695>, 
      <-0.779549, -0.887132, 1.191172>, <-0.790399, -0.962860, 1.125427>, <-0.776479, -0.933869, 1.028538>, <-0.785406, -0.921235, 0.928861>, 
      <-0.830093, -0.845005, 1.242820>, <-0.833484, -0.943597, 1.149329>, <-0.824482, -0.951432, 1.073285>, <-0.843100, -0.930137, 0.940348>, 
      <-0.875389, -0.821460, 1.270400>, <-0.878780, -0.920051, 1.176909>, <-0.868075, -0.957103, 1.080422>, <-0.886693, -0.935808, 0.947485>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-0.724402, -0.899944, 1.178466>, <-0.779549, -0.887132, 1.191172>, <-0.830093, -0.845005, 1.242820>, <-0.875389, -0.821460, 1.270400>, 
      <-0.724402, -0.899944, 1.178466>, <-0.765815, -0.791279, 1.274391>, <-0.765428, -0.767189, 1.290423>, <-0.810724, -0.743644, 1.318004>, 
      <-0.724402, -0.899944, 1.178466>, <-0.765815, -0.791279, 1.274391>, <-0.764081, -0.731002, 1.326798>, <-0.744712, -0.629640, 1.401982>, 
      <-0.724402, -0.899944, 1.178466>, <-0.710668, -0.804091, 1.261685>, <-0.679209, -0.663434, 1.353895>, <-0.659840, -0.562072, 1.429079>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-0.553875, -0.896153, 1.196321>, <-0.565390, -0.766520, 1.117444>, <-0.632487, -0.928359, 1.026091>, <-0.644292, -0.911958, 0.919037>, 
      <-0.604550, -0.903441, 1.191220>, <-0.616065, -0.773809, 1.112343>, <-0.660578, -0.935471, 1.029673>, <-0.672384, -0.919069, 0.922619>, 
      <-0.675503, -0.911304, 1.167199>, <-0.686353, -0.772741, 1.090175>, <-0.703595, -0.926698, 1.019985>, <-0.712521, -0.914064, 0.920307>, 
      <-0.724402, -0.899944, 1.178466>, <-0.735252, -0.761381, 1.101442>, <-0.732457, -0.929538, 1.023372>, <-0.741383, -0.916904, 0.923695>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-0.553875, -0.896153, 1.196321>, <-0.604550, -0.903441, 1.191220>, <-0.675503, -0.911304, 1.167199>, <-0.724402, -0.899944, 1.178466>, 
      <-0.542405, -0.811823, 1.263658>, <-0.593080, -0.819112, 1.258557>, <-0.661769, -0.815451, 1.250418>, <-0.710668, -0.804091, 1.261685>, 
      <-0.564981, -0.673536, 1.316486>, <-0.591642, -0.669903, 1.335609>, <-0.654152, -0.643486, 1.361895>, <-0.679209, -0.663434, 1.353895>, 
      <-0.569740, -0.578129, 1.367985>, <-0.596402, -0.574496, 1.387108>, <-0.634783, -0.542124, 1.437079>, <-0.659840, -0.562072, 1.429079>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-0.403671, -0.853815, 1.210749>, <-0.393927, -0.788955, 1.260267>, <-0.433499, -0.669964, 1.256358>, <-0.446283, -0.591171, 1.275904>, 
      <-0.298534, -0.752550, 1.257734>, <-0.288789, -0.687690, 1.307252>, <-0.381222, -0.646411, 1.259476>, <-0.394006, -0.567618, 1.279023>, 
      <-0.201477, -0.587436, 1.337997>, <-0.198679, -0.534223, 1.378806>, <-0.303649, -0.508874, 1.353247>, <-0.370689, -0.509048, 1.350025>, 
      <-0.114823, -0.473273, 1.392531>, <-0.112024, -0.420060, 1.433341>, <-0.271251, -0.473679, 1.385013>, <-0.338292, -0.473853, 1.381791>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-0.403671, -0.853815, 1.210749>, <-0.298534, -0.752550, 1.257734>, <-0.201477, -0.587436, 1.337997>, <-0.114823, -0.473273, 1.392531>, 
      <-0.417660, -0.946929, 1.139660>, <-0.312522, -0.845664, 1.186646>, <-0.210569, -0.760311, 1.205415>, <-0.123915, -0.646148, 1.259950>, 
      <-0.507126, -0.873585, 1.011997>, <-0.458329, -0.853054, 1.019162>, <-0.366376, -0.719432, 1.163144>, <-0.320627, -0.699771, 1.182494>, 
      <-0.518952, -0.860594, 0.895332>, <-0.470156, -0.840063, 0.902496>, <-0.412204, -0.814719, 0.940482>, <-0.366455, -0.795058, 0.959832>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-0.403671, -0.853815, 1.210749>, <-0.417660, -0.946929, 1.139660>, <-0.507126, -0.873585, 1.011997>, <-0.518952, -0.860594, 0.895332>, 
      <-0.435906, -0.884863, 1.196343>, <-0.449895, -0.763687, 1.113976>, <-0.544808, -0.889440, 1.006465>, <-0.556634, -0.876449, 0.889799>, 
      <-0.507567, -0.889493, 1.200982>, <-0.519081, -0.759860, 1.122105>, <-0.592796, -0.918311, 1.021030>, <-0.604601, -0.901910, 0.913975>, 
      <-0.553875, -0.896153, 1.196321>, <-0.565390, -0.766520, 1.117444>, <-0.632487, -0.928359, 1.026091>, <-0.644292, -0.911958, 0.919037>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-0.403671, -0.853815, 1.210749>, <-0.435906, -0.884863, 1.196343>, <-0.507567, -0.889493, 1.200982>, <-0.553875, -0.896153, 1.196321>, 
      <-0.393927, -0.788955, 1.260267>, <-0.426162, -0.820002, 1.245862>, <-0.496096, -0.805163, 1.268319>, <-0.542405, -0.811823, 1.263658>, 
      <-0.433499, -0.669964, 1.256358>, <-0.475714, -0.688983, 1.253840>, <-0.527530, -0.678639, 1.289624>, <-0.564981, -0.673536, 1.316486>, 
      <-0.446283, -0.591171, 1.275904>, <-0.488498, -0.610190, 1.273386>, <-0.532289, -0.583232, 1.341123>, <-0.569740, -0.578129, 1.367985>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-0.241056, 0.225017, 0.306700>, <-0.272019, 0.132388, 0.221556>, <-0.282423, -0.035688, 0.454091>, <-0.300151, -0.147419, 0.517259>, 
      <-0.137190, 0.196901, 0.352929>, <-0.168153, 0.104272, 0.267785>, <-0.232052, -0.032848, 0.483330>, <-0.249781, -0.144579, 0.546497>, 
      <-0.032842, 0.092630, 0.424151>, <-0.070102, 0.028231, 0.375686>, <-0.127822, -0.086834, 0.546149>, <-0.185761, -0.137634, 0.590272>, 
      <0.056393, 0.035892, 0.474487>, <0.019133, -0.028507, 0.426023>, <-0.078798, -0.082640, 0.577440>, <-0.136737, -0.133440, 0.621563>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-0.443565, 0.305645, 0.905691>, <-0.463421, 0.262612, 0.712614>, <-0.639574, 0.318071, 0.454537>, <-0.704759, 0.204246, 0.305139>, 
      <-0.508353, 0.264079, 0.884795>, <-0.528209, 0.221046, 0.691718>, <-0.714681, 0.301841, 0.482629>, <-0.779866, 0.188016, 0.333231>, 
      <-0.561608, 0.172157, 0.851995>, <-0.580129, 0.128618, 0.705016>, <-0.828762, 0.184662, 0.518584>, <-0.854064, 0.114599, 0.383333>, 
      <-0.612198, 0.114948, 0.828983>, <-0.630719, 0.071409, 0.682003>, <-0.892750, 0.146241, 0.552096>, <-0.918052, 0.076179, 0.416845>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-0.289989, 0.321668, 0.932903>, <-0.287658, 0.257877, 0.725554>, <-0.358346, 0.291177, 0.398560>, <-0.458940, 0.175392, 0.245122>, 
      <-0.336888, 0.322861, 0.929505>, <-0.334556, 0.259070, 0.722155>, <-0.434673, 0.287758, 0.398303>, <-0.535267, 0.171973, 0.244865>, 
      <-0.405358, 0.330157, 0.918014>, <-0.425214, 0.287124, 0.724936>, <-0.569434, 0.333228, 0.428302>, <-0.634619, 0.219403, 0.278905>, 
      <-0.443565, 0.305645, 0.905691>, <-0.463421, 0.262612, 0.712614>, <-0.639574, 0.318071, 0.454537>, <-0.704759, 0.204246, 0.305139>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-0.151191, 0.298209, 0.926877>, <-0.086760, 0.269786, 0.911536>, <-0.016042, 0.212152, 0.875785>, <0.041879, 0.175270, 0.853888>, 
      <-0.150472, 0.253219, 0.743029>, <-0.086041, 0.224796, 0.727688>, <-0.019283, 0.167136, 0.763155>, <0.038638, 0.130255, 0.741258>, 
      <-0.195826, 0.360329, 0.431077>, <-0.091960, 0.332212, 0.477306>, <0.018074, 0.180630, 0.490377>, <0.107309, 0.123892, 0.540713>, 
      <-0.241056, 0.225017, 0.306700>, <-0.137190, 0.196901, 0.352929>, <-0.032842, 0.092630, 0.424151>, <0.056393, 0.035892, 0.474487>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-0.151191, 0.298209, 0.926877>, <-0.150472, 0.253219, 0.743029>, <-0.195826, 0.360329, 0.431077>, <-0.241056, 0.225017, 0.306700>, 
      <-0.188978, 0.314878, 0.935874>, <-0.188259, 0.269888, 0.752026>, <-0.257497, 0.377023, 0.403629>, <-0.302727, 0.241711, 0.279251>, 
      <-0.247845, 0.320596, 0.935957>, <-0.245513, 0.256805, 0.728607>, <-0.288878, 0.294289, 0.398794>, <-0.389472, 0.178504, 0.245356>, 
      <-0.289989, 0.321668, 0.932903>, <-0.287658, 0.257877, 0.725554>, <-0.358346, 0.291177, 0.398560>, <-0.458940, 0.175392, 0.245122>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-0.247307, 0.616374, 1.905954>, <-0.141284, 0.592605, 1.883165>, <-0.008505, 0.574124, 1.814890>, <0.093838, 0.556017, 1.775862>, 
      <-0.186212, 0.627507, 1.602048>, <-0.080189, 0.603738, 1.579259>, <0.075462, 0.544984, 1.528719>, <0.177805, 0.526877, 1.489691>, 
      <-0.152369, 0.371939, 1.228171>, <-0.087937, 0.343517, 1.212830>, <-0.008039, 0.323323, 1.153940>, <0.049883, 0.286441, 1.132043>, 
      <-0.151191, 0.298209, 0.926877>, <-0.086760, 0.269786, 0.911536>, <-0.016042, 0.212152, 0.875785>, <0.041879, 0.175270, 0.853888>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-0.247307, 0.616374, 1.905954>, <-0.273596, 0.611583, 2.036725>, <-0.348067, 0.363036, 2.056488>, <-0.391250, 0.254463, 2.121003>, 
      <-0.141284, 0.592605, 1.883165>, <-0.167573, 0.587814, 2.013936>, <-0.320039, 0.370191, 2.044510>, <-0.363222, 0.261617, 2.109024>, 
      <-0.008505, 0.574124, 1.814890>, <-0.055838, 0.590550, 1.976204>, <-0.214808, 0.362648, 1.995713>, <-0.337148, 0.285470, 2.082944>, 
      <0.093838, 0.556017, 1.775862>, <0.046505, 0.572443, 1.937177>, <-0.191621, 0.375936, 1.979402>, <-0.313961, 0.298759, 2.066633>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-0.477532, 0.684110, 1.898676>, <-0.496523, 0.677264, 2.040548>, <-0.457915, 0.390145, 2.056796>, <-0.449507, 0.264160, 2.124562>, 
      <-0.421239, 0.703039, 1.939429>, <-0.440230, 0.696192, 2.081300>, <-0.440447, 0.387088, 2.057560>, <-0.432039, 0.261103, 2.125326>, 
      <-0.316094, 0.631795, 1.920739>, <-0.342383, 0.627004, 2.051510>, <-0.363957, 0.358980, 2.063279>, <-0.407140, 0.250407, 2.127794>, 
      <-0.247307, 0.616374, 1.905954>, <-0.273596, 0.611583, 2.036725>, <-0.348067, 0.363036, 2.056488>, <-0.391250, 0.254463, 2.121003>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-0.477532, 0.684110, 1.898676>, <-0.421239, 0.703039, 1.939429>, <-0.316094, 0.631795, 1.920739>, <-0.247307, 0.616374, 1.905954>, 
      <-0.435848, 0.699138, 1.587277>, <-0.379554, 0.718067, 1.628030>, <-0.254999, 0.642928, 1.616834>, <-0.186212, 0.627507, 1.602048>, 
      <-0.293369, 0.414152, 1.233516>, <-0.251225, 0.413080, 1.236570>, <-0.190156, 0.388608, 1.237167>, <-0.152369, 0.371939, 1.228171>, 
      <-0.289989, 0.321668, 0.932903>, <-0.247845, 0.320596, 0.935957>, <-0.188978, 0.314878, 0.935874>, <-0.151191, 0.298209, 0.926877>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-0.563685, 0.509991, 1.676916>, <-0.605999, 0.472321, 1.632185>, <-0.550438, 0.449410, 1.401194>, <-0.612431, 0.423446, 1.374866>, 
      <-0.572779, 0.506393, 1.826303>, <-0.615093, 0.468723, 1.781572>, <-0.709395, 0.477023, 1.776283>, <-0.771388, 0.451060, 1.749955>, 
      <-0.531155, 0.346554, 1.983921>, <-0.563957, 0.359935, 1.980031>, <-0.634500, 0.343567, 1.953105>, <-0.665515, 0.360800, 1.949739>, 
      <-0.517213, 0.276510, 2.115494>, <-0.550015, 0.289891, 2.111604>, <-0.589580, 0.316719, 2.107641>, <-0.620594, 0.333951, 2.104275>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-0.563685, 0.509991, 1.676916>, <-0.548982, 0.515808, 1.435384>, <-0.419390, 0.358038, 1.140762>, <-0.443565, 0.305645, 0.905691>, 
      <-0.605999, 0.472321, 1.632185>, <-0.591296, 0.478137, 1.390653>, <-0.484178, 0.316472, 1.119866>, <-0.508353, 0.264079, 0.884795>, 
      <-0.550438, 0.449410, 1.401194>, <-0.706709, 0.406988, 1.368459>, <-0.531543, 0.242833, 1.090584>, <-0.561608, 0.172157, 0.851995>, 
      <-0.612431, 0.423446, 1.374866>, <-0.768703, 0.381025, 1.342131>, <-0.582133, 0.185624, 1.067572>, <-0.612198, 0.114948, 0.828983>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-0.563685, 0.509991, 1.676916>, <-0.572779, 0.506393, 1.826303>, <-0.531155, 0.346554, 1.983921>, <-0.517213, 0.276510, 2.115494>, 
      <-0.511838, 0.556148, 1.731724>, <-0.520932, 0.552551, 1.881111>, <-0.511987, 0.338735, 1.986193>, <-0.498045, 0.268691, 2.117767>, 
      <-0.546656, 0.660867, 1.848634>, <-0.565647, 0.654020, 1.990506>, <-0.478409, 0.393732, 2.055900>, <-0.470002, 0.267747, 2.123666>, 
      <-0.477532, 0.684110, 1.898676>, <-0.496523, 0.677264, 2.040548>, <-0.457915, 0.390145, 2.056796>, <-0.449507, 0.264160, 2.124562>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-0.563685, 0.509991, 1.676916>, <-0.511838, 0.556148, 1.731724>, <-0.546656, 0.660867, 1.848634>, <-0.477532, 0.684110, 1.898676>, 
      <-0.548982, 0.515808, 1.435384>, <-0.497134, 0.561965, 1.490193>, <-0.504972, 0.675895, 1.537235>, <-0.435848, 0.699138, 1.587277>, 
      <-0.419390, 0.358038, 1.140762>, <-0.381184, 0.382550, 1.153084>, <-0.340268, 0.415345, 1.230118>, <-0.293369, 0.414152, 1.233516>, 
      <-0.443565, 0.305645, 0.905691>, <-0.405358, 0.330157, 0.918014>, <-0.336888, 0.322861, 0.929505>, <-0.289989, 0.321668, 0.932903>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-0.713650, -0.165974, 0.286683>, <-0.774971, -0.093328, 0.325732>, <-0.934893, 0.029545, 0.326822>, <-0.918052, 0.076179, 0.416845>, 
      <-0.713650, -0.165974, 0.286683>, <-0.862600, -0.106067, 0.393054>, <-0.870905, 0.067965, 0.293310>, <-0.854064, 0.114599, 0.383333>, 
      <-0.713650, -0.165974, 0.286683>, <-0.862600, -0.106067, 0.393054>, <-0.816337, 0.124329, 0.249642>, <-0.779866, 0.188016, 0.333231>, 
      <-0.713650, -0.165974, 0.286683>, <-0.801280, -0.178713, 0.354005>, <-0.741231, 0.140559, 0.221549>, <-0.704759, 0.204246, 0.305139>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-0.713650, -0.165974, 0.286683>, <-0.807421, -0.310864, 0.258704>, <-1.001096, -0.506055, 0.095840>, <-1.026220, -0.648939, 0.193419>, 
      <-0.713650, -0.165974, 0.286683>, <-0.762605, -0.494943, 0.230624>, <-0.939988, -0.539692, 0.062636>, <-0.965112, -0.682577, 0.160215>, 
      <-0.713650, -0.165974, 0.286683>, <-0.762605, -0.494943, 0.230624>, <-0.887509, -0.587930, 0.006477>, <-0.892076, -0.746878, 0.113234>, 
      <-0.713650, -0.165974, 0.286683>, <-0.668834, -0.350053, 0.258603>, <-0.817960, -0.602117, -0.024018>, <-0.822527, -0.761064, 0.082739>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-0.713650, -0.165974, 0.286683>, <-0.668834, -0.350053, 0.258603>, <-0.817960, -0.602117, -0.024018>, <-0.822527, -0.761064, 0.082739>, 
      <-0.700286, -0.247075, 0.268688>, <-0.655470, -0.431155, 0.240608>, <-0.771026, -0.610540, -0.008289>, <-0.781232, -0.769487, 0.064632>, 
      <-0.682467, -0.355210, 0.244694>, <-0.780898, -0.349920, 0.220791>, <-0.729309, -0.653273, -0.030126>, <-0.726756, -0.724265, 0.042273>, 
      <-0.669103, -0.436311, 0.226699>, <-0.767534, -0.431021, 0.202796>, <-0.683706, -0.648333, -0.030280>, <-0.681153, -0.719325, 0.042119>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-0.713650, -0.165974, 0.286683>, <-0.801280, -0.178713, 0.354005>, <-0.741231, 0.140559, 0.221549>, <-0.704759, 0.204246, 0.305139>, 
      <-0.713650, -0.165974, 0.286683>, <-0.724866, -0.076303, 0.341537>, <-0.671091, 0.155716, 0.195315>, <-0.634619, 0.219403, 0.278905>, 
      <-0.713650, -0.165974, 0.286683>, <-0.724866, -0.076303, 0.341537>, <-0.594794, 0.103457, 0.154067>, <-0.535267, 0.171973, 0.244865>, 
      <-0.713650, -0.165974, 0.286683>, <-0.637237, -0.063564, 0.274215>, <-0.518467, 0.106876, 0.154324>, <-0.458940, 0.175392, 0.245122>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-0.713650, -0.165974, 0.286683>, <-0.637237, -0.063564, 0.274215>, <-0.518467, 0.106876, 0.154324>, <-0.458940, 0.175392, 0.245122>, 
      <-0.774971, -0.093328, 0.325732>, <-0.698558, 0.009082, 0.313263>, <-0.594794, 0.103457, 0.154067>, <-0.535267, 0.171973, 0.244865>, 
      <-0.934893, 0.029545, 0.326822>, <-0.870905, 0.067965, 0.293310>, <-0.709726, 0.203173, 0.306997>, <-0.634619, 0.219403, 0.278905>, 
      <-0.918052, 0.076179, 0.416845>, <-0.854064, 0.114599, 0.383333>, <-0.779866, 0.188016, 0.333231>, <-0.704759, 0.204246, 0.305139>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-0.713650, -0.165974, 0.286683>, <-0.589600, -0.160408, 0.355856>, <-0.422937, -0.154343, 0.445986>, <-0.300151, -0.147419, 0.517259>, 
      <-0.637237, -0.063564, 0.274215>, <-0.513187, -0.057998, 0.343388>, <-0.405208, -0.042612, 0.382818>, <-0.282423, -0.035688, 0.454091>, 
      <-0.518467, 0.106876, 0.154324>, <-0.448999, 0.109987, 0.154558>, <-0.333691, 0.149083, 0.194107>, <-0.272019, 0.132388, 0.221556>, 
      <-0.458940, 0.175392, 0.245122>, <-0.389472, 0.178504, 0.245356>, <-0.302727, 0.241711, 0.279251>, <-0.241056, 0.225017, 0.306700>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-1.003358, -0.018308, 0.196040>, <-0.975247, -0.029038, 0.099343>, <-0.737347, -0.068641, 0.301530>, <-0.713650, -0.165974, 0.286683>, 
      <-1.003358, -0.018308, 0.196040>, <-0.918968, 0.075975, 0.071979>, <-0.767937, 0.074911, 0.230512>, <-0.744241, -0.022422, 0.215665>, 
      <-1.003358, -0.018308, 0.196040>, <-0.918968, 0.075975, 0.071979>, <-0.841350, 0.069728, 0.164799>, <-0.785028, 0.168980, 0.120973>, 
      <-1.003358, -0.018308, 0.196040>, <-0.947079, 0.086705, 0.168676>, <-0.871941, 0.213280, 0.093781>, <-0.815619, 0.312532, 0.049955>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-1.003358, -0.018308, 0.196040>, <-0.975247, -0.029038, 0.099343>, <-0.737347, -0.068641, 0.301530>, <-0.713650, -0.165974, 0.286683>, 
      <-1.003358, -0.018308, 0.196040>, <-0.918968, 0.075975, 0.071979>, <-0.767937, 0.074911, 0.230512>, <-0.744241, -0.022422, 0.215665>, 
      <-1.003358, -0.018308, 0.196040>, <-0.918968, 0.075975, 0.071979>, <-0.849550, 0.168680, -0.010696>, <-0.787589, 0.267932, -0.020686>, 
      <-1.003358, -0.018308, 0.196040>, <-0.947079, 0.086705, 0.168676>, <-0.871941, 0.213280, 0.093781>, <-0.815619, 0.312532, 0.049955>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-1.074713, -0.170925, 0.175932>, <-1.031133, -0.172907, 0.071357>, <-0.818159, -0.189699, 0.323481>, <-0.713650, -0.165974, 0.286683>, 
      <-1.074713, -0.170925, 0.175932>, <-1.006462, -0.129440, 0.061720>, <-0.841856, -0.092366, 0.338328>, <-0.737347, -0.068641, 0.301530>, 
      <-1.074713, -0.170925, 0.175932>, <-1.006462, -0.129440, 0.061720>, <-0.998680, -0.072764, 0.110737>, <-0.975247, -0.029038, 0.099343>, 
      <-1.074713, -0.170925, 0.175932>, <-1.050043, -0.127458, 0.166295>, <-1.026792, -0.062034, 0.207434>, <-1.003358, -0.018308, 0.196040>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-1.074713, -0.170925, 0.175932>, <-1.031133, -0.172907, 0.071357>, <-0.818159, -0.189699, 0.323481>, <-0.713650, -0.165974, 0.286683>, 
      <-1.050043, -0.127458, 0.166295>, <-1.006462, -0.129440, 0.061720>, <-0.848750, -0.046147, 0.252462>, <-0.744241, -0.022422, 0.215665>, 
      <-1.026792, -0.062034, 0.207434>, <-0.970513, 0.042979, 0.180070>, <-0.841350, 0.069728, 0.164799>, <-0.785028, 0.168980, 0.120973>, 
      <-1.003358, -0.018308, 0.196040>, <-0.947079, 0.086705, 0.168676>, <-0.871941, 0.213280, 0.093781>, <-0.815619, 0.312532, 0.049955>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-1.074713, -0.170925, 0.175932>, <-1.031133, -0.172907, 0.071357>, <-0.818159, -0.189699, 0.323481>, <-0.713650, -0.165974, 0.286683>, 
      <-1.050043, -0.127458, 0.166295>, <-1.006462, -0.129440, 0.061720>, <-0.848750, -0.046147, 0.252462>, <-0.744241, -0.022422, 0.215665>, 
      <-1.026792, -0.062034, 0.207434>, <-0.970513, 0.042979, 0.180070>, <-0.849550, 0.168680, -0.010696>, <-0.787589, 0.267932, -0.020686>, 
      <-1.003358, -0.018308, 0.196040>, <-0.947079, 0.086705, 0.168676>, <-0.871941, 0.213280, 0.093781>, <-0.815619, 0.312532, 0.049955>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-1.031304, -0.377183, 1.035500>, <-1.029536, -0.384974, 0.798607>, <-1.249358, -0.327171, 0.482223>, <-1.168035, -0.308455, 0.260371>, 
      <-1.006117, -0.429749, 0.999506>, <-1.004349, -0.437540, 0.762613>, <-1.261095, -0.379422, 0.509029>, <-1.179772, -0.360706, 0.287177>, 
      <-0.953799, -0.511318, 0.996098>, <-0.939546, -0.521603, 0.792053>, <-1.216960, -0.469497, 0.507554>, <-1.152934, -0.435764, 0.315966>, 
      <-0.920583, -0.568805, 0.979212>, <-0.906329, -0.579089, 0.775167>, <-1.210488, -0.524058, 0.531381>, <-1.146462, -0.490325, 0.339792>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-1.122513, -0.147376, 1.267782>, <-1.109258, -0.165190, 0.940590>, <-1.200845, -0.165188, 0.478596>, <-1.074713, -0.170925, 0.175932>, 
      <-1.144817, -0.242038, 1.237793>, <-1.131563, -0.259852, 0.910600>, <-1.227952, -0.212947, 0.489185>, <-1.101819, -0.218684, 0.186521>, 
      <-1.068722, -0.299092, 1.088972>, <-1.066954, -0.306882, 0.852080>, <-1.238396, -0.278375, 0.457190>, <-1.157074, -0.259659, 0.235338>, 
      <-1.031304, -0.377183, 1.035500>, <-1.029536, -0.384974, 0.798607>, <-1.249358, -0.327171, 0.482223>, <-1.168035, -0.308455, 0.260371>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-0.959434, -0.072156, 1.132135>, <-0.958240, -0.080450, 0.850658>, <-1.081526, 0.011530, 0.464924>, <-1.003358, -0.018308, 0.196040>, 
      <-0.916977, -0.042543, 1.103724>, <-0.915784, -0.050837, 0.822248>, <-1.025248, 0.116542, 0.437560>, <-0.947079, 0.086705, 0.168676>, 
      <-0.866452, 0.019667, 1.088477>, <-0.847703, 0.043913, 0.774699>, <-0.915234, 0.299516, 0.393923>, <-0.871941, 0.213280, 0.093781>, 
      <-0.826603, 0.059019, 1.069767>, <-0.807854, 0.083265, 0.755988>, <-0.858912, 0.398768, 0.350098>, <-0.815619, 0.312532, 0.049955>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-0.959434, -0.072156, 1.132135>, <-1.007981, -0.106017, 1.164621>, <-1.107716, -0.084575, 1.287678>, <-1.122513, -0.147376, 1.267782>, 
      <-0.958240, -0.080450, 0.850658>, <-1.006787, -0.114312, 0.883145>, <-1.094461, -0.102389, 0.960486>, <-1.109258, -0.165190, 0.940590>, 
      <-1.081526, 0.011530, 0.464924>, <-1.104960, -0.032196, 0.476318>, <-1.176175, -0.121721, 0.468959>, <-1.200845, -0.165188, 0.478596>, 
      <-1.003358, -0.018308, 0.196040>, <-1.026792, -0.062034, 0.207434>, <-1.050043, -0.127458, 0.166295>, <-1.074713, -0.170925, 0.175932>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-1.009622, 0.025218, 1.673109>, <-1.049074, 0.059725, 1.516037>, <-0.960136, -0.067279, 1.297648>, <-0.959434, -0.072156, 1.132135>, 
      <-0.973740, 0.069021, 1.662562>, <-1.013192, 0.103528, 1.505490>, <-0.917679, -0.037666, 1.269237>, <-0.916977, -0.042543, 1.103724>, 
      <-0.940820, 0.139695, 1.658173>, <-0.944640, 0.193694, 1.485789>, <-0.877198, 0.005771, 1.268305>, <-0.866452, 0.019667, 1.088477>, 
      <-0.911333, 0.188757, 1.651772>, <-0.915153, 0.242756, 1.479388>, <-0.837348, 0.045123, 1.249595>, <-0.826603, 0.059019, 1.069767>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-1.009622, 0.025218, 1.673109>, <-0.973740, 0.069021, 1.662562>, <-0.940820, 0.139695, 1.658173>, <-0.911333, 0.188757, 1.651772>, 
      <-0.986344, 0.004858, 1.765786>, <-0.950462, 0.048661, 1.755239>, <-0.938568, 0.107866, 1.759786>, <-0.909081, 0.156927, 1.753384>, 
      <-0.864134, -0.139467, 1.733788>, <-0.860778, -0.119520, 1.723015>, <-0.838803, -0.064389, 1.711907>, <-0.841919, -0.044877, 1.700297>, 
      <-0.801782, -0.210046, 1.759794>, <-0.798426, -0.190099, 1.749020>, <-0.809054, -0.164518, 1.732703>, <-0.812170, -0.145006, 1.721093>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-1.137189, -0.086957, 1.718162>, <-1.111115, -0.043263, 1.704350>, <-1.042468, -0.014878, 1.682764>, <-1.009622, 0.025218, 1.673109>, 
      <-1.085101, -0.103622, 1.807672>, <-1.059027, -0.059928, 1.793860>, <-1.019189, -0.035239, 1.775441>, <-0.986344, 0.004858, 1.765786>, 
      <-0.921036, -0.195118, 1.756685>, <-0.912475, -0.185756, 1.753879>, <-0.866036, -0.150775, 1.739896>, <-0.864134, -0.139467, 1.733788>, 
      <-0.828399, -0.241472, 1.773195>, <-0.819838, -0.232111, 1.770388>, <-0.803685, -0.221355, 1.765902>, <-0.801782, -0.210046, 1.759794>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-1.137189, -0.086957, 1.718162>, <-1.204920, -0.065288, 1.601772>, <-1.128026, -0.139967, 1.403864>, <-1.122513, -0.147376, 1.267782>, 
      <-1.111115, -0.043263, 1.704350>, <-1.178846, -0.021594, 1.587960>, <-1.113229, -0.077166, 1.423760>, <-1.107716, -0.084575, 1.287678>, 
      <-1.042468, -0.014878, 1.682764>, <-1.081920, 0.019629, 1.525692>, <-1.008683, -0.101140, 1.330134>, <-1.007981, -0.106017, 1.164621>, 
      <-1.009622, 0.025218, 1.673109>, <-1.049074, 0.059725, 1.516037>, <-0.960136, -0.067279, 1.297648>, <-0.959434, -0.072156, 1.132135>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-1.179249, -0.259039, 1.762962>, <-1.158535, -0.246740, 1.854877>, <-0.958238, -0.272000, 1.774912>, <-0.863519, -0.277554, 1.780033>, 
      <-1.195301, -0.307798, 1.770387>, <-1.174587, -0.295498, 1.862302>, <-0.979291, -0.286458, 1.780229>, <-0.884572, -0.292013, 1.785350>, 
      <-1.226166, -0.370528, 1.766922>, <-1.228170, -0.341873, 1.860389>, <-1.008220, -0.335513, 1.784967>, <-0.915800, -0.305086, 1.794659>, 
      <-1.246273, -0.418309, 1.768619>, <-1.248277, -0.389654, 1.862086>, <-1.030626, -0.347313, 1.791235>, <-0.938206, -0.316886, 1.800928>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-1.179249, -0.259039, 1.762962>, <-1.195301, -0.307798, 1.770387>, <-1.226166, -0.370528, 1.766922>, <-1.246273, -0.418309, 1.768619>, 
      <-1.228409, -0.288229, 1.544821>, <-1.244460, -0.336988, 1.552246>, <-1.220833, -0.446760, 1.518266>, <-1.240940, -0.494541, 1.519963>, 
      <-1.032986, -0.369771, 1.260881>, <-1.007799, -0.422337, 1.224886>, <-0.971904, -0.498256, 1.255273>, <-0.938688, -0.555742, 1.238386>, 
      <-1.031304, -0.377183, 1.035500>, <-1.006117, -0.429749, 0.999506>, <-0.953799, -0.511318, 0.996098>, <-0.920583, -0.568805, 0.979212>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-1.179249, -0.259039, 1.762962>, <-1.228409, -0.288229, 1.544821>, <-1.032986, -0.369771, 1.260881>, <-1.031304, -0.377183, 1.035500>, 
      <-1.162284, -0.207507, 1.755115>, <-1.211444, -0.236697, 1.536974>, <-1.070404, -0.291679, 1.314353>, <-1.068722, -0.299092, 1.088972>, 
      <-1.164298, -0.132386, 1.732522>, <-1.232029, -0.110717, 1.616132>, <-1.150330, -0.234628, 1.373875>, <-1.144817, -0.242038, 1.237793>, 
      <-1.137189, -0.086957, 1.718162>, <-1.204920, -0.065288, 1.601772>, <-1.128026, -0.139967, 1.403864>, <-1.122513, -0.147376, 1.267782>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-1.179249, -0.259039, 1.762962>, <-1.162284, -0.207507, 1.755115>, <-1.164298, -0.132386, 1.732522>, <-1.137189, -0.086957, 1.718162>, 
      <-1.158535, -0.246740, 1.854877>, <-1.141571, -0.195207, 1.847030>, <-1.112210, -0.149051, 1.822032>, <-1.085101, -0.103622, 1.807672>, 
      <-0.958238, -0.272000, 1.774912>, <-0.945936, -0.263550, 1.771805>, <-0.931081, -0.206101, 1.759978>, <-0.921036, -0.195118, 1.756685>, 
      <-0.863519, -0.277554, 1.780033>, <-0.851217, -0.269105, 1.776926>, <-0.838444, -0.252456, 1.776488>, <-0.828399, -0.241472, 1.773195>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-0.718529, -0.305201, 0.182237>, <-0.711525, -0.347708, 0.172805>, <-0.683931, -0.396978, 0.213360>, <-0.669103, -0.436311, 0.226699>, 
      <-0.848595, -0.315825, 0.223532>, <-0.841591, -0.358332, 0.214100>, <-0.827139, -0.413182, 0.247288>, <-0.812311, -0.452515, 0.260627>, 
      <-1.121073, -0.297647, 0.132257>, <-1.132811, -0.349898, 0.159063>, <-1.106646, -0.411377, 0.177456>, <-1.100174, -0.465938, 0.201283>, 
      <-1.168035, -0.308455, 0.260371>, <-1.179772, -0.360706, 0.287177>, <-1.152934, -0.435764, 0.315966>, <-1.146462, -0.490325, 0.339792>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-0.718529, -0.305201, 0.182237>, <-0.726825, -0.254853, 0.193409>, <-0.715114, -0.207742, 0.255349>, <-0.713650, -0.165974, 0.286683>, 
      <-0.848595, -0.315825, 0.223532>, <-0.856892, -0.265477, 0.234703>, <-0.819623, -0.231467, 0.292147>, <-0.818159, -0.189699, 0.323481>, 
      <-1.121073, -0.297647, 0.132257>, <-1.110112, -0.248852, 0.107224>, <-1.058239, -0.220666, 0.081946>, <-1.031133, -0.172907, 0.071357>, 
      <-1.168035, -0.308455, 0.260371>, <-1.157074, -0.259659, 0.235338>, <-1.101819, -0.218684, 0.186521>, <-1.074713, -0.170925, 0.175932>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-0.718529, -0.305201, 0.182237>, <-0.848595, -0.315825, 0.223532>, <-1.121073, -0.297647, 0.132257>, <-1.168035, -0.308455, 0.260371>, 
      <-0.726825, -0.254853, 0.193409>, <-0.856892, -0.265477, 0.234703>, <-1.110112, -0.248852, 0.107224>, <-1.157074, -0.259659, 0.235338>, 
      <-0.715114, -0.207742, 0.255349>, <-0.819623, -0.231467, 0.292147>, <-1.058239, -0.220666, 0.081946>, <-1.101819, -0.218684, 0.186521>, 
      <-0.713650, -0.165974, 0.286683>, <-0.818159, -0.189699, 0.323481>, <-1.031133, -0.172907, 0.071357>, <-1.074713, -0.170925, 0.175932>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-0.718529, -0.305201, 0.182237>, <-0.848595, -0.315825, 0.223532>, <-1.121073, -0.297647, 0.132257>, <-1.168035, -0.308455, 0.260371>, 
      <-0.711525, -0.347708, 0.172805>, <-0.841591, -0.358332, 0.214100>, <-1.132811, -0.349898, 0.159063>, <-1.179772, -0.360706, 0.287177>, 
      <-0.683931, -0.396978, 0.213360>, <-0.827139, -0.413182, 0.247288>, <-1.106646, -0.411377, 0.177456>, <-1.152934, -0.435764, 0.315966>, 
      <-0.669103, -0.436311, 0.226699>, <-0.812311, -0.452515, 0.260627>, <-1.100174, -0.465938, 0.201283>, <-1.146462, -0.490325, 0.339792>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-0.718529, -0.305201, 0.182237>, <-0.726825, -0.254853, 0.193409>, <-0.715114, -0.207742, 0.255349>, <-0.713650, -0.165974, 0.286683>, 
      <-0.718529, -0.305201, 0.182237>, <-0.719821, -0.297360, 0.183977>, <-0.701750, -0.288843, 0.237354>, <-0.700286, -0.247075, 0.268688>, 
      <-0.718529, -0.305201, 0.182237>, <-0.719821, -0.297360, 0.183977>, <-0.697295, -0.315877, 0.231356>, <-0.682467, -0.355210, 0.244694>, 
      <-0.718529, -0.305201, 0.182237>, <-0.711525, -0.347708, 0.172805>, <-0.683931, -0.396978, 0.213360>, <-0.669103, -0.436311, 0.226699>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-0.718529, -0.305201, 0.182237>, <-0.726825, -0.254853, 0.193409>, <-0.715114, -0.207742, 0.255349>, <-0.713650, -0.165974, 0.286683>, 
      <-0.718529, -0.305201, 0.182237>, <-0.719821, -0.297360, 0.183977>, <-0.701750, -0.288843, 0.237354>, <-0.700286, -0.247075, 0.268688>, 
      <-0.718529, -0.305201, 0.182237>, <-0.719821, -0.297360, 0.183977>, <-0.697295, -0.315877, 0.231356>, <-0.682467, -0.355210, 0.244694>, 
      <-0.718529, -0.305201, 0.182237>, <-0.711525, -0.347708, 0.172805>, <-0.683931, -0.396978, 0.213360>, <-0.669103, -0.436311, 0.226699>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-0.331787, -0.234623, 0.091811>, <-0.365726, -0.345940, 0.068498>, <-0.414333, -0.455179, 0.100413>, <-0.478712, -0.549703, 0.154852>, 
      <-0.398975, -0.248358, -0.003360>, <-0.393440, -0.359675, -0.009755>, <-0.460213, -0.456811, 0.047720>, <-0.524592, -0.551335, 0.102159>, 
      <-0.574549, -0.293441, 0.136525>, <-0.567544, -0.335948, 0.127093>, <-0.626814, -0.430996, 0.191806>, <-0.611986, -0.470329, 0.205145>, 
      <-0.718529, -0.305201, 0.182237>, <-0.711525, -0.347708, 0.172805>, <-0.683931, -0.396978, 0.213360>, <-0.669103, -0.436311, 0.226699>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-0.331787, -0.234623, 0.091811>, <-0.398975, -0.248358, -0.003360>, <-0.574549, -0.293441, 0.136525>, <-0.718529, -0.305201, 0.182237>, 
      <-0.365726, -0.345940, 0.068498>, <-0.404719, -0.359675, 0.007163>, <-0.567544, -0.335948, 0.127093>, <-0.711525, -0.347708, 0.172805>, 
      <-0.414333, -0.455179, 0.100413>, <-0.460213, -0.456811, 0.047720>, <-0.626814, -0.430996, 0.191806>, <-0.683931, -0.396978, 0.213360>, 
      <-0.478712, -0.549703, 0.154852>, <-0.524592, -0.551335, 0.102159>, <-0.611986, -0.470329, 0.205145>, <-0.669103, -0.436311, 0.226699>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-0.331787, -0.234623, 0.091811>, <-0.398975, -0.248358, -0.003360>, <-0.574549, -0.293441, 0.136525>, <-0.718529, -0.305201, 0.182237>, 
      <-0.365726, -0.345940, 0.068498>, <-0.404719, -0.359675, 0.007163>, <-0.567544, -0.335948, 0.127093>, <-0.711525, -0.347708, 0.172805>, 
      <-0.414333, -0.455179, 0.100413>, <-0.471450, -0.421161, 0.121967>, <-0.626814, -0.430996, 0.191806>, <-0.683931, -0.396978, 0.213360>, 
      <-0.478712, -0.549703, 0.154852>, <-0.535829, -0.515685, 0.176406>, <-0.611986, -0.470329, 0.205145>, <-0.669103, -0.436311, 0.226699>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-0.331787, -0.234623, 0.091811>, <-0.365726, -0.345940, 0.068498>, <-0.414333, -0.455179, 0.100413>, <-0.478712, -0.549703, 0.154852>, 
      <-0.398975, -0.248358, -0.003360>, <-0.393440, -0.359675, -0.009755>, <-0.471450, -0.421161, 0.121967>, <-0.535829, -0.515685, 0.176406>, 
      <-0.574549, -0.293441, 0.136525>, <-0.567544, -0.335948, 0.127093>, <-0.626814, -0.430996, 0.191806>, <-0.611986, -0.470329, 0.205145>, 
      <-0.718529, -0.305201, 0.182237>, <-0.711525, -0.347708, 0.172805>, <-0.683931, -0.396978, 0.213360>, <-0.669103, -0.436311, 0.226699>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-0.383630, 0.002600, 0.025213>, <-0.466111, -0.016222, -0.029427>, <-0.553400, -0.129596, 0.230259>, <-0.713650, -0.165974, 0.286683>, 
      <-0.382638, -0.072600, 0.025465>, <-0.465119, -0.091422, -0.029174>, <-0.554864, -0.171364, 0.198925>, <-0.715114, -0.207742, 0.255349>, 
      <-0.311635, -0.168527, 0.062124>, <-0.429576, -0.182262, -0.004850>, <-0.582845, -0.243093, 0.147696>, <-0.726825, -0.254853, 0.193409>, 
      <-0.331787, -0.234623, 0.091811>, <-0.398975, -0.248358, -0.003360>, <-0.574549, -0.293441, 0.136525>, <-0.718529, -0.305201, 0.182237>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-0.383630, 0.002600, 0.025213>, <-0.382638, -0.072600, 0.025465>, <-0.311635, -0.168527, 0.062124>, <-0.331787, -0.234623, 0.091811>, 
      <-0.466111, -0.016222, -0.029427>, <-0.465119, -0.091422, -0.029174>, <-0.429576, -0.182262, -0.004850>, <-0.398975, -0.248358, -0.003360>, 
      <-0.553400, -0.129596, 0.230259>, <-0.554864, -0.171364, 0.198925>, <-0.582845, -0.243093, 0.147696>, <-0.574549, -0.293441, 0.136525>, 
      <-0.713650, -0.165974, 0.286683>, <-0.715114, -0.207742, 0.255349>, <-0.726825, -0.254853, 0.193409>, <-0.718529, -0.305201, 0.182237>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-0.338408, 0.267341, 0.090123>, <-0.324418, 0.191004, 0.061749>, <-0.384720, 0.085225, 0.024935>, <-0.383630, 0.002600, 0.025213>, 
      <-0.338408, 0.267341, 0.090123>, <-0.431231, 0.138279, -0.015223>, <-0.467201, 0.066403, -0.029705>, <-0.466111, -0.016222, -0.029427>, 
      <-0.338408, 0.267341, 0.090123>, <-0.431231, 0.138279, -0.015223>, <-0.389127, -0.105715, 0.104055>, <-0.553400, -0.129596, 0.230259>, 
      <-0.338408, 0.267341, 0.090123>, <-0.495973, 0.214616, -0.009407>, <-0.549377, -0.142093, 0.160479>, <-0.713650, -0.165974, 0.286683>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-0.338408, 0.267341, 0.090123>, <-0.495973, 0.214616, -0.009407>, <-0.549377, -0.142093, 0.160479>, <-0.713650, -0.165974, 0.286683>, 
      <-0.353388, 0.349084, 0.047195>, <-0.460201, 0.296359, -0.007220>, <-0.579968, 0.001459, 0.089461>, <-0.744241, -0.022422, 0.215665>, 
      <-0.362546, 0.431798, 0.056267>, <-0.494857, 0.419197, -0.025073>, <-0.660910, 0.225904, 0.133740>, <-0.785028, 0.168980, 0.120973>, 
      <-0.401893, 0.502279, 0.092511>, <-0.483450, 0.489679, -0.017025>, <-0.691501, 0.369456, 0.062722>, <-0.815619, 0.312532, 0.049955>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-0.338408, 0.267341, 0.090123>, <-0.495973, 0.214616, -0.009407>, <-0.549377, -0.142093, 0.160479>, <-0.713650, -0.165974, 0.286683>, 
      <-0.353388, 0.349084, 0.047195>, <-0.460201, 0.296359, -0.007220>, <-0.579968, 0.001459, 0.089461>, <-0.744241, -0.022422, 0.215665>, 
      <-0.362546, 0.431798, 0.056267>, <-0.494857, 0.419197, -0.025073>, <-0.669111, 0.324856, -0.041754>, <-0.787589, 0.267932, -0.020686>, 
      <-0.401893, 0.502279, 0.092511>, <-0.483450, 0.489679, -0.017025>, <-0.691501, 0.369456, 0.062722>, <-0.815619, 0.312532, 0.049955>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.171112, 0.212208, 1.301605>, <0.187294, 0.212922, 0.897452>, <0.026129, 0.378628, 0.276997>, <-0.338408, 0.267341, 0.090123>, 
      <0.145168, 0.295037, 1.313352>, <0.161350, 0.295751, 0.909199>, <0.011148, 0.460371, 0.307379>, <-0.353388, 0.349084, 0.047195>, 
      <0.112788, 0.393555, 1.375630>, <0.098476, 0.390438, 0.978891>, <-0.099965, 0.472366, 0.408930>, <-0.362546, 0.431798, 0.056267>, 
      <0.211854, 0.471275, 1.429912>, <0.073480, 0.468158, 1.010616>, <-0.139311, 0.542848, 0.445174>, <-0.401893, 0.502279, 0.092511>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.235511, -0.000337, 1.340470>, <0.218087, -0.001038, 0.903433>, <0.027221, 0.054695, 0.245312>, <-0.383630, 0.002600, 0.025213>, 
      <0.225266, 0.066004, 1.332172>, <0.207841, 0.065303, 0.895135>, <0.026132, 0.137320, 0.245034>, <-0.384720, 0.085225, 0.024935>, 
      <0.191147, 0.148245, 1.292534>, <0.207328, 0.148959, 0.888380>, <0.040119, 0.302291, 0.248624>, <-0.324418, 0.191004, 0.061749>, 
      <0.171112, 0.212208, 1.301605>, <0.187294, 0.212922, 0.897452>, <0.026129, 0.378628, 0.276997>, <-0.338408, 0.267341, 0.090123>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.228529, -0.159576, 1.348107>, <0.228772, -0.232101, 1.356578>, <0.234354, -0.327649, 1.375411>, <0.236850, -0.399681, 1.387112>, 
      <0.243548, -0.157874, 0.925066>, <0.243791, -0.230399, 0.933537>, <0.186366, -0.334587, 0.976619>, <0.188863, -0.406618, 0.988321>, 
      <0.041750, -0.193039, 0.312751>, <0.007811, -0.304356, 0.362748>, <-0.115516, -0.444552, 0.443603>, <-0.179895, -0.539076, 0.498042>, 
      <-0.331787, -0.234623, 0.091811>, <-0.365726, -0.345940, 0.068498>, <-0.414333, -0.455179, 0.100413>, <-0.478712, -0.549703, 0.154852>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.228529, -0.159576, 1.348107>, <0.243548, -0.157874, 0.925066>, <0.041750, -0.193039, 0.312751>, <-0.331787, -0.234623, 0.091811>, 
      <0.228370, -0.112027, 1.342554>, <0.243389, -0.110325, 0.919512>, <0.061902, -0.126943, 0.283064>, <-0.311635, -0.168527, 0.062124>, 
      <0.242763, -0.047291, 1.346343>, <0.225338, -0.047993, 0.909306>, <0.028213, -0.020505, 0.245565>, <-0.382638, -0.072600, 0.025465>, 
      <0.235511, -0.000337, 1.340470>, <0.218087, -0.001038, 0.903433>, <0.027221, 0.054695, 0.245312>, <-0.383630, 0.002600, 0.025213>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.159148, -0.241228, 1.703015>, <0.146946, -0.325293, 1.708146>, <0.162144, -0.439037, 1.720113>, <0.163428, -0.523812, 1.727441>, 
      <-0.038823, -0.253731, 1.564779>, <-0.051024, -0.337797, 1.569911>, <-0.034874, -0.476804, 1.590624>, <-0.033590, -0.561579, 1.597952>, 
      <0.256563, -0.160014, 1.462663>, <0.256806, -0.232539, 1.471133>, <0.279054, -0.325847, 1.484880>, <0.281550, -0.397879, 1.496582>, 
      <0.228529, -0.159576, 1.348107>, <0.228772, -0.232101, 1.356578>, <0.234354, -0.327649, 1.375411>, <0.236850, -0.399681, 1.387112>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.159148, -0.241228, 1.703015>, <0.056344, -0.225924, 1.803191>, <-0.111266, -0.123659, 1.865821>, <-0.227157, -0.073272, 1.935595>, 
      <0.146946, -0.325293, 1.708146>, <0.044143, -0.309989, 1.808322>, <-0.104488, -0.154201, 1.852866>, <-0.220380, -0.103815, 1.922640>, 
      <0.162144, -0.439037, 1.720113>, <0.049113, -0.388781, 1.817381>, <-0.091884, -0.242458, 1.849628>, <-0.195486, -0.132814, 1.894433>, 
      <0.163428, -0.523812, 1.727441>, <0.050397, -0.473556, 1.824709>, <-0.078310, -0.267976, 1.831987>, <-0.181912, -0.158332, 1.876792>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-0.041731, 0.005329, 1.638751>, <-0.044125, -0.072391, 1.634041>, <-0.111644, -0.164276, 1.641926>, <0.159148, -0.241228, 1.703015>, 
      <0.032995, 0.006668, 1.563744>, <0.030601, -0.071052, 1.559034>, <-0.027654, -0.176779, 1.560082>, <-0.038823, -0.253731, 1.564779>, 
      <0.266666, -0.000183, 1.441669>, <0.273917, -0.047137, 1.447542>, <0.256403, -0.112465, 1.457109>, <0.256563, -0.160014, 1.462663>, 
      <0.235511, -0.000337, 1.340470>, <0.242763, -0.047291, 1.346343>, <0.228370, -0.112027, 1.342554>, <0.228529, -0.159576, 1.348107>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-0.041731, 0.005329, 1.638751>, <0.130855, 0.003369, 1.804929>, <-0.078211, -0.005841, 1.866154>, <-0.214686, -0.010628, 1.939444>, 
      <-0.044125, -0.072391, 1.634041>, <0.128461, -0.074352, 1.800219>, <-0.082113, -0.024619, 1.866980>, <-0.218587, -0.029406, 1.940270>, 
      <-0.111644, -0.164276, 1.641926>, <0.067513, -0.148972, 1.798494>, <-0.115108, -0.106344, 1.873166>, <-0.230999, -0.055957, 1.942940>, 
      <0.159148, -0.241228, 1.703015>, <0.056344, -0.225924, 1.803191>, <-0.111266, -0.123659, 1.865821>, <-0.227157, -0.073272, 1.935595>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-0.107238, 0.264391, 1.677263>, <0.158530, 0.339282, 1.735075>, <0.143546, 0.439303, 1.713450>, <0.130185, 0.514265, 1.704791>, 
      <0.087542, 0.237918, 1.840466>, <0.071348, 0.312808, 1.841886>, <0.068903, 0.374585, 1.818866>, <0.055542, 0.449548, 1.810207>, 
      <-0.086900, 0.122815, 1.870842>, <-0.071315, 0.157817, 1.866636>, <-0.074012, 0.241694, 1.857330>, <-0.054325, 0.274631, 1.853689>, 
      <-0.199024, 0.062140, 1.929637>, <-0.183439, 0.097142, 1.925430>, <-0.153088, 0.138994, 1.921143>, <-0.133401, 0.171931, 1.917503>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-0.107238, 0.264391, 1.677263>, <-0.027128, 0.288717, 1.579115>, <0.202733, 0.211999, 1.426675>, <0.171112, 0.212208, 1.301605>, 
      <0.158530, 0.339282, 1.735075>, <-0.043321, 0.363608, 1.580535>, <0.176789, 0.294828, 1.438422>, <0.145168, 0.295037, 1.313352>, 
      <0.143546, 0.439303, 1.713450>, <-0.093471, 0.478269, 1.593587>, <0.140048, 0.394169, 1.458234>, <0.112788, 0.393555, 1.375630>, 
      <0.130185, 0.514265, 1.704791>, <-0.106833, 0.553232, 1.584927>, <0.115052, 0.471889, 1.489959>, <0.211854, 0.471275, 1.429912>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-0.107238, 0.264391, 1.677263>, <0.087542, 0.237918, 1.840466>, <-0.086900, 0.122815, 1.870842>, <-0.199024, 0.062140, 1.929637>, 
      <-0.090124, 0.185241, 1.675762>, <0.104656, 0.158768, 1.838966>, <-0.096007, 0.102362, 1.873300>, <-0.208131, 0.041687, 1.932095>, 
      <-0.039242, 0.086136, 1.643648>, <0.133344, 0.084176, 1.809826>, <-0.073634, 0.016191, 1.865184>, <-0.210109, 0.011404, 1.938475>, 
      <-0.041731, 0.005329, 1.638751>, <0.130855, 0.003369, 1.804929>, <-0.078211, -0.005841, 1.866154>, <-0.214686, -0.010628, 1.939444>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-0.107238, 0.264391, 1.677263>, <-0.090124, 0.185241, 1.675762>, <-0.039242, 0.086136, 1.643648>, <-0.041731, 0.005329, 1.638751>, 
      <-0.027128, 0.288717, 1.579115>, <-0.010013, 0.209567, 1.577614>, <0.035485, 0.087475, 1.568641>, <0.032995, 0.006668, 1.563744>, 
      <0.202733, 0.211999, 1.426675>, <0.222767, 0.148035, 1.417604>, <0.256420, 0.066159, 1.433371>, <0.266666, -0.000183, 1.441669>, 
      <0.171112, 0.212208, 1.301605>, <0.191147, 0.148245, 1.292534>, <0.225266, 0.066004, 1.332172>, <0.235511, -0.000337, 1.340470>
    }
  }
  rotate 0.0*z
  translate  <0.462195, 0.182445, 0.0>
  material {
    Plant_Tex
  }
  scale 0.7
  translate  <-7.873004, -320.790204, 0.0>
}
#declare Aq_Plant1 = object {
  object { // Aq_Plant1->Aq_Plant
    Aq_Plant
    rotate -34.840343*z
    translate  <180.881982, -60.914252, 0.0>
  }
}
#declare Aq_Plant2 = object {
  object { // Aq_Plant2->Aq_Plant1
    Aq_Plant1
    scale 0.85
    rotate -45.0*z
    translate  <187.762606, -134.171326, 0.0>
  }
}
#declare Aq_Plant3 = object {
  object { // Aq_Plant3->Aq_Plant2
    Aq_Plant2
    scale 0.9
    rotate -0.0*z
    translate  <-2.409688, -32.956912, 0.0>
  }
}
#declare Aq_Plant4 = object {
  object { // Aq_Plant4->Aq_Plant3
    Aq_Plant3
    rotate -0.0*z
    translate  <2.603127, -0.565804, 0.0>
  }
}
#declare Aq_Plant5 = object {
  object { // Aq_Plant5->Aq_Plant4
    Aq_Plant4
    rotate 0.0*z
    translate  <16.139296, 86.444541, 0.0>
  }
}
#declare Aq_Plant6 = object {
  object { // Aq_Plant6->Aq_Plant5
    Aq_Plant5
    rotate -15.0*z
    translate  <63.698611, -7.720678, 0.0>
  }
}
#declare Aq_Plant7 = object {
  object { // Aq_Plant7->Aq_Plant6
    Aq_Plant6
    rotate -40.0*z
    translate  <154.89994, -47.01139, 0.0>
  }
}
#declare Aq_Plant8 = object {
  object { // Aq_Plant8->Aq_Plant7
    Aq_Plant7
    rotate -0.0*z
    translate  <-1.543215, 1.306258, 0.0>
  }
}
#declare Aq_Plant9 = object {
  object { // Aq_Plant9->Aq_Plant8
    Aq_Plant8
    rotate -0.0*z
    translate  <3.725089, -1.885559, 0.0>
  }
}
#declare Aq_Plant10 = object {
  object { // Aq_Plant10->Aq_Plant9
    Aq_Plant9
    rotate -0.0*z
    translate  <2.436062, 0.237933, 0.0>
  }
}
#declare Aq_Plant11 = object {
  object { // Aq_Plant11->Aq_Plant10
    Aq_Plant10
    rotate -0.0*z
    translate  <-1.252984, -2.236809, 0.0>
  }
}






















#declare Bubbles = union { // Bubbles
  sphere { // Bubble1
    <0,0,0>,1
    material {
      Bubble_Tex
    }
    scale 0.04
    translate  <0.067885, 0.076371, 0.223825>
  }
  sphere { // Bubble2
    <0,0,0>,1
    material {
      Bubble_Tex
    }
    scale 0.037
    translate  <0.038328, -0.303901, 0.013683>
  }
  sphere { // Bubble3
    <0,0,0>,1
    material {
      Bubble_Tex
    }
    scale 0.03
    translate  <-0.130506, -0.378755, -0.065379>
  }
  sphere { // Bubble4
    <0,0,0>,1
    material {
      Bubble_Tex
    }
    scale 0.036
    translate  <-0.110716, -0.086674, 0.00132>
  }
  sphere { // Bubble5
    <0,0,0>,1
    material {
      Bubble_Tex
    }
    scale 0.03
    translate  <-0.277986, 0.143641, 0.137934>
  }
  sphere { // Bubble6
    <0,0,0>,1
    material {
      Bubble_Tex
    }
    scale 0.03
    translate  <-0.434407, -0.388318, 0.083164>
  }
  sphere { // Bubble7
    <0,0,0>,1
    material {
      Bubble_Tex
    }
    scale 0.02
    translate  <-0.038745, -0.709991, 0.354117>
  }
  sphere { // Bubble8
    <0,0,0>,1
    material {
      Bubble_Tex
    }
    scale 0.03
    translate  <0.163416, -0.523385, 0.370939>
  }
  sphere { // Bubble9
    <0,0,0>,1
    material {
      Bubble_Tex
    }
    scale 0.04
    translate  <0.300785, -0.226001, 0.235458>
  }
  sphere { // Bubble10
    <0,0,0>,1
    material {
      Bubble_Tex
    }
    scale 0.04
    translate  <-0.714083, -0.225235, 0.440865>
  }
  sphere { // Bubble11
    <0,0,0>,1
    material {
      Bubble_Tex
    }
    scale 0.035
    translate  <-0.728336, -0.461602, 0.011554>
  }
  sphere { // Bubble12
    <0,0,0>,1
    material {
      Bubble_Tex
    }
    scale 0.035
    rotate -1.0*z
    translate  <-0.502254, -0.208677, -0.249964>
  }
  sphere { // Bubble13
    <0,0,0>,1
    material {
      Bubble_Tex
    }
    scale 0.025
    rotate -2.0*z
    translate  <-0.578032, -0.56282, 0.252904>
  }
  sphere { // Bubble14
    <0,0,0>,1
    material {
      Bubble_Tex
    }
    scale 0.03
    rotate -3.0*z
    translate  <-0.147398, -0.646543, 0.11768>
  }
  sphere { // Bubble15
    <0,0,0>,1
    material {
      Bubble_Tex
    }
    scale 0.035
    rotate -4.0*z
    translate  <-0.341964, -0.461602, 0.29246>
  }
  sphere { // Bubble16
    <0,0,0>,1
    material {
      Bubble_Tex
    }
    scale 0.03
    rotate -5.0*z
    translate  <0.053993, -0.461602, -0.173932>
  }
  sphere { // Bubble17
    <0,0,0>,1
    material {
      Bubble_Tex
    }
    scale 0.035
    rotate -6.0*z
    translate  <-0.321591, -0.278934, 0.120743>
  }
  sphere { // Bubble18
    <0,0,0>,1
    material {
      Bubble_Tex
    }
    scale 0.035
    rotate -7.0*z
    translate  <-0.285058, -0.630219, -0.179743>
  }
  sphere { // Bubble19
    <0,0,0>,1
    material {
      Bubble_Tex
    }
    scale 0.03
    rotate -4.0*z
    translate  <-1.008065, -0.397132, 0.139704>
  }
  sphere { // Bubble20
    <0,0,0>,1
    material {
      Bubble_Tex
    }
    scale 0.03
    rotate -5.0*z
    translate  <-0.22759, -0.941592, 0.039574>
  }
  sphere { // Bubble21
    <0,0,0>,1
    material {
      Bubble_Tex
    }
    scale 0.03
    rotate -6.0*z
    translate  <-0.636742, -0.803393, -0.141116>
  }
  sphere { // Bubble22
    <0,0,0>,1
    material {
      Bubble_Tex
    }
    scale 0.03
    rotate -7.0*z
    translate  <-0.844528, -0.644114, -0.18356>
  }
  sphere { // Bubble23
    <0,0,0>,1
    material {
      Bubble_Tex
    }
    scale 0.03
    rotate -8.0*z
    translate  <-0.84394, -1.014035, 0.199728>
  }
  sphere { // Bubble24
    <0,0,0>,1
    material {
      Bubble_Tex
    }
    scale 0.03
    rotate -9.0*z
    translate  <-0.446816, -0.817636, 0.281087>
  }
  sphere { // Bubble25
    <0,0,0>,1
    material {
      Bubble_Tex
    }
    scale 0.03
    rotate -10.0*z
    translate  <-0.473925, -1.112984, -0.058119>
  }
  sphere { // Bubble26
    <0,0,0>,1
    material {
      Bubble_Tex
    }
    scale 0.02
    translate  <-0.276343, -0.760455, 0.370939>
  }
  sphere { // Bubble27
    <0,0,0>,1
    material {
      Bubble_Tex
    }
    scale 0.02
    translate  <-1.115149, -0.395573, 0.497781>
  }
  sphere { // Bubble28
    <0,0,0>,1
    material {
      Bubble_Tex
    }
    scale 0.02
    translate  <-0.660117, -0.064634, 0.136769>
  }
  sphere { // Bubble29
    <0,0,0>,1
    material {
      Bubble_Tex
    }
    scale 0.02
    translate  <-0.893901, -0.20889, 0.361182>
  }
  sphere { // Bubble30
    <0,0,0>,1
    material {
      Bubble_Tex
    }
    scale 0.02
    translate  <-0.471512, -0.039177, 0.370939>
  }
  sphere { // Bubble31
    <0,0,0>,1
    material {
      Bubble_Tex
    }
    scale 0.02
    translate  <-0.049774, 0.25782, 0.214826>
  }
  sphere { // Bubble32
    <0,0,0>,1
    material {
      Bubble_Tex
    }
    scale 0.02
    translate  <0.043154, -0.132519, 0.336789>
  }
  sphere { // Bubble33
    <0,0,0>,1
    material {
      Bubble_Tex
    }
    scale 0.02
    translate  <-0.267857, -0.090091, 0.370939>
  }
  sphere { // Bubble34
    <0,0,0>,1
    material {
      Bubble_Tex
    }
    scale 0.02
    translate  <-1.185162, -0.582257, 0.331911>
  }
  sphere { // Bubble35
    <0,0,0>,1
    material {
      Bubble_Tex
    }
    scale 0.02
    translate  <-1.014413, -0.760455, -0.033979>
  }
  sphere { // Bubble36
    <0,0,0>,1
    material {
      Bubble_Tex
    }
    scale 0.02
    translate  <-0.625318, -1.337478, -0.092522>
  }
  sphere { // Bubble37
    <0,0,0>,1
    material {
      Bubble_Tex
    }
    scale 0.02
    translate  <-1.227355, -0.811369, 0.322153>
  }
  sphere { // Bubble38
    <0,0,0>,1
    material {
      Bubble_Tex
    }
    scale 0.02
    translate  <-1.349318, -0.395573, 0.112377>
  }
  sphere { // Bubble39
    <0,0,0>,1
    material {
      Bubble_Tex
    }
    scale 0.02
    translate  <-1.038335, -1.150794, -0.307177>
  }
  sphere { // Bubble40
    <0,0,0>,1
    material {
      Bubble_Tex
    }
    scale 0.02
    translate  <-1.34444, -0.395573, 0.585594>
  }
  rotate -15.0*z
  translate  <-8.112423, -275.506931, 10.767278>
}
#declare FB_Fan_Bubbles1 = object {
  object { // FB_Fan_Bubbles1->Bubbles
    Bubbles
    scale 2.0
    rotate -90.0*x
    translate  <43.135942, -243.02375, -541.81701>
  }
}
#declare FB_Fan_Bubbles2 = object {
  object { // FB_Fan_Bubbles2->FB_Fan_Bubbles1
    FB_Fan_Bubbles1
    rotate <-0.0, -0.0, -45.0>
    translate  <163.822697, -47.24099, 1.85762>
  }
}
#declare FB_Fan_Bubbles3 = object {
  object { // FB_Fan_Bubbles3->FB_Fan_Bubbles2
    FB_Fan_Bubbles2
    rotate <-0.0, -0.0, -45.0>
    translate  <164.945718, -47.057858, 1.418833>
  }
}
#declare FB_Fan_Bubbles = union { // FB_Fan_Bubbles
  object { FB_Fan_Bubbles1 }
  object { FB_Fan_Bubbles2 }
  object { FB_Fan_Bubbles3 }
  object { // FB_Fan_Bubbles4->FB_Fan_Bubbles3
    FB_Fan_Bubbles3
    rotate <-0.0, -0.0, -45.0>
    translate  <164.437923, -46.164485, 2.363871>
  }
}
#declare Bubbles1 = object {
  object { // Bubbles1->Bubbles
    Bubbles
    rotate 70.0*z
    translate  <-253.226702, -244.979325, -8.828004>
  }
}


#declare B_S = object {
  box { // B_S
    <-1, -1, -1>, <1, 1, 1>
    material {
      Blue_Steel
    }
    scale <1.5, 0.7, 15.0>
    translate  <10.0, 0.0, 16.0>
  }
}
#declare B_R2 = object {
  cylinder { // B_R2
    <0,0,1>, <0,0,0>, 1 
    scale <11.4, 11.4, 1.0>
    translate  7.5*z
    material {
      Granit_DO
      // Transform to world space
      translate  <21.0, 300.0, 0.0>
    }
  }
}
#declare B_R3 = object {
  object { // B_R3->B_R2
    B_R2
    translate  4.0*z
  }
}
#declare B_R4 = object {
  object { // B_R4->B_R3
    B_R3
    translate  4.0*z
  }
}
#declare B_R5 = object {
  object { // B_R5->B_R4
    B_R4
    translate  4.0*z
  }
}
#declare B_Base_D = difference {
  cone { // B_Base
    <0,0,0>, 14.0, <0,0,1>, 11.0
    scale <1.0, 1.0, 3.7>
    material {
      Granit_DO
      // Transform to world space
      translate  <21.0, 300.0, 0.0>
    }
  }
  cylinder { // Acc_Tube1
    <0,0,1>, <0,0,0>, 1 
    scale <2.0, 2.0, 7.0>
    rotate -90.0*y
    translate  <14.0, 0.0, 3.0>
    material {
      Granit_DO
      // Transform to world space
      translate  <21.0, 300.0, 0.0>
    }
  }
}
#declare TB_D_Sl = union {
  box { // d_slot9
    <-1, -1, -1>, <1, 1, 1>
    material {
      Black_Glass
    }
    scale <0.01, 0.2, 0.093>
    translate  <-1.710581, -3.0, 2.799575>
  }
  box { // d_slot8
    <-1, -1, -1>, <1, 1, 1>
    material {
      Black_Glass
    }
    scale <0.01, 0.2, 0.1>
    rotate -53.406139*y
    translate  <-1.635166, -3.0, 2.654822>
  }
  box { // d_slot1
    <-1, -1, -1>, <1, 1, 1>
    material {
      Black_Glass
    }
    scale <0.01, 0.2, 0.3>
    translate  <-1.7115, -3.0, 2.1>
  }
  box { // d_slot2
    <-1, -1, -1>, <1, 1, 1>
    material {
      Black_Glass
    }
    scale <0.01, 0.2, 0.3>
    translate  <-1.7115, -3.0, 3.5>
  }
  box { // d_slot3
    <-1, -1, -1>, <1, 1, 1>
    material {
      Black_Glass
    }
    scale <0.01, 0.2, 0.1>
    rotate 53.406143*y
    translate  <-1.635123, -3.0, 2.451574>
  }
  box { // d_slot4
    <-1, -1, -1>, <1, 1, 1>
    material {
      Black_Glass
    }
    scale <0.01, 0.2, 0.1>
    rotate 53.406143*y
    translate  <-1.787751, -3.0, 3.148523>
  }
  box { // d_slot5
    <-1, -1, -1>, <1, 1, 1>
    material {
      Black_Glass
    }
    scale <0.01, 0.2, 0.05>
    translate  <-1.863921, -3.0, 3.046886>
  }
  box { // d_slot6
    <-1, -1, -1>, <1, 1, 1>
    material {
      Black_Glass
    }
    scale <0.01, 0.2, 0.05>
    translate  <-1.55892, -3.0, 2.553262>
  }
  box { // d_slot7
    <-1, -1, -1>, <1, 1, 1>
    material {
      Black_Glass
    }
    scale <0.01, 0.2, 0.1>
    rotate -53.406139*y
    translate  <-1.787664, -3.0, 2.94529>
  }
  scale <1.0, 1.0, 1.1>
  translate  <1.7, 14.6, -0.06>
}
#declare Main_Door = difference {
  cylinder { // Acc_Tube
    <0,0,1>, <0,0,0>, 1 
    scale <2.0, 2.0, 4.0>
    rotate <0.0, -90.0, 90.0>
    translate  <0.0, 11.6, 3.0>
    material {
      Chrome_Metal
      // Transform to world space
      rotate 90.0*z
      translate  <21.0, 300.0, 0.0>
    }
  }
  object { TB_D_Sl }
  rotate -90.0*z
}
#declare T_Building = union { // T_Building
  object { B_S }
  object { // B_S1->B_S
    B_S
    rotate <0.0, 0.0, -45.0>
    translate  <-0.0, 0.0, 0.0>
  }
  object { // B_S2->B_S
    B_S
    rotate <-0.0, 0.0, -90.0>
    translate  <-0.0, 0.0, 0.0>
  }
  object { // B_S3->B_S
    B_S
    rotate <0.0, 0.0, -135.0>
    translate  <-0.0, 0.0, 0.0>
  }
  object { // B_S4->B_S
    B_S
    rotate <-0.0, 0.0, 180.0>
    translate  <0.0, 0.0, 0.0>
  }
  object { // B_S5->B_S
    B_S
    rotate <0.0, 0.0, 135.0>
    translate  <0.0, 0.0, 0.0>
  }
  object { // B_S6->B_S
    B_S
    rotate <-0.0, 0.0, 90.0>
    translate  <0.0, 0.0, 0.0>
  }
  object { // B_S7->B_S
    B_S
    rotate <-0.0, 0.0, 45.0>
    translate  <0.0, -0.0, 0.0>
  }
  cylinder { // B_R1
    <0,0,1>, <0,0,0>, 1 
    scale <11.4, 11.4, 0.5>
    translate  3.5*z
    material {
      Chrome_Metal
      // Transform to world space
      translate  <21.0, 300.0, 0.0>
    }
  }
  object { B_R2 }
  object { B_R3 }
  object { B_R4 }
  object { B_R5 }
  object { // B_R6->B_R5
    B_R5
    translate  4.0*z
  }
  cylinder { // B_R7
    <0,0,1>, <0,0,0>, 1 
    scale <11.8, 11.8, 2.5>
    translate  27.5*z
    material {
      Granit_DO
      // Transform to world space
      translate  <21.0, 300.0, 0.0>
    }
  }
  cylinder { // Ext_Wnd
    <0,0,1>, <0,0,0>, 1 open
    material {
      Black_Glass
    }
    scale <11.35, 11.35, 27.0>
    translate  2.5*z
  }
  object { B_Base_D }
  torus { // D_Rim
    1.5, 0.5  rotate -x*90
    no_shadow
    scale <1.0, 1.0, 0.5>
    rotate -90.0*y
    translate  <11.6, 0.0, 3.0>
    material {
      Brass_Texture
      // Transform to world space
      translate  <21.0, 300.0, 0.0>
    }
  }
  object { Main_Door }
  translate  <-21.0, -300.0, 0.0>
}
#declare T_Building1 = object {
  object { // T_Building1->T_Building
    T_Building
    scale <-1.0, 1.0, 1.0>
    translate  <45.0, 145.0, 0.0>
  }
}
#declare BezPtch001 = union { 
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-1.058018, -5.192337, 0.000000>, <-0.926077, -5.585505, 0.000000>, <-0.724463, -5.705388, 0.359648>, <-0.520106, -5.749294, 0.359648>, 
      <-1.689548, -2.726047, 0.000000>, <-1.351638, -2.726047, 0.000000>, <-1.013729, -2.726047, 0.000000>, <-0.675819, -2.726047, 0.000000>, 
      <-2.085934, -0.062981, 0.146957>, <-1.668747, -0.062981, 0.146957>, <-1.251560, -0.062981, 0.146957>, <-0.834374, -0.047343, 0.219515>, 
      <-2.634147, 5.363987, -0.529599>, <-1.763446, 2.733191, -0.196786>, <-1.322584, 2.733191, -0.196786>, <-0.667478, 4.243707, -0.376950>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-0.520106, -5.749294, 0.359648>, <-0.315749, -5.793201, 0.359648>, <-0.114136, -5.793201, 0.359648>, <0.084733, -5.749294, 0.359648>, 
      <-0.675819, -2.726047, 0.000000>, <-0.337910, -2.726047, 0.000000>, <0.000000, -2.726047, 0.000000>, <0.337910, -2.726047, 0.000000>, 
      <-0.834374, -0.047343, 0.219515>, <-0.417187, -0.031704, 0.292073>, <0.000000, -0.031704, 0.292073>, <0.417187, -0.047343, 0.219515>, 
      <-0.667478, 4.243707, -0.376950>, <-0.012371, 5.754223, -0.557113>, <-0.008486, 5.762408, -0.557691>, <0.436618, 4.247799, -0.377238>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <0.084733, -5.749294, 0.359648>, <0.283602, -5.705388, 0.359648>, <0.485215, -5.585505, 0.000000>, <0.695341, -5.062601, 0.000000>, 
      <0.337910, -2.726047, 0.000000>, <0.675819, -2.726047, 0.000000>, <1.013729, -2.726047, 0.000000>, <1.351638, -2.726047, 0.000000>, 
      <0.417187, -0.047343, 0.219515>, <0.834374, -0.062981, 0.146957>, <1.251560, -0.062981, 0.146957>, <1.668747, -0.062981, 0.146957>, 
      <0.436618, 4.247799, -0.377238>, <0.881723, 2.733191, -0.196786>, <1.322584, 2.733191, -0.196786>, <2.476241, 5.132215, -0.513257>
    }
  }
  material {
    Suit_tex
  }
  scale 0.75
  rotate -57.843681*x
  translate  <1.455628, -1.25103, -3.943046>
}
#declare Torso = union { 
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-0.770171, -0.039473, 0.000023>, <-0.980019, -0.302223, 0.000000>, <-0.506349, -0.504896, 0.000000>, <0.000000, -0.504896, 0.000000>, 
      <-0.656649, -0.053314, 0.452027>, <-0.656649, -0.309046, 0.452027>, <-0.423077, -0.518282, 0.500000>, <0.000000, -0.518282, 0.500000>, 
      <-0.729103, -0.079267, 0.998342>, <-0.729773, -0.309046, 0.998342>, <-0.423077, -0.456998, 1.668993>, <0.000000, -0.456998, 1.668993>, 
      <-0.851929, -0.240609, 1.569450>, <-0.624690, -0.429523, 1.569450>, <-0.939001, -0.834298, 2.030090>, <-0.004936, -0.834298, 2.030090>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <0.000000, -0.504896, 0.000000>, <0.506349, -0.504896, 0.000000>, <1.024940, -0.302223, 0.000000>, <0.777869, -0.039473, 0.000023>, 
      <0.000000, -0.518282, 0.500000>, <0.423077, -0.518282, 0.500000>, <0.656649, -0.309046, 0.452027>, <0.656649, -0.053314, 0.452027>, 
      <0.000000, -0.456998, 1.668993>, <0.423077, -0.456998, 1.668993>, <0.791722, -0.309046, 0.998342>, <0.792267, -0.092815, 0.998342>, 
      <-0.004936, -0.834298, 2.030090>, <0.929129, -0.834298, 2.030090>, <0.648579, -0.425201, 1.569450>, <0.871183, -0.245222, 1.569450>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <0.777869, -0.039473, 0.000023>, <0.530799, 0.223278, 0.000047>, <0.285296, 0.342341, -0.000005>, <-0.014762, 0.342341, -0.000005>, 
      <0.656649, -0.053314, 0.452027>, <0.656649, 0.202419, 0.452027>, <0.423077, 0.226325, 0.500000>, <0.000000, 0.226325, 0.500000>, 
      <0.792267, -0.092815, 0.998342>, <0.792811, 0.123416, 0.998342>, <0.436396, 0.226325, 1.000000>, <0.013319, 0.226325, 1.000000>, 
      <0.871183, -0.245222, 1.569450>, <1.093787, -0.065244, 1.569450>, <0.597804, 0.326679, 1.570279>, <-0.002125, 0.326679, 1.570279>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-0.014762, 0.342341, -0.000005>, <-0.314821, 0.342341, -0.000005>, <-0.560324, 0.223278, 0.000047>, <-0.770171, -0.039473, 0.000023>, 
      <0.000000, 0.226325, 0.500000>, <-0.423077, 0.226325, 0.500000>, <-0.656649, 0.202419, 0.452027>, <-0.656649, -0.053314, 0.452027>, 
      <0.013319, 0.226325, 1.000000>, <-0.409758, 0.226325, 1.000000>, <-0.728433, 0.150513, 0.998342>, <-0.729103, -0.079267, 0.998342>, 
      <-0.002125, 0.326679, 1.570279>, <-0.602055, 0.326679, 1.570279>, <-1.079167, -0.051695, 1.569450>, <-0.851929, -0.240609, 1.569450>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-0.851929, -0.240609, 1.569450>, <-0.624690, -0.429523, 1.569450>, <-0.939001, -0.834298, 2.030090>, <-0.004936, -0.834298, 2.030090>, 
      <-0.974755, -0.401952, 2.140558>, <-0.519608, -0.550000, 2.140558>, <-1.454925, -1.211598, 2.391188>, <-0.009872, -1.211598, 2.391188>, 
      <-1.180622, -0.407291, 2.640558>, <-0.931343, -0.560679, 2.640558>, <-0.807597, -0.633450, 2.636671>, <-0.024192, -0.638508, 2.636671>, 
      <-0.347597, -0.040041, 3.000000>, <-0.347597, -0.428089, 3.000000>, <-0.191178, -0.429366, 3.000000>, <0.000000, -0.429366, 3.000000>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-0.004936, -0.834298, 2.030090>, <0.929129, -0.834298, 2.030090>, <0.648579, -0.425201, 1.569450>, <0.871183, -0.245222, 1.569450>, 
      <-0.009872, -1.211598, 2.391188>, <1.435181, -1.211598, 2.391188>, <0.505435, -0.541356, 2.140558>, <0.950099, -0.397630, 2.140558>, 
      <-0.024192, -0.638508, 2.636671>, <0.759213, -0.643565, 2.636671>, <0.896203, -0.560679, 2.640558>, <1.145483, -0.407291, 2.640558>, 
      <0.000000, -0.429366, 3.000000>, <0.191178, -0.429366, 3.000000>, <0.347597, -0.428089, 3.000000>, <0.347597, -0.040041, 3.000000>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <0.871183, -0.245222, 1.569450>, <1.093787, -0.065244, 1.569450>, <0.597804, 0.326679, 1.570279>, <-0.002125, 0.326679, 1.570279>, 
      <0.950099, -0.397630, 2.140558>, <1.394762, -0.253903, 2.140558>, <0.759213, 0.427032, 2.140558>, <-0.017570, 0.427032, 2.140558>, 
      <1.145483, -0.407291, 2.640558>, <1.394762, -0.253903, 2.640558>, <3.073259, 0.374319, 2.640558>, <0.115622, 0.374319, 2.640558>, 
      <0.347597, -0.040041, 3.000000>, <0.347597, 0.348008, 3.000000>, <0.181306, 0.205901, 3.000000>, <-0.009872, 0.205901, 3.000000>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-0.002125, 0.326679, 1.570279>, <-0.602055, 0.326679, 1.570279>, <-1.079167, -0.051695, 1.569450>, <-0.851929, -0.240609, 1.569450>, 
      <-0.017570, 0.427032, 2.140558>, <-0.794352, 0.427032, 2.140558>, <-1.429902, -0.253903, 2.140558>, <-0.974755, -0.401952, 2.140558>, 
      <0.115622, 0.374319, 2.640558>, <-2.842015, 0.374319, 2.640558>, <-1.429902, -0.253903, 2.640558>, <-1.180622, -0.407291, 2.640558>, 
      <-0.009872, 0.205901, 3.000000>, <-0.201050, 0.205901, 3.000000>, <-0.347597, 0.348008, 3.000000>, <-0.347597, -0.040041, 3.000000>
    }
  }
  material {
    Suit_tex
  }
  scale <3.52, 3.4915, 3.0>
  rotate -180.0*z
  translate  14.33*z
}
#declare Hips = union { 
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-0.991220, 0.177889, 0.017338>, <-0.991220, -1.020250, 0.017338>, <-0.110000, -0.131915, 0.000000>, <0.000000, -0.131915, 0.000000>, 
      <-1.033708, 0.028949, 0.492241>, <-1.033708, -0.560301, 0.500000>, <-0.550000, -0.653979, 0.500000>, <0.000000, -0.653979, 0.500000>, 
      <-1.200889, 0.059318, 1.000000>, <-1.200889, -0.431364, 1.000000>, <-0.550000, -0.624320, 1.000000>, <0.000000, -0.624320, 1.000000>, 
      <-1.010676, 0.059318, 1.500000>, <-1.010676, -0.431364, 1.500000>, <-0.550000, -0.645286, 1.500000>, <0.000000, -0.645286, 1.500000>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <0.000000, -0.131915, 0.000000>, <0.110000, -0.131915, 0.000000>, <0.991321, -1.020250, 0.000000>, <0.991321, 0.177889, 0.000000>, 
      <0.000000, -0.653979, 0.500000>, <0.550000, -0.653979, 0.500000>, <1.033708, -0.560301, 0.500000>, <1.033708, 0.028949, 0.492241>, 
      <0.000000, -0.624320, 1.000000>, <0.550000, -0.624320, 1.000000>, <1.200889, -0.431364, 1.000000>, <1.200889, 0.059318, 1.000000>, 
      <0.000000, -0.645286, 1.500000>, <0.550000, -0.645286, 1.500000>, <1.006120, -0.431364, 1.500000>, <1.006120, 0.059318, 1.500000>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <0.991321, 0.177889, 0.000000>, <0.991321, 1.376028, 0.000000>, <0.018855, 0.520354, -0.000000>, <0.000000, 0.520354, -0.000000>, 
      <1.033708, 0.028949, 0.492241>, <1.033708, 0.618199, 0.484482>, <0.550000, 1.276170, 0.500000>, <0.000000, 1.276170, 0.500000>, 
      <1.200889, 0.059318, 1.000000>, <1.200889, 0.550000, 1.000000>, <0.550000, 1.162086, 1.000000>, <0.000000, 1.162086, 1.000000>, 
      <1.006120, 0.059318, 1.500000>, <1.006120, 0.550000, 1.500000>, <0.550000, 0.995228, 1.500000>, <0.000000, 0.995228, 1.500000>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <0.000000, 0.520354, -0.000000>, <-0.018855, 0.520354, -0.000000>, <-0.991220, 1.376028, 0.017338>, <-0.991220, 0.177889, 0.017338>, 
      <0.000000, 1.276170, 0.500000>, <-0.550000, 1.276170, 0.500000>, <-1.033708, 0.618199, 0.484482>, <-1.033708, 0.028949, 0.492241>, 
      <0.000000, 1.162086, 1.000000>, <-0.550000, 1.162086, 1.000000>, <-1.200889, 0.550000, 1.000000>, <-1.200889, 0.059318, 1.000000>, 
      <0.000000, 0.995228, 1.500000>, <-0.550000, 0.995228, 1.500000>, <-1.010676, 0.550000, 1.500000>, <-1.010676, 0.059318, 1.500000>
    }
  }
  material {
    Suit_tex
  }
  scale <2.72, 1.8, 2.3>
  rotate 180.0*z
  translate  <0.0, 0.6, 10.9>
}
#declare Right_leg = union { 
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-0.027217, -3.687386, 1.640995>, <-0.027217, -3.687386, 1.640995>, <-0.170344, -3.844303, 1.895639>, <-0.042860, -3.848500, 1.900098>, 
      <-0.711139, -3.384184, 1.161893>, <-0.614963, -3.676935, 1.479298>, <-0.365403, -3.916210, 1.945472>, <-0.047813, -3.926667, 1.956579>, 
      <-0.442166, -3.098327, 1.681853>, <-0.454081, -3.091871, 2.000774>, <-0.356993, -3.516653, 2.452027>, <-0.052747, -3.526670, 2.462668>, 
      <-0.552357, -2.473764, 2.215883>, <-0.558314, -2.582807, 2.494610>, <-0.227528, -3.126940, 2.590972>, <-0.026462, -3.131949, 2.596292>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-0.042860, -3.848500, 1.900098>, <0.084623, -3.852698, 1.904556>, <-0.027216, -3.687386, 1.640995>, <-0.027216, -3.687386, 1.640995>, 
      <-0.047813, -3.926667, 1.956579>, <0.269776, -3.937123, 1.967687>, <0.614609, -3.676935, 1.479298>, <0.672315, -3.384184, 1.168304>, 
      <-0.052747, -3.526670, 2.462668>, <0.251498, -3.536687, 2.473309>, <0.412765, -3.120411, 2.031093>, <0.424679, -3.126867, 1.712171>, 
      <-0.026462, -3.131949, 2.596292>, <0.174603, -3.136957, 2.601613>, <0.537479, -2.597077, 2.509769>, <0.543436, -2.488034, 2.231042>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-0.027216, -3.687386, 1.640995>, <-0.027216, -3.687386, 1.640995>, <0.213076, -2.127843, -0.229837>, <0.085593, -2.196774, -0.110540>, 
      <0.672315, -3.384184, 1.168304>, <0.730021, -3.091433, 0.857310>, <2.425884, -2.310941, 0.583449>, <0.114520, -2.178611, 0.402189>, 
      <0.424679, -3.126867, 1.712171>, <0.436593, -3.133323, 1.393250>, <0.237641, -2.763968, 1.456955>, <0.013460, -2.756587, 1.449114>, 
      <0.543436, -2.488034, 2.231042>, <0.549393, -2.378991, 1.952314>, <0.290032, -2.159609, 1.954267>, <0.006642, -2.155918, 1.950346>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <0.085593, -2.196774, -0.110540>, <-0.041891, -2.265705, 0.008757>, <-0.027217, -3.687386, 1.640995>, <-0.027217, -3.687386, 1.640995>, 
      <0.114520, -2.178611, 0.402189>, <-2.196844, -2.046281, 0.220929>, <-0.807315, -3.091433, 0.844487>, <-0.711139, -3.384184, 1.161893>, 
      <0.013460, -2.756587, 1.449114>, <-0.210720, -2.749207, 1.441273>, <-0.430252, -3.104783, 1.362932>, <-0.442166, -3.098327, 1.681853>, 
      <0.006642, -2.155918, 1.950346>, <-0.276748, -2.152228, 1.946426>, <-0.546400, -2.364721, 1.937155>, <-0.552357, -2.473764, 2.215883>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-0.552357, -2.473764, 2.215883>, <-0.558314, -2.582807, 2.494610>, <-0.227528, -3.126940, 2.590972>, <-0.026462, -3.131949, 2.596292>, 
      <-0.662547, -1.849200, 2.749912>, <-0.662547, -2.073742, 2.988446>, <-0.098063, -2.737227, 2.729917>, <-0.000177, -2.737227, 2.729917>, 
      <-0.786953, -1.213718, 3.211449>, <-0.786953, -1.506469, 3.522443>, <-0.188924, -1.886626, 3.824293>, <-0.000177, -1.886626, 3.824293>, 
      <-0.788340, -0.679453, 3.714373>, <-0.788340, -0.972204, 4.025367>, <-0.202019, -1.349644, 4.375330>, <-0.000177, -1.349644, 4.375330>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-0.026462, -3.131949, 2.596292>, <0.174603, -3.136957, 2.601613>, <0.537479, -2.597077, 2.509769>, <0.543436, -2.488034, 2.231042>, 
      <-0.000177, -2.737227, 2.729917>, <0.097709, -2.737227, 2.729917>, <0.662193, -2.073742, 2.988446>, <0.662193, -1.849200, 2.749912>, 
      <-0.000177, -1.886626, 3.824293>, <0.188570, -1.886626, 3.824293>, <0.926151, -1.557374, 3.474524>, <0.926151, -1.264623, 3.163530>, 
      <-0.000177, -1.349644, 4.375330>, <0.201665, -1.349644, 4.375330>, <0.892650, -0.997657, 4.001408>, <0.892650, -0.704906, 3.690414>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <0.543436, -2.488034, 2.231042>, <0.549393, -2.378991, 1.952314>, <0.290032, -2.159609, 1.954267>, <0.006642, -2.155918, 1.950346>, 
      <0.662193, -1.849200, 2.749912>, <0.662193, -1.624659, 2.511378>, <0.342423, -1.555249, 2.451578>, <-0.000177, -1.555249, 2.451578>, 
      <0.926151, -1.264623, 3.163530>, <0.926151, -0.971872, 2.852536>, <0.188570, -0.906790, 2.847526>, <-0.000177, -0.906790, 2.847526>, 
      <0.892650, -0.704906, 3.690414>, <0.892650, -0.412155, 3.379420>, <0.201665, 0.131773, 3.609743>, <-0.000177, 0.131773, 3.609743>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <0.006642, -2.155918, 1.950346>, <-0.276748, -2.152228, 1.946426>, <-0.546400, -2.364721, 1.937155>, <-0.552357, -2.473764, 2.215883>, 
      <-0.000177, -1.555249, 2.451578>, <-0.342777, -1.555249, 2.451578>, <-0.662547, -1.624659, 2.511378>, <-0.662547, -1.849200, 2.749912>, 
      <-0.000177, -0.906790, 2.847526>, <-0.188924, -0.906790, 2.847526>, <-0.786953, -0.920968, 2.900455>, <-0.786953, -1.213718, 3.211449>, 
      <-0.000177, 0.131773, 3.609743>, <-0.202019, 0.131773, 3.609743>, <-0.788340, -0.386702, 3.403379>, <-0.788340, -0.679453, 3.714373>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-0.788340, -0.679453, 3.714373>, <-0.788340, -0.972204, 4.025367>, <-0.202019, -1.349644, 4.375330>, <-0.000177, -1.349644, 4.375330>, 
      <-0.789726, -0.145188, 4.217298>, <-0.789726, -0.437939, 4.528292>, <-0.215114, -0.812663, 4.926368>, <-0.000177, -0.812663, 4.926368>, 
      <-0.682612, 0.025018, 4.669858>, <-0.682612, -0.356763, 4.861336>, <-0.317064, -0.845446, 5.106430>, <-0.000177, -0.845446, 5.106430>, 
      <-0.748760, -0.000731, 4.988099>, <-0.748760, -0.381300, 5.067886>, <-0.351279, -0.830448, 5.190433>, <-0.000177, -0.830448, 5.190433>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-0.000177, -1.349644, 4.375330>, <0.201665, -1.349644, 4.375330>, <0.892650, -0.997657, 4.001408>, <0.892650, -0.704906, 3.690414>, 
      <-0.000177, -0.812663, 4.926368>, <0.214761, -0.812663, 4.926368>, <0.859148, -0.437939, 4.528292>, <0.859148, -0.145188, 4.217298>, 
      <-0.000177, -0.845446, 5.106430>, <0.316711, -0.845446, 5.106430>, <0.682258, -0.356763, 4.861336>, <0.682258, 0.025018, 4.669858>, 
      <-0.000177, -0.830448, 5.190433>, <0.350925, -0.830448, 5.190433>, <0.748406, -0.381300, 5.067886>, <0.748406, -0.000731, 4.988099>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <0.892650, -0.704906, 3.690414>, <0.892650, -0.412155, 3.379420>, <0.201665, 0.131773, 3.609743>, <-0.000177, 0.131773, 3.609743>, 
      <0.859148, -0.145188, 4.217298>, <0.859148, 0.147563, 3.906304>, <0.214761, 1.170335, 4.371960>, <-0.000177, 1.170335, 4.371960>, 
      <0.682258, 0.025018, 4.669858>, <0.682258, 0.406799, 4.478380>, <0.316711, 1.034826, 4.870456>, <-0.000177, 1.034826, 4.870456>, 
      <0.748406, -0.000731, 4.988099>, <0.748406, 0.379838, 4.908311>, <0.350925, 1.047248, 5.064094>, <-0.000177, 1.047248, 5.064094>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-0.000177, 0.131773, 3.609743>, <-0.202019, 0.131773, 3.609743>, <-0.788340, -0.386702, 3.403379>, <-0.788340, -0.679453, 3.714373>, 
      <-0.000177, 1.170335, 4.371960>, <-0.215114, 1.170335, 4.371960>, <-0.789726, 0.147563, 3.906304>, <-0.789726, -0.145188, 4.217298>, 
      <-0.000177, 1.034826, 4.870456>, <-0.317064, 1.034826, 4.870456>, <-0.682612, 0.406799, 4.478380>, <-0.682612, 0.025018, 4.669858>, 
      <-0.000177, 1.047248, 5.064094>, <-0.351279, 1.047248, 5.064094>, <-0.748760, 0.379838, 4.908311>, <-0.748760, -0.000731, 4.988099>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-0.748760, -0.000731, 4.988099>, <-0.748760, -0.381300, 5.067886>, <-0.351279, -0.830448, 5.190433>, <-0.000177, -0.830448, 5.190433>, 
      <-0.814909, -0.026480, 5.306339>, <-0.814909, -0.405837, 5.274437>, <-0.385493, -0.815450, 5.274437>, <-0.000177, -0.815450, 5.274437>, 
      <-0.814909, -0.105024, 5.983596>, <-0.814909, -0.405837, 5.983596>, <-0.385493, -0.867025, 5.983596>, <-0.000177, -0.867025, 5.983596>, 
      <-0.921430, -0.090916, 6.693068>, <-0.921430, -0.454870, 6.695155>, <-0.458635, -0.958807, 6.698156>, <-0.000177, -0.958807, 6.698156>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-0.000177, -0.830448, 5.190433>, <0.350925, -0.830448, 5.190433>, <0.748406, -0.381300, 5.067886>, <0.748406, -0.000731, 4.988099>, 
      <-0.000177, -0.815450, 5.274437>, <0.385139, -0.815450, 5.274437>, <0.814555, -0.405837, 5.274437>, <0.814555, -0.026480, 5.306339>, 
      <-0.000177, -0.867025, 5.983596>, <0.385139, -0.867025, 5.983596>, <0.814555, -0.405837, 5.983596>, <0.814555, -0.105024, 5.983596>, 
      <-0.000177, -0.958807, 6.698156>, <0.458281, -0.958807, 6.698156>, <1.040129, -0.454870, 6.703094>, <1.040129, -0.090916, 6.701007>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <0.748406, -0.000731, 4.988099>, <0.748406, 0.379838, 4.908311>, <0.350925, 1.047248, 5.064094>, <-0.000177, 1.047248, 5.064094>, 
      <0.814555, -0.026480, 5.306339>, <0.814555, 0.352877, 5.338242>, <0.385139, 1.059669, 5.257733>, <-0.000177, 1.059669, 5.257733>, 
      <0.814555, -0.105024, 5.983596>, <0.814555, 0.195789, 5.983596>, <0.385139, 0.933809, 5.914717>, <-0.000177, 0.933809, 5.914717>, 
      <1.040129, -0.090916, 6.701007>, <1.040129, 0.273038, 6.698920>, <0.458281, 0.915104, 6.679846>, <-0.000177, 0.915104, 6.679846>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-0.000177, 1.047248, 5.064094>, <-0.351279, 1.047248, 5.064094>, <-0.748760, 0.379838, 4.908311>, <-0.748760, -0.000731, 4.988099>, 
      <-0.000177, 1.059669, 5.257733>, <-0.385493, 1.059669, 5.257733>, <-0.814909, 0.352877, 5.338242>, <-0.814909, -0.026480, 5.306339>, 
      <-0.000177, 0.933809, 5.914717>, <-0.385493, 0.933809, 5.914717>, <-0.814909, 0.195789, 5.983596>, <-0.814909, -0.105024, 5.983596>, 
      <-0.000177, 0.915104, 6.679846>, <-0.458635, 0.915104, 6.679846>, <-0.921430, 0.273038, 6.690981>, <-0.921430, -0.090916, 6.693068>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-0.921430, -0.090916, 6.693068>, <-0.921430, -0.454870, 6.695155>, <-0.458635, -0.958807, 6.698156>, <-0.000177, -0.958807, 6.698156>, 
      <-1.027952, -0.076808, 7.402539>, <-1.027952, -0.503903, 7.406713>, <-0.531776, -1.050589, 7.412717>, <-0.000177, -1.050589, 7.412717>, 
      <-1.121239, -0.072984, 8.111680>, <-1.121239, -0.500080, 8.115854>, <-0.531555, -1.108846, 8.121858>, <-0.000177, -1.108846, 8.121858>, 
      <-1.255646, -0.102332, 8.680124>, <-1.255646, -0.529428, 8.684207>, <-0.532363, -1.169234, 8.690079>, <-0.000088, -1.169234, 8.690079>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-0.000177, -0.958807, 6.698156>, <0.458281, -0.958807, 6.698156>, <1.040129, -0.454870, 6.703094>, <1.040129, -0.090916, 6.701007>, 
      <-0.000177, -1.050589, 7.412717>, <0.531423, -1.050589, 7.412717>, <1.265703, -0.503903, 7.422591>, <1.265703, -0.076808, 7.418417>, 
      <-0.000177, -1.108846, 8.121858>, <0.531201, -1.108846, 8.121858>, <1.336337, -0.500080, 8.131732>, <1.336337, -0.072984, 8.127558>, 
      <-0.000088, -1.169234, 8.690079>, <0.532186, -1.169234, 8.690079>, <1.333358, -0.529428, 8.700084>, <1.333358, -0.102332, 8.696001>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <1.040129, -0.090916, 6.701007>, <1.040129, 0.273038, 6.698920>, <0.458281, 0.915104, 6.679846>, <-0.000177, 0.915104, 6.679846>, 
      <1.265703, -0.076808, 7.418417>, <1.265703, 0.350288, 7.414243>, <0.531423, 0.896399, 7.444975>, <-0.000177, 0.896399, 7.444975>, 
      <1.336337, -0.072984, 8.127558>, <1.336337, 0.354111, 8.123384>, <0.531201, 0.997825, 8.130504>, <-0.000177, 0.997825, 8.130504>, 
      <1.333358, -0.102332, 8.696001>, <1.333358, 0.324763, 8.691918>, <0.532186, 1.047518, 8.695050>, <-0.000088, 1.047518, 8.695050>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-0.000177, 0.915104, 6.679846>, <-0.458635, 0.915104, 6.679846>, <-0.921430, 0.273038, 6.690981>, <-0.921430, -0.090916, 6.693068>, 
      <-0.000177, 0.896399, 7.444975>, <-0.531776, 0.896399, 7.444975>, <-1.027952, 0.350288, 7.398366>, <-1.027952, -0.076808, 7.402539>, 
      <-0.000177, 0.997825, 8.130504>, <-0.531555, 0.997825, 8.130504>, <-1.121239, 0.354111, 8.107507>, <-1.121239, -0.072984, 8.111680>, 
      <-0.000088, 1.047518, 8.695050>, <-0.532363, 1.047518, 8.695050>, <-1.255646, 0.324763, 8.676041>, <-1.255646, -0.102332, 8.680124>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-1.255646, -0.102332, 8.680124>, <-1.255646, -0.529428, 8.684207>, <-0.532363, -1.169234, 8.690079>, <-0.000088, -1.169234, 8.690079>, 
      <-1.390052, -0.131680, 9.248567>, <-1.390052, -0.558776, 9.252559>, <-0.533172, -1.229622, 9.258301>, <0.000000, -1.229622, 9.258301>, 
      <-1.613813, -0.260541, 9.926839>, <-1.613813, -0.687637, 9.930831>, <-0.947330, -1.326697, 9.936573>, <-0.195815, -1.326697, 9.936573>, 
      <-1.558699, -0.090787, 10.607278>, <-1.558699, -0.584225, 10.609102>, <-0.909048, -1.225621, 10.614844>, <-0.008678, -1.233560, 10.614844>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-0.000088, -1.169234, 8.690079>, <0.532186, -1.169234, 8.690079>, <1.333358, -0.529428, 8.700084>, <1.333358, -0.102332, 8.696001>, 
      <0.000000, -1.229622, 9.258301>, <0.533172, -1.229622, 9.258301>, <1.330380, -0.558776, 9.268437>, <1.330380, -0.131680, 9.264445>, 
      <-0.195815, -1.326697, 9.936573>, <0.555700, -1.326697, 9.936573>, <1.349756, -0.687637, 9.930831>, <1.349756, -0.260541, 9.926839>, 
      <-0.008678, -1.233560, 10.614844>, <0.891692, -1.241499, 10.614844>, <1.393886, -0.584225, 10.629751>, <1.393886, -0.090787, 10.627926>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <1.333358, -0.102332, 8.696001>, <1.333358, 0.324763, 8.691918>, <0.532186, 1.047518, 8.695050>, <-0.000088, 1.047518, 8.695050>, 
      <1.330380, -0.131680, 9.264445>, <1.330380, 0.295416, 9.260452>, <0.533172, 1.097212, 9.259596>, <0.000000, 1.097212, 9.259596>, 
      <1.349756, -0.260541, 9.926839>, <1.349756, 0.166555, 9.922846>, <0.555700, 1.033003, 9.957133>, <-0.195815, 1.033003, 9.957133>, 
      <1.393886, -0.090787, 10.627926>, <1.393886, 0.402651, 10.626102>, <0.879547, 1.161246, 10.604497>, <-0.035220, 1.006215, 10.604497>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-0.000088, 1.047518, 8.695050>, <-0.532363, 1.047518, 8.695050>, <-1.255646, 0.324763, 8.676041>, <-1.255646, -0.102332, 8.680124>, 
      <0.000000, 1.097212, 9.259596>, <-0.533172, 1.097212, 9.259596>, <-1.390052, 0.295416, 9.244575>, <-1.390052, -0.131680, 9.248567>, 
      <-0.195815, 1.033003, 9.957133>, <-0.947330, 1.033003, 9.957133>, <-1.613813, 0.166555, 9.922846>, <-1.613813, -0.260541, 9.926839>, 
      <-0.035220, 1.006215, 10.604497>, <-0.949987, 0.851184, 10.604497>, <-1.558699, 0.402651, 10.605453>, <-1.558699, -0.090787, 10.607278>
    }
  }
  material {
    Suit_tex
  }
  scale <1.0, 1.0, 1.3>
  translate  <1.3, 0.4, -2.875>
}
#declare Right_leg1 = union { 
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-0.027217, -0.499745, -0.333183>, <-0.027217, -0.499745, -0.333183>, <-0.170344, -0.888782, -0.105109>, <-0.042860, -0.894885, -0.104618>, 
      <-0.614963, 0.042201, -0.480363>, <-0.614963, -0.383528, -0.446093>, <-0.365403, -0.895251, -0.106516>, <-0.047813, -0.894660, -0.104925>, 
      <-0.442166, -0.090282, 0.092258>, <-0.454081, -0.299426, 0.333113>, <-0.356993, -0.917161, 0.382838>, <-0.052747, -0.931728, 0.384011>, 
      <-0.552357, 0.014694, 0.907271>, <-0.558314, -0.253146, 1.040841>, <-0.227528, -0.721337, 0.747304>, <-0.026462, -0.728620, 0.747890>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-0.042860, -0.894885, -0.104618>, <0.084623, -0.900989, -0.104126>, <-0.027216, -0.499745, -0.333183>, <-0.027216, -0.499745, -0.333183>, 
      <-0.047813, -0.894660, -0.104925>, <0.269776, -0.894070, -0.103334>, <0.614609, -0.383528, -0.446093>, <0.614609, 0.042201, -0.480363>, 
      <-0.052747, -0.931728, 0.384011>, <0.251498, -0.946295, 0.385184>, <0.412765, -0.340929, 0.336454>, <0.424679, -0.131786, 0.095598>, 
      <-0.026462, -0.728620, 0.747890>, <0.174603, -0.735904, 0.748476>, <0.537479, -0.273898, 1.042512>, <0.543436, -0.006057, 0.908941>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-0.027216, -0.499745, -0.333183>, <-0.027216, -0.499745, -0.333183>, <0.172105, 1.663185, -0.577331>, <0.044621, 1.669289, -0.577822>, 
      <0.614609, 0.042201, -0.480363>, <0.614609, 0.467931, -0.514633>, <2.171860, 1.230482, -0.874315>, <0.065354, 2.216925, -0.866008>, 
      <0.424679, -0.131786, 0.095598>, <0.436593, 0.077357, -0.145257>, <0.237641, 0.308553, 0.149751>, <0.013460, 0.319286, 0.148887>, 
      <0.543436, -0.006057, 0.908941>, <0.549393, 0.261783, 0.775371>, <0.290032, 0.423176, 0.923980>, <0.006642, 0.428543, 0.923548>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <0.044621, 1.669289, -0.577822>, <-0.082862, 1.675392, -0.578314>, <-0.027217, -0.499745, -0.333183>, <-0.027217, -0.499745, -0.333183>, 
      <0.065354, 2.216925, -0.866008>, <-2.041152, 3.203367, -0.857701>, <-0.614963, 0.467931, -0.514633>, <-0.614963, 0.042201, -0.480363>, 
      <0.013460, 0.319286, 0.148887>, <-0.210720, 0.330020, 0.148023>, <-0.430252, 0.118861, -0.148598>, <-0.442166, -0.090282, 0.092258>, 
      <0.006642, 0.428543, 0.923548>, <-0.276748, 0.433909, 0.923116>, <-0.546400, 0.282535, 0.773701>, <-0.552357, 0.014694, 0.907271>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-0.552357, 0.014694, 0.907271>, <-0.558314, -0.253146, 1.040841>, <-0.227528, -0.721337, 0.747304>, <-0.026462, -0.728620, 0.747890>, 
      <-0.662547, 0.119671, 1.722284>, <-0.662547, -0.206866, 1.748569>, <-0.098063, -0.525513, 1.111769>, <-0.000177, -0.525513, 1.111769>, 
      <-0.786953, 0.281373, 2.490858>, <-0.786953, -0.144356, 2.525128>, <-0.188924, -0.628776, 2.493985>, <-0.000177, -0.628776, 2.493985>, 
      <-0.788340, 0.047613, 3.369840>, <-0.788340, -0.356142, 3.482714>, <-0.202019, -0.842694, 3.589690>, <-0.000177, -0.842694, 3.589690>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-0.026462, -0.728620, 0.747890>, <0.174603, -0.735904, 0.748476>, <0.537479, -0.273898, 1.042512>, <0.543436, -0.006057, 0.908941>, 
      <-0.000177, -0.525513, 1.111769>, <0.097709, -0.525513, 1.111769>, <0.662193, -0.206866, 1.748569>, <0.662193, 0.119671, 1.722284>, 
      <-0.000177, -0.628776, 2.493985>, <0.188570, -0.628776, 2.493985>, <0.926151, -0.149966, 2.455442>, <0.926151, 0.275764, 2.421173>, 
      <-0.000177, -0.842694, 3.589690>, <0.201665, -0.842694, 3.589690>, <0.892650, -0.358947, 3.447872>, <0.892650, 0.044808, 3.334998>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <0.543436, -0.006057, 0.908941>, <0.549393, 0.261783, 0.775371>, <0.290032, 0.423176, 0.923980>, <0.006642, 0.428543, 0.923548>, 
      <0.662193, 0.119671, 1.722284>, <0.662193, 0.446209, 1.695999>, <0.342423, 0.537799, 1.698209>, <-0.000177, 0.537799, 1.698209>, 
      <0.926151, 0.275764, 2.421173>, <0.926151, 0.701494, 2.386903>, <0.188570, 0.753122, 2.426845>, <-0.000177, 0.753122, 2.426845>, 
      <0.892650, 0.044808, 3.334998>, <0.892650, 0.448563, 3.222124>, <0.201665, 0.629952, 3.175558>, <-0.000177, 0.629952, 3.175558>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <0.006642, 0.428543, 0.923548>, <-0.276748, 0.433909, 0.923116>, <-0.546400, 0.282535, 0.773701>, <-0.552357, 0.014694, 0.907271>, 
      <-0.000177, 0.537799, 1.698209>, <-0.342777, 0.537799, 1.698209>, <-0.662547, 0.446209, 1.695999>, <-0.662547, 0.119671, 1.722284>, 
      <-0.000177, 0.753122, 2.426845>, <-0.188924, 0.753122, 2.426845>, <-0.786953, 0.707103, 2.456589>, <-0.786953, 0.281373, 2.490858>, 
      <-0.000177, 0.629952, 3.175558>, <-0.202019, 0.629952, 3.175558>, <-0.788340, 0.451368, 3.256967>, <-0.788340, 0.047613, 3.369840>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-0.788340, 0.047613, 3.369840>, <-0.788340, -0.356142, 3.482714>, <-0.202019, -0.842694, 3.589690>, <-0.000177, -0.842694, 3.589690>, 
      <-0.789726, -0.186148, 4.248823>, <-0.789726, -0.567928, 4.440301>, <-0.215114, -1.056612, 4.685395>, <-0.000177, -1.056612, 4.685395>, 
      <-0.682612, 0.025018, 4.669858>, <-0.682612, -0.356763, 4.861336>, <-0.317064, -0.845446, 5.106430>, <-0.000177, -0.845446, 5.106430>, 
      <-0.748760, -0.000731, 4.988099>, <-0.748760, -0.381300, 5.067886>, <-0.351279, -0.830448, 5.190433>, <-0.000177, -0.830448, 5.190433>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-0.000177, -0.842694, 3.589690>, <0.201665, -0.842694, 3.589690>, <0.892650, -0.358947, 3.447872>, <0.892650, 0.044808, 3.334998>, 
      <-0.000177, -1.056612, 4.685395>, <0.214761, -1.056612, 4.685395>, <0.859148, -0.567928, 4.440301>, <0.859148, -0.186148, 4.248823>, 
      <-0.000177, -0.845446, 5.106430>, <0.316711, -0.845446, 5.106430>, <0.682258, -0.356763, 4.861336>, <0.682258, 0.025018, 4.669858>, 
      <-0.000177, -0.830448, 5.190433>, <0.350925, -0.830448, 5.190433>, <0.748406, -0.381300, 5.067886>, <0.748406, -0.000731, 4.988099>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <0.892650, 0.044808, 3.334998>, <0.892650, 0.448563, 3.222124>, <0.201665, 0.629952, 3.175558>, <-0.000177, 0.629952, 3.175558>, 
      <0.859148, -0.186148, 4.248823>, <0.859148, 0.195633, 4.057345>, <0.214761, 0.506782, 3.924271>, <-0.000177, 0.506782, 3.924271>, 
      <0.682258, 0.025018, 4.669858>, <0.682258, 0.406799, 4.478380>, <0.316711, 1.034826, 4.870456>, <-0.000177, 1.034826, 4.870456>, 
      <0.748406, -0.000731, 4.988099>, <0.748406, 0.379838, 4.908311>, <0.350925, 1.047248, 5.064094>, <-0.000177, 1.047248, 5.064094>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-0.000177, 0.629952, 3.175558>, <-0.202019, 0.629952, 3.175558>, <-0.788340, 0.451368, 3.256967>, <-0.788340, 0.047613, 3.369840>, 
      <-0.000177, 0.506782, 3.924271>, <-0.215114, 0.506782, 3.924271>, <-0.789726, 0.195633, 4.057345>, <-0.789726, -0.186148, 4.248823>, 
      <-0.000177, 1.034826, 4.870456>, <-0.317064, 1.034826, 4.870456>, <-0.682612, 0.406799, 4.478380>, <-0.682612, 0.025018, 4.669858>, 
      <-0.000177, 1.047248, 5.064094>, <-0.351279, 1.047248, 5.064094>, <-0.748760, 0.379838, 4.908311>, <-0.748760, -0.000731, 4.988099>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-0.748760, -0.000731, 4.988099>, <-0.748760, -0.381300, 5.067886>, <-0.351279, -0.830448, 5.190433>, <-0.000177, -0.830448, 5.190433>, 
      <-0.814909, -0.026480, 5.306339>, <-0.814909, -0.405837, 5.274437>, <-0.385493, -0.815450, 5.274437>, <-0.000177, -0.815450, 5.274437>, 
      <-0.814909, -0.105024, 5.983596>, <-0.814909, -0.405837, 5.983596>, <-0.385493, -0.867025, 5.983596>, <-0.000177, -0.867025, 5.983596>, 
      <-0.921430, -0.090916, 6.693068>, <-0.921430, -0.454870, 6.695155>, <-0.458635, -0.958807, 6.698156>, <-0.000177, -0.958807, 6.698156>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-0.000177, -0.830448, 5.190433>, <0.350925, -0.830448, 5.190433>, <0.748406, -0.381300, 5.067886>, <0.748406, -0.000731, 4.988099>, 
      <-0.000177, -0.815450, 5.274437>, <0.385139, -0.815450, 5.274437>, <0.814555, -0.405837, 5.274437>, <0.814555, -0.026480, 5.306339>, 
      <-0.000177, -0.867025, 5.983596>, <0.385139, -0.867025, 5.983596>, <0.814555, -0.405837, 5.983596>, <0.814555, -0.105024, 5.983596>, 
      <-0.000177, -0.958807, 6.698156>, <0.458281, -0.958807, 6.698156>, <1.040129, -0.454870, 6.703094>, <1.040129, -0.090916, 6.701007>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <0.748406, -0.000731, 4.988099>, <0.748406, 0.379838, 4.908311>, <0.350925, 1.047248, 5.064094>, <-0.000177, 1.047248, 5.064094>, 
      <0.814555, -0.026480, 5.306339>, <0.814555, 0.352877, 5.338242>, <0.385139, 1.059669, 5.257733>, <-0.000177, 1.059669, 5.257733>, 
      <0.814555, -0.105024, 5.983596>, <0.814555, 0.195789, 5.983596>, <0.385139, 0.933809, 5.914717>, <-0.000177, 0.933809, 5.914717>, 
      <1.040129, -0.090916, 6.701007>, <1.040129, 0.273038, 6.698920>, <0.458281, 0.915104, 6.679846>, <-0.000177, 0.915104, 6.679846>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-0.000177, 1.047248, 5.064094>, <-0.351279, 1.047248, 5.064094>, <-0.748760, 0.379838, 4.908311>, <-0.748760, -0.000731, 4.988099>, 
      <-0.000177, 1.059669, 5.257733>, <-0.385493, 1.059669, 5.257733>, <-0.814909, 0.352877, 5.338242>, <-0.814909, -0.026480, 5.306339>, 
      <-0.000177, 0.933809, 5.914717>, <-0.385493, 0.933809, 5.914717>, <-0.814909, 0.195789, 5.983596>, <-0.814909, -0.105024, 5.983596>, 
      <-0.000177, 0.915104, 6.679846>, <-0.458635, 0.915104, 6.679846>, <-0.921430, 0.273038, 6.690981>, <-0.921430, -0.090916, 6.693068>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-0.921430, -0.090916, 6.693068>, <-0.921430, -0.454870, 6.695155>, <-0.458635, -0.958807, 6.698156>, <-0.000177, -0.958807, 6.698156>, 
      <-1.027952, -0.076808, 7.402539>, <-1.027952, -0.503903, 7.406713>, <-0.531776, -1.050589, 7.412717>, <-0.000177, -1.050589, 7.412717>, 
      <-1.121239, -0.072984, 8.111680>, <-1.121239, -0.500080, 8.115854>, <-0.531555, -1.108846, 8.121858>, <-0.000177, -1.108846, 8.121858>, 
      <-1.255646, -0.102332, 8.680124>, <-1.255646, -0.529428, 8.684207>, <-0.532363, -1.169234, 8.690079>, <-0.000088, -1.169234, 8.690079>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-0.000177, -0.958807, 6.698156>, <0.458281, -0.958807, 6.698156>, <1.040129, -0.454870, 6.703094>, <1.040129, -0.090916, 6.701007>, 
      <-0.000177, -1.050589, 7.412717>, <0.531423, -1.050589, 7.412717>, <1.265703, -0.503903, 7.422591>, <1.265703, -0.076808, 7.418417>, 
      <-0.000177, -1.108846, 8.121858>, <0.531201, -1.108846, 8.121858>, <1.336337, -0.500080, 8.131732>, <1.336337, -0.072984, 8.127558>, 
      <-0.000088, -1.169234, 8.690079>, <0.532186, -1.169234, 8.690079>, <1.333358, -0.529428, 8.700084>, <1.333358, -0.102332, 8.696001>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <1.040129, -0.090916, 6.701007>, <1.040129, 0.273038, 6.698920>, <0.458281, 0.915104, 6.679846>, <-0.000177, 0.915104, 6.679846>, 
      <1.265703, -0.076808, 7.418417>, <1.265703, 0.350288, 7.414243>, <0.531423, 0.896399, 7.444975>, <-0.000177, 0.896399, 7.444975>, 
      <1.336337, -0.072984, 8.127558>, <1.336337, 0.354111, 8.123384>, <0.531201, 0.997825, 8.130504>, <-0.000177, 0.997825, 8.130504>, 
      <1.333358, -0.102332, 8.696001>, <1.333358, 0.324763, 8.691918>, <0.532186, 1.047518, 8.695050>, <-0.000088, 1.047518, 8.695050>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-0.000177, 0.915104, 6.679846>, <-0.458635, 0.915104, 6.679846>, <-0.921430, 0.273038, 6.690981>, <-0.921430, -0.090916, 6.693068>, 
      <-0.000177, 0.896399, 7.444975>, <-0.531776, 0.896399, 7.444975>, <-1.027952, 0.350288, 7.398366>, <-1.027952, -0.076808, 7.402539>, 
      <-0.000177, 0.997825, 8.130504>, <-0.531555, 0.997825, 8.130504>, <-1.121239, 0.354111, 8.107507>, <-1.121239, -0.072984, 8.111680>, 
      <-0.000088, 1.047518, 8.695050>, <-0.532363, 1.047518, 8.695050>, <-1.255646, 0.324763, 8.676041>, <-1.255646, -0.102332, 8.680124>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-1.255646, -0.102332, 8.680124>, <-1.255646, -0.529428, 8.684207>, <-0.532363, -1.169234, 8.690079>, <-0.000088, -1.169234, 8.690079>, 
      <-1.390052, -0.131680, 9.248567>, <-1.390052, -0.558776, 9.252559>, <-0.533172, -1.229622, 9.258301>, <0.000000, -1.229622, 9.258301>, 
      <-1.613813, -0.260541, 9.926839>, <-1.613813, -0.687637, 9.930831>, <-0.947330, -1.326697, 9.936573>, <-0.195815, -1.326697, 9.936573>, 
      <-1.558699, -0.090787, 10.607278>, <-1.558699, -0.584225, 10.609102>, <-0.909048, -1.225621, 10.614844>, <-0.008678, -1.233560, 10.614844>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-0.000088, -1.169234, 8.690079>, <0.532186, -1.169234, 8.690079>, <1.333358, -0.529428, 8.700084>, <1.333358, -0.102332, 8.696001>, 
      <0.000000, -1.229622, 9.258301>, <0.533172, -1.229622, 9.258301>, <1.330380, -0.558776, 9.268437>, <1.330380, -0.131680, 9.264445>, 
      <-0.195815, -1.326697, 9.936573>, <0.555700, -1.326697, 9.936573>, <1.349756, -0.687637, 9.930831>, <1.349756, -0.260541, 9.926839>, 
      <-0.008678, -1.233560, 10.614844>, <0.891692, -1.241499, 10.614844>, <1.393886, -0.584225, 10.629751>, <1.393886, -0.090787, 10.627926>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <1.333358, -0.102332, 8.696001>, <1.333358, 0.324763, 8.691918>, <0.532186, 1.047518, 8.695050>, <-0.000088, 1.047518, 8.695050>, 
      <1.330380, -0.131680, 9.264445>, <1.330380, 0.295416, 9.260452>, <0.533172, 1.097212, 9.259596>, <0.000000, 1.097212, 9.259596>, 
      <1.349756, -0.260541, 9.926839>, <1.349756, 0.166555, 9.922846>, <0.555700, 1.033003, 9.957133>, <-0.195815, 1.033003, 9.957133>, 
      <1.393886, -0.090787, 10.627926>, <1.393886, 0.402651, 10.626102>, <0.879547, 1.161246, 10.604497>, <-0.035220, 1.006215, 10.604497>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-0.000088, 1.047518, 8.695050>, <-0.532363, 1.047518, 8.695050>, <-1.255646, 0.324763, 8.676041>, <-1.255646, -0.102332, 8.680124>, 
      <0.000000, 1.097212, 9.259596>, <-0.533172, 1.097212, 9.259596>, <-1.390052, 0.295416, 9.244575>, <-1.390052, -0.131680, 9.248567>, 
      <-0.195815, 1.033003, 9.957133>, <-0.947330, 1.033003, 9.957133>, <-1.613813, 0.166555, 9.922846>, <-1.613813, -0.260541, 9.926839>, 
      <-0.035220, 1.006215, 10.604497>, <-0.949987, 0.851184, 10.604497>, <-1.558699, 0.402651, 10.605453>, <-1.558699, -0.090787, 10.607278>
    }
  }
  material {
    Suit_tex
  }
  scale <-1.0, 1.0, 1.3>
  translate  <-1.302485, 0.4, -2.916332>
}
#declare Legs = union {
  object { Right_leg }
  object { Right_leg1 }
  object { BezPtch001 }
  object { // BezPtch002->BezPtch001
    BezPtch001
    scale <-1.0, 1.0, 1.0>
    rotate <48.364769, -0.0, 0.0>
    translate  <0.0, 1.614843, -0.446822>
  }
}
#declare Right_arm = union { 
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-2.413111, -0.000000, -0.412374>, <-2.413111, 0.219821, -0.412374>, <-2.333336, 0.328469, -0.520635>, <-2.152140, 0.284242, -0.606115>, 
      <-2.353648, 0.000000, 0.127955>, <-2.353648, 0.241401, 0.127955>, <-2.216189, 0.438910, 0.011294>, <-1.860829, 0.438910, -0.131292>, 
      <-2.052848, 0.000000, 0.677195>, <-2.052848, 0.256762, 0.677195>, <-1.831839, 0.466841, 0.560534>, <-1.561717, 0.466841, 0.417949>, 
      <-1.762928, 0.000000, 1.226435>, <-1.762928, 0.297402, 1.226435>, <-1.541919, 0.540730, 1.109775>, <-1.271797, 0.540730, 0.967189>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-2.152140, 0.284242, -0.606115>, <-1.970943, 0.240015, -0.691596>, <-1.923432, 0.234151, -0.739620>, <-1.923432, -0.000000, -0.739620>, 
      <-1.860829, 0.438910, -0.131292>, <-1.505469, 0.438910, -0.273877>, <-1.214720, 0.241401, -0.215755>, <-1.214720, 0.000000, -0.215755>, 
      <-1.561717, 0.466841, 0.417949>, <-1.291596, 0.466841, 0.275364>, <-1.012326, 0.256762, 0.275224>, <-1.012326, 0.000000, 0.275224>, 
      <-1.271797, 0.540730, 0.967189>, <-1.001676, 0.540730, 0.824604>, <-0.722406, 0.297402, 0.737074>, <-0.722406, 0.000000, 0.737074>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-1.923432, -0.000000, -0.739620>, <-1.923432, -0.234151, -0.739620>, <-1.970943, -0.240015, -0.691596>, <-2.152140, -0.284242, -0.606115>, 
      <-1.214720, 0.000000, -0.215755>, <-1.214720, -0.241401, -0.215755>, <-1.505469, -0.438910, -0.273877>, <-1.860829, -0.438910, -0.131292>, 
      <-1.012326, 0.000000, 0.275224>, <-1.012326, -0.256762, 0.275224>, <-1.291596, -0.466841, 0.275364>, <-1.561717, -0.466841, 0.417949>, 
      <-0.722406, 0.000000, 0.737074>, <-0.722406, -0.297402, 0.737074>, <-1.001676, -0.540730, 0.824604>, <-1.271797, -0.540730, 0.967189>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-2.152140, -0.284242, -0.606115>, <-2.333336, -0.328469, -0.520635>, <-2.413111, -0.219821, -0.412374>, <-2.413111, -0.000000, -0.412374>, 
      <-1.860829, -0.438910, -0.131292>, <-2.216189, -0.438910, 0.011294>, <-2.353648, -0.241401, 0.127955>, <-2.353648, 0.000000, 0.127955>, 
      <-1.561717, -0.466841, 0.417949>, <-1.831839, -0.466841, 0.560534>, <-2.052848, -0.256762, 0.677195>, <-2.052848, 0.000000, 0.677195>, 
      <-1.271797, -0.540730, 0.967189>, <-1.541919, -0.540730, 1.109775>, <-1.762928, -0.297402, 1.226435>, <-1.762928, 0.000000, 1.226435>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-1.762928, 0.000000, 1.226435>, <-1.762928, 0.297402, 1.226435>, <-1.541919, 0.540730, 1.109775>, <-1.271797, 0.540730, 0.967189>, 
      <-1.473008, 0.000000, 1.775676>, <-1.473008, 0.338041, 1.775676>, <-1.251999, 0.614620, 1.659015>, <-0.981878, 0.614620, 1.516430>, 
      <-1.183088, 0.000000, 2.324916>, <-1.183088, 0.364044, 2.324916>, <-0.962079, 0.661898, 2.208255>, <-0.691958, 0.661898, 2.065670>, 
      <-0.893168, 0.000000, 2.874157>, <-0.893168, 0.379194, 2.874157>, <-0.672159, 0.659568, 2.757496>, <-0.402038, 0.659568, 2.614911>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-1.271797, 0.540730, 0.967189>, <-1.001676, 0.540730, 0.824604>, <-0.722406, 0.297402, 0.737074>, <-0.722406, 0.000000, 0.737074>, 
      <-0.981878, 0.614620, 1.516430>, <-0.711756, 0.614620, 1.373844>, <-0.432486, 0.338041, 1.198923>, <-0.432486, 0.000000, 1.198923>, 
      <-0.691958, 0.661898, 2.065670>, <-0.421836, 0.661898, 1.923085>, <-0.084306, 0.364044, 1.806424>, <-0.084306, 0.000000, 1.806424>, 
      <-0.402038, 0.659568, 2.614911>, <-0.131916, 0.659568, 2.472325>, <0.322136, 0.379194, 2.443056>, <0.322136, 0.000000, 2.443056>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-0.722406, 0.000000, 0.737074>, <-0.722406, -0.297402, 0.737074>, <-1.001676, -0.540730, 0.824604>, <-1.271797, -0.540730, 0.967189>, 
      <-0.432486, 0.000000, 1.198923>, <-0.432486, -0.338041, 1.198923>, <-0.711756, -0.614620, 1.373844>, <-0.981878, -0.614620, 1.516430>, 
      <-0.084306, 0.000000, 1.806424>, <-0.084306, -0.364044, 1.806424>, <-0.421836, -0.661898, 1.923085>, <-0.691958, -0.661898, 2.065670>, 
      <0.322136, 0.000000, 2.443056>, <0.322136, -0.379194, 2.443056>, <-0.131916, -0.659568, 2.472325>, <-0.402038, -0.686856, 2.601267>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-1.271797, -0.540730, 0.967189>, <-1.541919, -0.540730, 1.109775>, <-1.762928, -0.297402, 1.226435>, <-1.762928, 0.000000, 1.226435>, 
      <-0.981878, -0.614620, 1.516430>, <-1.251999, -0.614620, 1.659015>, <-1.473008, -0.338041, 1.775676>, <-1.473008, 0.000000, 1.775676>, 
      <-0.691958, -0.661898, 2.065670>, <-0.962079, -0.661898, 2.208255>, <-1.183088, -0.364044, 2.324916>, <-1.183088, 0.000000, 2.324916>, 
      <-0.402038, -0.686856, 2.601267>, <-0.672159, -0.714143, 2.730209>, <-0.893168, -0.379194, 2.874157>, <-0.893168, 0.000000, 2.874157>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-0.893168, 0.000000, 2.874157>, <-0.893168, 0.379194, 2.874157>, <-0.672159, 0.659568, 2.757496>, <-0.402038, 0.659568, 2.614911>, 
      <-0.603248, 0.000000, 3.423397>, <-0.603248, 0.394343, 3.423397>, <-0.382240, 0.657239, 3.306736>, <-0.112118, 0.657239, 3.164151>, 
      <-0.684268, 0.000000, 4.060531>, <-0.684268, 0.394343, 4.060531>, <-0.376347, 0.775215, 4.119519>, <0.000000, 0.775215, 4.119519>, 
      <-0.684268, 0.000000, 4.727316>, <-0.684268, 0.354082, 4.727316>, <-0.376347, 0.672899, 4.756810>, <0.000000, 0.672899, 4.756810>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-0.402038, 0.659568, 2.614911>, <-0.131916, 0.659568, 2.472325>, <0.322136, 0.379194, 2.443056>, <0.322136, 0.000000, 2.443056>, 
      <-0.112118, 0.657239, 3.164151>, <0.158004, 0.657239, 3.021566>, <0.728577, 0.394343, 3.079687>, <0.728577, 0.000000, 3.079687>, 
      <0.000000, 0.775215, 4.119519>, <0.376347, 0.775215, 4.119519>, <0.567746, 0.394343, 3.477923>, <0.567746, 0.000000, 3.477923>, 
      <0.000000, 0.672899, 4.756810>, <0.376347, 0.672899, 4.756810>, <0.626007, 0.354082, 4.436012>, <0.626007, 0.000000, 4.436012>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <0.322136, 0.000000, 2.443056>, <0.322136, -0.379194, 2.443056>, <-0.131916, -0.659568, 2.472325>, <-0.402038, -0.686856, 2.601267>, 
      <0.728577, 0.000000, 3.079687>, <0.728577, -0.394343, 3.079687>, <0.158004, -0.657239, 3.021566>, <-0.112118, -0.711813, 3.136864>, 
      <0.567746, 0.000000, 3.477923>, <0.567746, -0.394343, 3.477923>, <0.376347, -0.766387, 4.005957>, <0.000000, -0.766387, 4.005957>, 
      <0.626007, 0.000000, 4.436012>, <0.626007, -0.354082, 4.436012>, <0.376347, -0.668485, 4.700029>, <0.000000, -0.668485, 4.700029>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-0.402038, -0.686856, 2.601267>, <-0.672159, -0.714143, 2.730209>, <-0.893168, -0.379194, 2.874157>, <-0.893168, 0.000000, 2.874157>, 
      <-0.112118, -0.711813, 3.136864>, <-0.382240, -0.766387, 3.252162>, <-0.603248, -0.394343, 3.423397>, <-0.603248, 0.000000, 3.423397>, 
      <0.000000, -0.766387, 4.005957>, <-0.376347, -0.766387, 4.005957>, <-0.684268, -0.394343, 4.060531>, <-0.684268, 0.000000, 4.060531>, 
      <0.000000, -0.668485, 4.700029>, <-0.376347, -0.668485, 4.700029>, <-0.684268, -0.354082, 4.727316>, <-0.684268, 0.000000, 4.727316>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-0.684268, 0.000000, 4.727316>, <-0.684268, 0.354082, 4.727316>, <-0.376347, 0.672899, 4.756810>, <0.000000, 0.672899, 4.756810>, 
      <-0.684268, 0.000000, 5.394100>, <-0.684268, 0.313821, 5.394100>, <-0.376347, 0.570583, 5.394100>, <0.000000, 0.570583, 5.394100>, 
      <-0.871535, 0.000000, 6.242578>, <-0.871535, 0.313821, 6.242578>, <-0.479344, 0.616673, 6.242578>, <0.000000, 0.616673, 6.242578>, 
      <-0.871535, 0.000000, 6.865823>, <-0.871535, 0.313821, 6.865823>, <-0.479344, 0.654064, 6.836329>, <0.000000, 0.654064, 6.836329>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <0.000000, 0.672899, 4.756810>, <0.376347, 0.672899, 4.756810>, <0.626007, 0.354082, 4.436012>, <0.626007, 0.000000, 4.436012>, 
      <0.000000, 0.570583, 5.394100>, <0.376347, 0.570583, 5.394100>, <0.684268, 0.313821, 5.394100>, <0.684268, 0.000000, 5.394100>, 
      <0.000000, 0.616673, 6.242578>, <0.479344, 0.616673, 6.242578>, <0.871535, 0.313821, 6.242578>, <0.871535, 0.000000, 6.242578>, 
      <0.000000, 0.654064, 6.836329>, <0.479344, 0.654064, 6.836329>, <0.871535, 0.313821, 6.865823>, <0.871535, 0.000000, 6.865823>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <0.626007, 0.000000, 4.436012>, <0.626007, -0.354082, 4.436012>, <0.376347, -0.668485, 4.700029>, <0.000000, -0.668485, 4.700029>, 
      <0.684268, 0.000000, 5.394100>, <0.684268, -0.313821, 5.394100>, <0.376347, -0.570583, 5.394100>, <0.000000, -0.570583, 5.394100>, 
      <0.871535, 0.000000, 6.242578>, <0.871535, -0.313821, 6.242578>, <0.479344, -0.793637, 6.301566>, <0.000000, -0.793637, 6.301566>, 
      <0.871535, 0.000000, 6.865823>, <0.871535, -0.313821, 6.865823>, <0.479344, -0.801534, 6.924811>, <0.000000, -0.801534, 6.924811>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <0.000000, -0.668485, 4.700029>, <-0.376347, -0.668485, 4.700029>, <-0.684268, -0.354082, 4.727316>, <-0.684268, 0.000000, 4.727316>, 
      <0.000000, -0.570583, 5.394100>, <-0.376347, -0.570583, 5.394100>, <-0.684268, -0.313821, 5.394100>, <-0.684268, 0.000000, 5.394100>, 
      <0.000000, -0.793637, 6.301566>, <-0.479344, -0.793637, 6.301566>, <-0.871535, -0.313821, 6.242578>, <-0.871535, 0.000000, 6.242578>, 
      <0.000000, -0.801534, 6.924811>, <-0.479344, -0.801534, 6.924811>, <-0.871535, -0.313821, 6.865823>, <-0.871535, 0.000000, 6.865823>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-0.871535, 0.000000, 6.865823>, <-0.871535, 0.313821, 6.865823>, <-0.479344, 0.654064, 6.836329>, <0.000000, 0.654064, 6.836329>, 
      <-0.871535, 0.000000, 7.489067>, <-0.871535, 0.313821, 7.489067>, <-0.479344, 0.691455, 7.430079>, <0.000000, 0.691455, 7.430079>, 
      <-0.684268, 0.000000, 8.515276>, <-0.684268, 0.313821, 8.515276>, <-0.376347, 0.570583, 8.337545>, <0.000000, 0.570583, 8.337545>, 
      <0.007422, 0.000000, 8.382228>, <0.007422, 0.313821, 8.382228>, <0.012969, 0.205800, 8.382228>, <0.019748, 0.205800, 8.382228>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <0.000000, 0.654064, 6.836329>, <0.479344, 0.654064, 6.836329>, <0.871535, 0.313821, 6.865823>, <0.871535, 0.000000, 6.865823>, 
      <0.000000, 0.691455, 7.430079>, <0.479344, 0.691455, 7.430079>, <0.871535, 0.313821, 7.489067>, <0.871535, 0.000000, 7.489067>, 
      <0.000000, 0.570583, 8.337545>, <0.376347, 0.570583, 8.337545>, <0.684268, 0.313821, 8.515276>, <0.684268, 0.000000, 8.515276>, 
      <0.019748, 0.205800, 8.382228>, <0.026527, 0.205800, 8.382228>, <0.032074, 0.313821, 8.382228>, <0.032074, 0.000000, 8.382228>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <0.871535, 0.000000, 6.865823>, <0.871535, -0.313821, 6.865823>, <0.479344, -0.801534, 6.924811>, <0.000000, -0.801534, 6.924811>, 
      <0.871535, 0.000000, 7.489067>, <0.871535, -0.313821, 7.489067>, <0.479344, -0.809431, 7.548055>, <0.000000, -0.809431, 7.548055>, 
      <0.684268, 0.000000, 8.515276>, <0.684268, -0.313821, 8.515276>, <0.376347, -0.570583, 8.337545>, <0.000000, -0.570583, 8.337545>, 
      <0.032074, 0.000000, 8.382228>, <0.032074, -0.313821, 8.382228>, <0.026527, -0.205800, 8.382228>, <0.019748, -0.205800, 8.382228>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <0.000000, -0.801534, 6.924811>, <-0.479344, -0.801534, 6.924811>, <-0.871535, -0.313821, 6.865823>, <-0.871535, 0.000000, 6.865823>, 
      <0.000000, -0.809431, 7.548055>, <-0.479344, -0.809431, 7.548055>, <-0.871535, -0.313821, 7.489067>, <-0.871535, 0.000000, 7.489067>, 
      <0.000000, -0.570583, 8.337545>, <-0.376347, -0.570583, 8.337545>, <-0.684268, -0.313821, 8.515276>, <-0.684268, 0.000000, 8.515276>, 
      <0.019748, -0.205800, 8.382228>, <0.012969, -0.205800, 8.382228>, <0.007422, -0.313821, 8.382228>, <0.007422, 0.000000, 8.382228>
    }
  }
  material {
    Suit_tex
  }
  scale <1.0, 1.0, 1.1>
  rotate -90.0*z
  translate  <3.9, 0.0, 13.05>
}
#declare Right_Hand = blob {
  threshold 0.6
  sphere { <-0.413502, 0.025316, 0.0>, 1.50823, 1.0 }

  sphere { <0.43038, -0.008439, 0.0>, 1.59972, 1.0 }

  sphere { <-0.548523, -1.18987, 0.0>, 1.45752, 1.0 }

  sphere { <0.700422, -1.20675, 0.0>, 1.4348, 1.0 }

  sphere { <1.49367, -0.548523, 0.0>, 0.983246, 1.0 }

  sphere { <1.72996, 0.109705, 0.0>, 0.747382, 1.0 }

  sphere { <1.79747, 0.683544, 0.0>, 0.683805, 1.0 }

  sphere { <1.82278, 1.21519, 0.0>, 0.676372, 1.0 }

  sphere { <0.759494, 0.911392, 0.0>, 0.714533, 1.0 }

  sphere { <0.742616, 1.50211, 0.0>, 0.676372, 1.0 }

  sphere { <0.691983, 2.16034, 0.0>, 0.749914, 1.0 }

  sphere { <0.599156, 2.79325, 0.0>, 0.708316, 1.0 }

  sphere { <0.43038, 3.50211, 0.0>, 0.718941, 1.0 }

  sphere { <-0.21097, 1.08861, 0.0>, 0.679169, 1.0 }

  sphere { <-0.312236, 1.74684, 0.0>, 0.714533, 1.0 }

  sphere { <-0.464135, 2.42194, 0.0>, 0.629936, 1.0 }

  sphere { <-0.666667, 3.09705, 0.0>, 0.698434, 1.0 }

  sphere { <-0.919831, 3.80591, 0.0>, 0.715417, 1.0 }

  sphere { <-1.0211, 1.0211, 0.0>, 0.640875, 1.0 }

  sphere { <-1.30802, 1.64557, 0.0>, 0.621859, 1.0 }

  sphere { <-1.57806, 2.23629, 0.0>, 0.670744, 1.0 }

  sphere { <-1.86498, 2.84388, 0.0>, 0.620842, 1.0 }

  sphere { <-1.4346, -0.151899, 0.0>, 1.21077, 1.0 }

  sphere { <-1.33333, -1.26582, 0.0>, 1.24168, 1.0 }

  sphere { <-2.04219, 0.691983, 0.0>, 0.670743, 1.0 }

  sphere { <-2.4135, 1.29958, 0.0>, 0.674501, 1.0 }

  sphere { <1.80591, 1.90717, 0.0>, 0.78531, 1.0 }

  material {
    Skin_tex
  }
  scale <-0.3, 0.45, 0.3>
  rotate <-72.549675, 2.103363, 2.865745>
  translate  <3.865557, 2.366931, 11.842311>
}

#declare R_armPhand = union {
  object { Right_arm }
  object { Right_Hand }
  rotate <0.0, 0.0, 0.0>
  translate  <-1.143825, 0.00994, -21.825476>
  rotate <117.728401, 1.396843, -2.655225>
  translate  <0.688597, -0.00994, 21.423266>
}
#declare Left_arm = union { 
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-2.413815, -0.004796, -0.417102>, <-2.413815, -0.211695, -0.415504>, <-2.334040, -0.289462, -0.518687>, <-2.150986, -0.257806, -0.592182>, 
      <-2.353648, 0.000000, 0.127955>, <-2.353648, -0.241401, 0.127955>, <-2.216189, -0.438910, 0.011294>, <-1.860829, -0.438910, -0.131292>, 
      <-2.052848, 0.000000, 0.677195>, <-2.052848, -0.256762, 0.677195>, <-1.831839, -0.466841, 0.560534>, <-1.561717, -0.466841, 0.417949>, 
      <-1.762928, 0.000000, 1.226435>, <-1.762928, -0.297402, 1.226435>, <-1.541919, -0.540730, 1.109775>, <-1.271797, -0.540730, 0.967189>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-2.150986, -0.257806, -0.592182>, <-1.967931, -0.226149, -0.665677>, <-1.920420, -0.221953, -0.711449>, <-1.920420, -0.004796, -0.713047>, 
      <-1.860829, -0.438910, -0.131292>, <-1.505469, -0.438910, -0.273877>, <-1.214720, -0.241401, -0.215755>, <-1.214720, 0.000000, -0.215755>, 
      <-1.561717, -0.466841, 0.417949>, <-1.291596, -0.466841, 0.275364>, <-1.012326, -0.256762, 0.275224>, <-1.012326, 0.000000, 0.275224>, 
      <-1.271797, -0.540730, 0.967189>, <-1.001676, -0.540730, 0.824604>, <-0.722406, -0.297402, 0.737074>, <-0.722406, 0.000000, 0.737074>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-1.920420, -0.004796, -0.713047>, <-1.920420, 0.212361, -0.714646>, <-1.967931, 0.216557, -0.668875>, <-2.150986, 0.248214, -0.595379>, 
      <-1.214720, 0.000000, -0.215755>, <-1.214720, 0.241401, -0.215755>, <-1.505469, 0.438910, -0.273877>, <-1.860829, 0.438910, -0.131292>, 
      <-1.012326, 0.000000, 0.275224>, <-1.012326, 0.256762, 0.275224>, <-1.291596, 0.466841, 0.275364>, <-1.561717, 0.466841, 0.417949>, 
      <-0.722406, 0.000000, 0.737074>, <-0.722406, 0.297402, 0.737074>, <-1.001676, 0.540730, 0.824604>, <-1.271797, 0.540730, 0.967189>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-2.150986, 0.248214, -0.595379>, <-2.334040, 0.279870, -0.521884>, <-2.413815, 0.202103, -0.418701>, <-2.413815, -0.004796, -0.417102>, 
      <-1.860829, 0.438910, -0.131292>, <-2.216189, 0.438910, 0.011294>, <-2.353648, 0.241401, 0.127955>, <-2.353648, 0.000000, 0.127955>, 
      <-1.561717, 0.466841, 0.417949>, <-1.831839, 0.466841, 0.560534>, <-2.052848, 0.256762, 0.677195>, <-2.052848, 0.000000, 0.677195>, 
      <-1.271797, 0.540730, 0.967189>, <-1.541919, 0.540730, 1.109775>, <-1.762928, 0.297402, 1.226435>, <-1.762928, 0.000000, 1.226435>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-1.762928, 0.000000, 1.226435>, <-1.762928, -0.297402, 1.226435>, <-1.541919, -0.540730, 1.109775>, <-1.271797, -0.540730, 0.967189>, 
      <-1.473008, 0.000000, 1.775676>, <-1.473008, -0.338041, 1.775676>, <-1.251999, -0.614620, 1.659015>, <-0.981878, -0.614620, 1.516430>, 
      <-1.183088, 0.000000, 2.324916>, <-1.183088, -0.364044, 2.324916>, <-0.962079, -0.661898, 2.208255>, <-0.691958, -0.661898, 2.065670>, 
      <-0.893168, 0.000000, 2.874157>, <-0.893168, -0.379194, 2.874157>, <-0.672159, -0.659568, 2.757496>, <-0.402038, -0.659568, 2.614911>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-1.271797, -0.540730, 0.967189>, <-1.001676, -0.540730, 0.824604>, <-0.722406, -0.297402, 0.737074>, <-0.722406, 0.000000, 0.737074>, 
      <-0.981878, -0.614620, 1.516430>, <-0.711756, -0.614620, 1.373844>, <-0.432486, -0.338041, 1.198923>, <-0.432486, 0.000000, 1.198923>, 
      <-0.691958, -0.661898, 2.065670>, <-0.421836, -0.661898, 1.923085>, <-0.084306, -0.364044, 1.806424>, <-0.084306, 0.000000, 1.806424>, 
      <-0.402038, -0.659568, 2.614911>, <-0.131916, -0.659568, 2.472325>, <0.322136, -0.379194, 2.443056>, <0.322136, 0.000000, 2.443056>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-0.722406, 0.000000, 0.737074>, <-0.722406, 0.297402, 0.737074>, <-1.001676, 0.540730, 0.824604>, <-1.271797, 0.540730, 0.967189>, 
      <-0.432486, 0.000000, 1.198923>, <-0.432486, 0.338041, 1.198923>, <-0.711756, 0.614620, 1.373844>, <-0.981878, 0.614620, 1.516430>, 
      <-0.084306, 0.000000, 1.806424>, <-0.084306, 0.364044, 1.806424>, <-0.421836, 0.661898, 1.923085>, <-0.691958, 0.661898, 2.065670>, 
      <0.322136, 0.000000, 2.443056>, <0.322136, 0.379194, 2.443056>, <-0.131916, 0.659568, 2.472325>, <-0.402038, 0.686856, 2.601267>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-1.271797, 0.540730, 0.967189>, <-1.541919, 0.540730, 1.109775>, <-1.762928, 0.297402, 1.226435>, <-1.762928, 0.000000, 1.226435>, 
      <-0.981878, 0.614620, 1.516430>, <-1.251999, 0.614620, 1.659015>, <-1.473008, 0.338041, 1.775676>, <-1.473008, 0.000000, 1.775676>, 
      <-0.691958, 0.661898, 2.065670>, <-0.962079, 0.661898, 2.208255>, <-1.183088, 0.364044, 2.324916>, <-1.183088, 0.000000, 2.324916>, 
      <-0.402038, 0.686856, 2.601267>, <-0.672159, 0.714143, 2.730209>, <-0.893168, 0.379194, 2.874157>, <-0.893168, 0.000000, 2.874157>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-0.893168, 0.000000, 2.874157>, <-0.893168, -0.379194, 2.874157>, <-0.672159, -0.659568, 2.757496>, <-0.402038, -0.659568, 2.614911>, 
      <-0.603248, 0.000000, 3.423397>, <-0.603248, -0.394343, 3.423397>, <-0.382240, -0.657239, 3.306736>, <-0.112118, -0.657239, 3.164151>, 
      <-0.684268, 0.000000, 4.060531>, <-0.684268, -0.394343, 4.060531>, <-0.376347, -0.775215, 4.119519>, <0.000000, -0.775215, 4.119519>, 
      <-0.684268, 0.000000, 4.727316>, <-0.684268, -0.354082, 4.727316>, <-0.376347, -0.672899, 4.756810>, <0.000000, -0.672899, 4.756810>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-0.402038, -0.659568, 2.614911>, <-0.131916, -0.659568, 2.472325>, <0.322136, -0.379194, 2.443056>, <0.322136, 0.000000, 2.443056>, 
      <-0.112118, -0.657239, 3.164151>, <0.158004, -0.657239, 3.021566>, <0.728577, -0.394343, 3.079687>, <0.728577, 0.000000, 3.079687>, 
      <0.000000, -0.775215, 4.119519>, <0.376347, -0.775215, 4.119519>, <0.567746, -0.394343, 3.477923>, <0.567746, 0.000000, 3.477923>, 
      <0.000000, -0.672899, 4.756810>, <0.376347, -0.672899, 4.756810>, <0.626007, -0.354082, 4.436012>, <0.626007, 0.000000, 4.436012>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <0.322136, 0.000000, 2.443056>, <0.322136, 0.379194, 2.443056>, <-0.131916, 0.659568, 2.472325>, <-0.402038, 0.686856, 2.601267>, 
      <0.728577, 0.000000, 3.079687>, <0.728577, 0.394343, 3.079687>, <0.158004, 0.657239, 3.021566>, <-0.112118, 0.711813, 3.136864>, 
      <0.567746, 0.000000, 3.477923>, <0.567746, 0.394343, 3.477923>, <0.376347, 0.766387, 4.005957>, <0.000000, 0.766387, 4.005957>, 
      <0.626007, 0.000000, 4.436012>, <0.626007, 0.354082, 4.436012>, <0.376347, 0.668485, 4.700029>, <0.000000, 0.668485, 4.700029>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-0.402038, 0.686856, 2.601267>, <-0.672159, 0.714143, 2.730209>, <-0.893168, 0.379194, 2.874157>, <-0.893168, 0.000000, 2.874157>, 
      <-0.112118, 0.711813, 3.136864>, <-0.382240, 0.766387, 3.252162>, <-0.603248, 0.394343, 3.423397>, <-0.603248, 0.000000, 3.423397>, 
      <0.000000, 0.766387, 4.005957>, <-0.376347, 0.766387, 4.005957>, <-0.684268, 0.394343, 4.060531>, <-0.684268, 0.000000, 4.060531>, 
      <0.000000, 0.668485, 4.700029>, <-0.376347, 0.668485, 4.700029>, <-0.684268, 0.354082, 4.727316>, <-0.684268, 0.000000, 4.727316>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-0.684268, 0.000000, 4.727316>, <-0.684268, -0.354082, 4.727316>, <-0.376347, -0.672899, 4.756810>, <0.000000, -0.672899, 4.756810>, 
      <-0.684268, 0.000000, 5.394100>, <-0.684268, -0.313821, 5.394100>, <-0.376347, -0.570583, 5.394100>, <0.000000, -0.570583, 5.394100>, 
      <-0.871535, 0.000000, 6.242578>, <-0.871535, -0.313821, 6.242578>, <-0.479344, -0.616673, 6.242578>, <0.000000, -0.616673, 6.242578>, 
      <-0.871535, 0.000000, 6.865823>, <-0.871535, -0.313821, 6.865823>, <-0.479344, -0.654064, 6.836329>, <0.000000, -0.654064, 6.836329>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <0.000000, -0.672899, 4.756810>, <0.376347, -0.672899, 4.756810>, <0.626007, -0.354082, 4.436012>, <0.626007, 0.000000, 4.436012>, 
      <0.000000, -0.570583, 5.394100>, <0.376347, -0.570583, 5.394100>, <0.684268, -0.313821, 5.394100>, <0.684268, 0.000000, 5.394100>, 
      <0.000000, -0.616673, 6.242578>, <0.479344, -0.616673, 6.242578>, <0.871535, -0.313821, 6.242578>, <0.871535, 0.000000, 6.242578>, 
      <0.000000, -0.654064, 6.836329>, <0.479344, -0.654064, 6.836329>, <0.871535, -0.313821, 6.865823>, <0.871535, 0.000000, 6.865823>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <0.626007, 0.000000, 4.436012>, <0.626007, 0.354082, 4.436012>, <0.376347, 0.668485, 4.700029>, <0.000000, 0.668485, 4.700029>, 
      <0.684268, 0.000000, 5.394100>, <0.684268, 0.313821, 5.394100>, <0.376347, 0.570583, 5.394100>, <0.000000, 0.570583, 5.394100>, 
      <0.871535, 0.000000, 6.242578>, <0.871535, 0.313821, 6.242578>, <0.479344, 0.793637, 6.301566>, <0.000000, 0.793637, 6.301566>, 
      <0.871535, 0.000000, 6.865823>, <0.871535, 0.313821, 6.865823>, <0.479344, 0.801534, 6.924811>, <0.000000, 0.801534, 6.924811>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <0.000000, 0.668485, 4.700029>, <-0.376347, 0.668485, 4.700029>, <-0.684268, 0.354082, 4.727316>, <-0.684268, 0.000000, 4.727316>, 
      <0.000000, 0.570583, 5.394100>, <-0.376347, 0.570583, 5.394100>, <-0.684268, 0.313821, 5.394100>, <-0.684268, 0.000000, 5.394100>, 
      <0.000000, 0.793637, 6.301566>, <-0.479344, 0.793637, 6.301566>, <-0.871535, 0.313821, 6.242578>, <-0.871535, 0.000000, 6.242578>, 
      <0.000000, 0.801534, 6.924811>, <-0.479344, 0.801534, 6.924811>, <-0.871535, 0.313821, 6.865823>, <-0.871535, 0.000000, 6.865823>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-0.871535, 0.000000, 6.865823>, <-0.871535, -0.313821, 6.865823>, <-0.479344, -0.654064, 6.836329>, <0.000000, -0.654064, 6.836329>, 
      <-0.871535, 0.000000, 7.489067>, <-0.871535, -0.313821, 7.489067>, <-0.479344, -0.691455, 7.430079>, <0.000000, -0.691455, 7.430079>, 
      <-0.684268, 0.000000, 8.515276>, <-0.684268, -0.313821, 8.515276>, <-0.376347, -0.570583, 8.337545>, <0.000000, -0.570583, 8.337545>, 
      <0.007422, 0.000000, 8.382228>, <0.007422, -0.313821, 8.382228>, <0.012969, -0.205800, 8.382228>, <0.019748, -0.205800, 8.382228>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <0.000000, -0.654064, 6.836329>, <0.479344, -0.654064, 6.836329>, <0.871535, -0.313821, 6.865823>, <0.871535, 0.000000, 6.865823>, 
      <0.000000, -0.691455, 7.430079>, <0.479344, -0.691455, 7.430079>, <0.871535, -0.313821, 7.489067>, <0.871535, 0.000000, 7.489067>, 
      <0.000000, -0.570583, 8.337545>, <0.376347, -0.570583, 8.337545>, <0.684268, -0.313821, 8.515276>, <0.684268, 0.000000, 8.515276>, 
      <0.019748, -0.205800, 8.382228>, <0.026527, -0.205800, 8.382228>, <0.032074, -0.313821, 8.382228>, <0.032074, 0.000000, 8.382228>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <0.871535, 0.000000, 6.865823>, <0.871535, 0.313821, 6.865823>, <0.479344, 0.801534, 6.924811>, <0.000000, 0.801534, 6.924811>, 
      <0.871535, 0.000000, 7.489067>, <0.871535, 0.313821, 7.489067>, <0.479344, 0.809431, 7.548055>, <0.000000, 0.809431, 7.548055>, 
      <0.684268, 0.000000, 8.515276>, <0.684268, 0.313821, 8.515276>, <0.376347, 0.570583, 8.337545>, <0.000000, 0.570583, 8.337545>, 
      <0.032074, 0.000000, 8.382228>, <0.032074, 0.313821, 8.382228>, <0.026527, 0.205800, 8.382228>, <0.019748, 0.205800, 8.382228>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <0.000000, 0.801534, 6.924811>, <-0.479344, 0.801534, 6.924811>, <-0.871535, 0.313821, 6.865823>, <-0.871535, 0.000000, 6.865823>, 
      <0.000000, 0.809431, 7.548055>, <-0.479344, 0.809431, 7.548055>, <-0.871535, 0.313821, 7.489067>, <-0.871535, 0.000000, 7.489067>, 
      <0.000000, 0.570583, 8.337545>, <-0.376347, 0.570583, 8.337545>, <-0.684268, 0.313821, 8.515276>, <-0.684268, 0.000000, 8.515276>, 
      <0.019748, 0.205800, 8.382228>, <0.012969, 0.205800, 8.382228>, <0.007422, 0.313821, 8.382228>, <0.007422, 0.000000, 8.382228>
    }
  }
  rotate <0.0, -0.0, -0.0>
  translate  <0.048334, 0.432562, -7.50343>
  material {
    Suit_tex
  }
  scale <1.0, 1.0, 1.1>
  rotate <1.062088, 43.945229, -87.368011>
  translate  <-4.332562, 0.048334, 21.303773>
}
#declare Left_Hand = blob {
  threshold 0.6
  sphere { <-0.413502, 0.025316, 0.0>, 1.50823, 1.0 }

  sphere { <0.43038, -0.008439, 0.0>, 1.59972, 1.0 }

  sphere { <-0.548523, -1.18987, 0.0>, 1.45752, 1.0 }

  sphere { <0.700422, -1.20675, 0.0>, 1.4348, 1.0 }

  sphere { <1.49367, -0.548523, 0.0>, 0.983246, 1.0 }

  sphere { <1.72996, 0.109705, 0.0>, 0.747382, 1.0 }

  sphere { <1.79747, 0.683544, 0.0>, 0.683805, 1.0 }

  sphere { <1.82278, 1.21519, 0.0>, 0.676372, 1.0 }

  sphere { <0.759494, 0.911392, 0.0>, 0.714533, 1.0 }

  sphere { <0.742616, 1.50211, 0.0>, 0.676372, 1.0 }

  sphere { <0.691983, 2.16034, 0.0>, 0.749914, 1.0 }

  sphere { <0.599156, 2.79325, 0.0>, 0.708316, 1.0 }

  sphere { <0.43038, 3.50211, 0.0>, 0.718941, 1.0 }

  sphere { <-0.21097, 1.08861, 0.0>, 0.679169, 1.0 }

  sphere { <-0.312236, 1.74684, 0.0>, 0.714533, 1.0 }

  sphere { <-0.464135, 2.42194, 0.0>, 0.629936, 1.0 }

  sphere { <-0.666667, 3.09705, 0.0>, 0.698434, 1.0 }

  sphere { <-0.919831, 3.80591, 0.0>, 0.715417, 1.0 }

  sphere { <-1.0211, 1.0211, 0.0>, 0.640875, 1.0 }

  sphere { <-1.30802, 1.64557, 0.0>, 0.621859, 1.0 }

  sphere { <-1.57806, 2.23629, 0.0>, 0.670744, 1.0 }

  sphere { <-1.86498, 2.84388, 0.0>, 0.620842, 1.0 }

  sphere { <-1.4346, -0.151899, 0.0>, 1.21077, 1.0 }

  sphere { <-1.33333, -1.26582, 0.0>, 1.24168, 1.0 }

  sphere { <-2.04219, 0.691983, 0.0>, 0.670743, 1.0 }

  sphere { <-2.4135, 1.29958, 0.0>, 0.674501, 1.0 }

  sphere { <1.80591, 1.90717, 0.0>, 0.78531, 1.0 }

  material {
    Skin_tex
  }
  scale <-0.3, 0.45, 0.3>
  rotate <-10.055478, 4.181715, -1.734017>
  translate  <-4.107944, 8.272314, 16.264193>
}

#declare L_armPhand = union {
  object { Left_arm }
  object { Left_Hand }
  rotate 3.0*y
  translate  <-0.620745, 0.0, -0.041935>
}
#declare Face = union {
  sphere { // Face_sphere
    <0,0,0>,1
    scale <4.0, 4.0, 6.0>
  }
  material {
    Skin_tex
  }
  scale 0.25
}
#declare Neck = union { 
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-1.295158, -0.029756, 0.000000>, <-1.295158, -0.730109, 0.000000>, <-0.639901, -1.303125, 0.000000>, <-0.001937, -1.303125, 0.000000>, 
      <-1.000000, -0.029756, 0.500000>, <-1.000000, -0.675630, 0.500000>, <-0.550000, -1.204073, 0.500000>, <0.000000, -1.204073, 0.500000>, 
      <-1.000000, 0.000000, 1.000000>, <-1.000000, -0.550000, 1.000000>, <-0.550000, -1.000000, 1.000000>, <0.000000, -1.000000, 1.000000>, 
      <-1.000000, 0.000000, 1.500000>, <-1.000000, -0.550000, 1.500000>, <-0.550000, -1.000000, 1.500000>, <0.000000, -1.000000, 1.500000>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-0.001937, -1.303125, 0.000000>, <0.636026, -1.303125, 0.000000>, <1.046924, -0.730109, 0.000000>, <1.046924, -0.029756, 0.000000>, 
      <0.000000, -1.204073, 0.500000>, <0.550000, -1.204073, 0.500000>, <0.947287, -0.675630, 0.482429>, <0.947287, -0.029756, 0.482429>, 
      <0.000000, -1.000000, 1.000000>, <0.550000, -1.000000, 1.000000>, <0.771576, -0.550000, 1.017571>, <0.771576, 0.000000, 1.017571>, 
      <0.000000, -1.000000, 1.500000>, <0.550000, -1.000000, 1.500000>, <0.736434, -0.550000, 1.526357>, <0.736434, 0.000000, 1.526357>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <1.046924, -0.029756, 0.000000>, <1.046924, 0.670597, 0.000000>, <0.636026, 1.243613, 0.000000>, <-0.001937, 1.243613, 0.000000>, 
      <0.947287, -0.029756, 0.482429>, <0.947287, 0.616118, 0.482429>, <0.550000, 1.144560, 0.500000>, <0.000000, 1.144560, 0.500000>, 
      <0.771576, 0.000000, 1.017571>, <0.771576, 0.550000, 1.017571>, <0.550000, 1.000000, 1.000000>, <0.000000, 1.000000, 1.000000>, 
      <0.736434, 0.000000, 1.526357>, <0.736434, 0.550000, 1.526357>, <0.550000, 1.000000, 1.500000>, <0.000000, 1.000000, 1.500000>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-0.001937, 1.243613, 0.000000>, <-0.639901, 1.243613, 0.000000>, <-1.295158, 0.670597, 0.000000>, <-1.295158, -0.029756, 0.000000>, 
      <0.000000, 1.144560, 0.500000>, <-0.550000, 1.144560, 0.500000>, <-1.000000, 0.616118, 0.500000>, <-1.000000, -0.029756, 0.500000>, 
      <0.000000, 1.000000, 1.000000>, <-0.550000, 1.000000, 1.000000>, <-1.000000, 0.550000, 1.000000>, <-1.000000, 0.000000, 1.000000>, 
      <0.000000, 1.000000, 1.500000>, <-0.550000, 1.000000, 1.500000>, <-1.000000, 0.550000, 1.500000>, <-1.000000, 0.000000, 1.500000>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-1.000000, 0.000000, 1.500000>, <-1.000000, -0.550000, 1.500000>, <-0.550000, -1.000000, 1.500000>, <0.000000, -1.000000, 1.500000>, 
      <-1.000000, 0.000000, 2.000000>, <-1.000000, -0.550000, 2.000000>, <-0.550000, -1.000000, 2.000000>, <0.000000, -1.000000, 2.000000>, 
      <-1.000000, 0.000000, 2.500000>, <-1.000000, -0.550000, 2.500000>, <-0.550000, -1.000000, 2.500000>, <0.000000, -1.000000, 2.500000>, 
      <-1.000000, 0.000000, 3.000000>, <-1.000000, -0.550000, 3.000000>, <-0.550000, -1.000000, 3.000000>, <0.000000, -1.000000, 3.000000>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <0.000000, -1.000000, 1.500000>, <0.550000, -1.000000, 1.500000>, <0.736434, -0.550000, 1.526357>, <0.736434, 0.000000, 1.526357>, 
      <0.000000, -1.000000, 2.000000>, <0.550000, -1.000000, 2.000000>, <0.701292, -0.550000, 2.035142>, <0.701292, 0.000000, 2.035142>, 
      <0.000000, -1.000000, 2.500000>, <0.550000, -1.000000, 2.500000>, <0.771576, -0.550000, 2.517571>, <0.771576, 0.000000, 2.517571>, 
      <0.000000, -1.000000, 3.000000>, <0.550000, -1.000000, 3.000000>, <0.747346, -0.550000, 3.000000>, <0.747346, 0.000000, 3.000000>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <0.736434, 0.000000, 1.526357>, <0.736434, 0.550000, 1.526357>, <0.550000, 1.000000, 1.500000>, <0.000000, 1.000000, 1.500000>, 
      <0.701292, 0.000000, 2.035142>, <0.701292, 0.550000, 2.035142>, <0.550000, 1.000000, 2.000000>, <0.000000, 1.000000, 2.000000>, 
      <0.771576, 0.000000, 2.517571>, <0.771576, 0.550000, 2.517571>, <0.550000, 1.000000, 2.500000>, <0.000000, 1.000000, 2.500000>, 
      <0.747346, 0.000000, 3.000000>, <0.747346, 0.550000, 3.000000>, <0.550000, 1.000000, 3.000000>, <0.000000, 1.000000, 3.000000>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <0.000000, 1.000000, 1.500000>, <-0.550000, 1.000000, 1.500000>, <-1.000000, 0.550000, 1.500000>, <-1.000000, 0.000000, 1.500000>, 
      <0.000000, 1.000000, 2.000000>, <-0.550000, 1.000000, 2.000000>, <-1.000000, 0.550000, 2.000000>, <-1.000000, 0.000000, 2.000000>, 
      <0.000000, 1.000000, 2.500000>, <-0.550000, 1.000000, 2.500000>, <-1.000000, 0.550000, 2.500000>, <-1.000000, 0.000000, 2.500000>, 
      <0.000000, 1.000000, 3.000000>, <-0.550000, 1.000000, 3.000000>, <-1.000000, 0.550000, 3.000000>, <-1.000000, 0.000000, 3.000000>
    }
  }
  material {
    Suit_tex
  }
  scale 0.666667
  rotate <-1.0, -0.0, 90.0>
  translate  <0.031996, 0.466667, -1.833054>
}
#declare Cw = difference {
  sphere { // Face_sphere1
    <0,0,0>,1
    material {
      Suit_tex
    }
    scale <4.05, 4.05, 6.075>
  }
  sphere { // Face_sphere2
    <0,0,0>,1
    material {
      Suit_tex
    }
    scale <4.05, 3.2, 5.0>
    translate  <-0.00224, -0.866183, 0.128304>
  }
  scale 0.25
}
#declare R_Mask = merge {
  difference {
    cylinder { <0,0,1>,<0,0,0>, 1   scale <1.0000, 1.0000, 0.9000> translate 0.0500*z }
    cylinder { <0,0,1>,<0,0,0>, 1   scale <0.9000, 0.9000, 1.0200> translate -0.0400*z }
  }
  torus { 0.9500, 0.0500  rotate -x*90 translate  0.9500*z bounded_by { box { <-1.0010, -1.0010, 0.8990>, <1.0010, 1.0010, 1.0010> } } }
  torus { 0.9500, 0.0500  rotate -x*90 translate  0.0500*z bounded_by { box { <-1.0010, -1.0010, -0.0010>, <1.0010, 1.0010, 0.1010> } } }
  material {
    BR_Tex
  }
  scale <0.9, 0.65, 0.9>
  rotate -90.0*x
  translate  <0.0, -1.3, 0.2>
}
#declare Mask_R = merge {
  difference {
    cylinder { <0,0,1>,<0,0,0>, 1   scale <1.0000, 1.0000, 0.9000> translate 0.0500*z }
    cylinder { <0,0,1>,<0,0,0>, 1   scale <0.9000, 0.9000, 1.0200> translate -0.0400*z }
  }
  torus { 0.9500, 0.0500  rotate -x*90 translate  0.9500*z bounded_by { box { <-1.0010, -1.0010, 0.8990>, <1.0010, 1.0010, 1.0010> } } }
  torus { 0.9500, 0.0500  rotate -x*90 translate  0.0500*z bounded_by { box { <-1.0010, -1.0010, -0.0010>, <1.0010, 1.0010, 0.1010> } } }
  material {
    Chrome_Metal
  }
  scale <0.92, 0.67, 0.1>
  rotate -90.0*x
  translate  <0.0, -1.35, 0.2>
}
#declare R_Mask1 = merge {
  difference {
    cylinder { <0,0,1>,<0,0,0>, 1   scale <1.0000, 1.0000, 0.9000> translate 0.0500*z }
    cylinder { <0,0,1>,<0,0,0>, 1   scale <0.9000, 0.9000, 1.0200> translate -0.0400*z }
  }
  torus { 0.9500, 0.0500  rotate -x*90 translate  0.9500*z bounded_by { box { <-1.0010, -1.0010, 0.8990>, <1.0010, 1.0010, 1.0010> } } }
  torus { 0.9500, 0.0500  rotate -x*90 translate  0.0500*z bounded_by { box { <-1.0010, -1.0010, -0.0010>, <1.0010, 1.0010, 0.1010> } } }
  material {
    BR_Tex
  }
  scale <1.03, 1.03, 0.2>
  translate  <0.0, -0.15, 0.2>
}
#declare M_Sd = difference {
  object { R_Mask1 }
  sphere { // Face_sphere3
    <0,0,0>,1
    material {
      Suit_tex
    }
    scale <0.92, 0.8, 1.25>
    translate  -0.45*y
  }
}
#declare Mask = union {
  object { R_Mask }
  object { Mask_R }
  cylinder { // Glass
    <0,0,1>, <0,0,0>, 1 
    material {
      Crystal
    }
    scale <0.9, 0.65, 0.05>
    rotate -90.0*x
    translate  <0.0, -1.32, 0.2>
  }
  object { M_Sd }
  translate  0.15*y
}
#declare M_Piece = union {
  cylinder { // Mp1
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome_Metal
    }
    scale <0.2, 0.2, 0.3>
  }
  cylinder { // Mp2
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome_Metal
    }
    scale <0.4, 0.4, 0.15>
    translate  0.05*z
  }
  cylinder { // Mp3
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome_Metal
    }
    scale <0.15, 0.15, 0.5>
    rotate -90.0*y
    translate  <0.25, 0.15, 0.0>
  }
  cylinder { // Mp4
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome_Metal
    }
    scale <0.1, 0.1, 0.7>
    rotate -90.0*y
    translate  <0.35, 0.15, 0.0>
  }
  rotate -65.0*x
  translate  <0.015932, -1.030105, -0.912718>
}
#declare head = union {
  object { Face }
  object { Neck }
  object { Cw }
  object { Mask }
  object { M_Piece }
  scale 1.5
  rotate <0.0, 1.0, 180.0>
  translate  <0.0, 1.0, 26.0>
}
#declare Female = union {
  object { Torso }
  object { Hips }
  object { Legs }
  object { R_armPhand }
  object { L_armPhand }
  object { head }
}
#declare Diver_A_Suit = union {
  object { Female }
}
#declare RndDisc001 = merge {
  cylinder { <0,0,1>,<0,0,0>, 1   scale <0.9000, 0.9000, 7.0000> }
  cylinder { <0,0,1>,<0,0,0>, 1   scale <1.3000, 1.3000, 6.2000> translate 0.4000*z }
  torus { 0.9000, 0.4000  rotate -x*90 translate  6.6000*z bounded_by { box { <-1.3080, -1.3080, 6.1920>, <1.3080, 1.3080, 7.0080> } } }
  torus { 0.9000, 0.4000  rotate -x*90 translate  0.4000*z bounded_by { box { <-1.3080, -1.3080, -0.0080>, <1.3080, 1.3080, 0.8080> } } }
  material {
    Yellow_Tank
  }
}
#declare A_Tube = union {
  object { RndDisc001 }
  sphere { // Sphere001
    <0,0,0>,1
    material {
      Yellow_Tank
    }
    scale 1.3
    translate  6.6*z
  }
  cylinder { // T_T1
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome_Metal
    }
    scale <0.25, 0.25, 1.2>
    translate  7.7*z
  }
  cylinder { // T_T2
    <0,0,1>, <0,0,0>, 1 
    material {
      BR_Tex
    }
    scale <0.6, 0.6, 0.3>
    translate  8.8*z
  }
  cylinder { // T_T3
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome_Metal
    }
    scale <1.4, 1.4, 0.3>
    translate  4.75*z
  }
  cylinder { // T_T5
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome_Metal
    }
    scale <1.4, 1.4, 0.3>
    translate  1.75*z
  }
  scale 0.8
  translate  <1.05, -2.5, 17.0>
}
#declare O2_H1 = union { 
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-0.164295, -0.000000, 0.000000>, <-0.164295, -0.093077, 0.000000>, <-0.090362, -0.169231, 0.000000>, <0.000000, -0.169231, 0.000000>, 
      <-0.164295, -0.000000, 0.500000>, <-0.164295, -0.093077, 0.500000>, <-0.090362, -0.169231, 0.500000>, <0.000000, -0.169231, 0.500000>, 
      <-0.164295, -0.186363, 0.994963>, <-0.164295, -0.286248, 0.994963>, <-0.090362, -0.367971, 0.994963>, <0.000000, -0.367971, 0.994963>, 
      <-0.161417, -0.551362, 1.225839>, <-0.130790, -0.620122, 1.185115>, <-0.042140, -0.674319, 1.184637>, <0.035583, -0.671801, 1.224778>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <0.000000, -0.169231, 0.000000>, <0.090362, -0.169231, 0.000000>, <0.164295, -0.093077, 0.000000>, <0.164295, -0.000000, 0.000000>, 
      <0.000000, -0.169231, 0.500000>, <0.090362, -0.169231, 0.500000>, <0.164295, -0.093077, 0.500000>, <0.164295, -0.000000, 0.500000>, 
      <0.000000, -0.367971, 0.994963>, <0.090362, -0.367971, 0.994963>, <0.164295, -0.286248, 0.994963>, <0.164295, -0.186363, 0.994963>, 
      <0.035583, -0.671801, 1.224778>, <0.113306, -0.674319, 1.264918>, <0.151839, -0.620122, 1.331080>, <0.121212, -0.551362, 1.371803>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <0.164295, -0.000000, 0.000000>, <0.164295, 0.093077, 0.000000>, <0.090362, 0.169231, 0.000000>, <0.000000, 0.169231, 0.000000>, 
      <0.164295, -0.000000, 0.500000>, <0.164295, 0.093077, 0.500000>, <0.090362, 0.169231, 0.500000>, <0.000000, 0.169231, 0.500000>, 
      <0.164295, -0.186363, 0.994963>, <0.164295, -0.086478, 0.994963>, <0.090362, -0.004754, 0.994963>, <0.000000, -0.004754, 0.994963>, 
      <0.121212, -0.551362, 1.371803>, <0.090586, -0.487640, 1.412527>, <0.001936, -0.433443, 1.413005>, <-0.075787, -0.430924, 1.372864>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <0.000000, 0.169231, 0.000000>, <-0.090362, 0.169231, 0.000000>, <-0.164295, 0.093077, 0.000000>, <-0.164295, -0.000000, 0.000000>, 
      <0.000000, 0.169231, 0.500000>, <-0.090362, 0.169231, 0.500000>, <-0.164295, 0.093077, 0.500000>, <-0.164295, -0.000000, 0.500000>, 
      <0.000000, -0.004754, 0.994963>, <-0.090362, -0.004754, 0.994963>, <-0.164295, -0.086478, 0.994963>, <-0.164295, -0.186363, 0.994963>, 
      <-0.075787, -0.430924, 1.372864>, <-0.153510, -0.433443, 1.332724>, <-0.192044, -0.487640, 1.266563>, <-0.161417, -0.551362, 1.225839>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-0.161417, -0.551362, 1.225839>, <-0.130790, -0.620122, 1.185115>, <-0.042140, -0.674319, 1.184637>, <0.035583, -0.671801, 1.224778>, 
      <-0.158538, -0.921399, 1.456714>, <-0.097284, -0.953996, 1.375267>, <0.006083, -0.980667, 1.374312>, <0.071166, -0.980667, 1.454592>, 
      <-0.366498, -2.662887, 1.537539>, <-0.305244, -2.692327, 1.473942>, <-0.201877, -2.716415, 1.473196>, <-0.136794, -2.716415, 1.535882>, 
      <-0.476208, -3.071954, 1.378664>, <-0.414954, -3.063586, 1.320507>, <-0.311588, -3.080177, 1.308975>, <-0.246504, -3.108823, 1.353038>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <0.035583, -0.671801, 1.224778>, <0.113306, -0.674319, 1.264918>, <0.151839, -0.620122, 1.331080>, <0.121212, -0.551362, 1.371803>, 
      <0.071166, -0.980667, 1.454592>, <0.136250, -0.980667, 1.534873>, <0.139383, -0.953996, 1.667196>, <0.078130, -0.921399, 1.748644>, 
      <-0.136794, -2.716415, 1.535882>, <-0.071710, -2.716415, 1.598567>, <-0.068576, -2.692327, 1.701889>, <-0.129830, -2.662887, 1.765486>, 
      <-0.246504, -3.108823, 1.353038>, <-0.181420, -3.137468, 1.397102>, <-0.178287, -3.167752, 1.480736>, <-0.239541, -3.176120, 1.538893>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <0.121212, -0.551362, 1.371803>, <0.090586, -0.487640, 1.412527>, <0.001936, -0.433443, 1.413005>, <-0.075787, -0.430924, 1.372864>, 
      <0.078130, -0.921399, 1.748644>, <0.016876, -0.888802, 1.830091>, <-0.086491, -0.862131, 1.831046>, <-0.151575, -0.862131, 1.750766>, 
      <-0.129830, -2.662887, 1.765486>, <-0.191084, -2.633447, 1.829083>, <-0.294451, -2.609360, 1.829829>, <-0.359534, -2.609360, 1.767143>, 
      <-0.239541, -3.176120, 1.538893>, <-0.300794, -3.184488, 1.597050>, <-0.404161, -3.167897, 1.608581>, <-0.469245, -3.139251, 1.564518>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-0.075787, -0.430924, 1.372864>, <-0.153510, -0.433443, 1.332724>, <-0.192044, -0.487640, 1.266563>, <-0.161417, -0.551362, 1.225839>, 
      <-0.151575, -0.862131, 1.750766>, <-0.216658, -0.862131, 1.670485>, <-0.219792, -0.888802, 1.538162>, <-0.158538, -0.921399, 1.456714>, 
      <-0.359534, -2.609360, 1.767143>, <-0.424618, -2.609360, 1.704458>, <-0.427752, -2.633447, 1.601135>, <-0.366498, -2.662887, 1.537539>, 
      <-0.469245, -3.139251, 1.564518>, <-0.534328, -3.110606, 1.520455>, <-0.537462, -3.080322, 1.436821>, <-0.476208, -3.071954, 1.378664>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-0.476208, -3.071954, 1.378664>, <-0.414954, -3.063586, 1.320507>, <-0.311588, -3.080177, 1.308975>, <-0.246504, -3.108823, 1.353038>, 
      <-0.585919, -3.481022, 1.219789>, <-0.524665, -3.434846, 1.167072>, <-0.421298, -3.443940, 1.144755>, <-0.356214, -3.501231, 1.170195>, 
      <-0.752459, -3.918918, 0.935437>, <-0.689177, -3.850663, 0.935535>, <-0.583185, -3.845084, 0.935473>, <-0.516921, -3.906520, 0.935300>, 
      <-0.752803, -3.917879, 0.435438>, <-0.689522, -3.849624, 0.435536>, <-0.583530, -3.844045, 0.435475>, <-0.517265, -3.905481, 0.435301>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-0.246504, -3.108823, 1.353038>, <-0.181420, -3.137468, 1.397102>, <-0.178287, -3.167752, 1.480736>, <-0.239541, -3.176120, 1.538893>, 
      <-0.356214, -3.501231, 1.170195>, <-0.291131, -3.558522, 1.195636>, <-0.287997, -3.643177, 1.259583>, <-0.349251, -3.689353, 1.312300>, 
      <-0.516921, -3.906520, 0.935300>, <-0.450656, -3.967955, 0.935127>, <-0.448216, -4.074066, 0.934905>, <-0.511497, -4.142321, 0.934806>, 
      <-0.517265, -3.905481, 0.435301>, <-0.451001, -3.966916, 0.435128>, <-0.448560, -4.073027, 0.434906>, <-0.511842, -4.141282, 0.434808>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-0.239541, -3.176120, 1.538893>, <-0.300794, -3.184488, 1.597050>, <-0.404161, -3.167897, 1.608581>, <-0.469245, -3.139251, 1.564518>, 
      <-0.349251, -3.689353, 1.312300>, <-0.410505, -3.735528, 1.365017>, <-0.513872, -3.726434, 1.387334>, <-0.578955, -3.669143, 1.361893>, 
      <-0.511497, -4.142321, 0.934806>, <-0.574779, -4.210576, 0.934708>, <-0.680771, -4.216155, 0.934770>, <-0.747035, -4.154720, 0.934943>, 
      <-0.511842, -4.141282, 0.434808>, <-0.575123, -4.209537, 0.434709>, <-0.681115, -4.215117, 0.434771>, <-0.747380, -4.153681, 0.434944>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-0.469245, -3.139251, 1.564518>, <-0.534328, -3.110606, 1.520455>, <-0.537462, -3.080322, 1.436821>, <-0.476208, -3.071954, 1.378664>, 
      <-0.578955, -3.669143, 1.361893>, <-0.644039, -3.611852, 1.336453>, <-0.647172, -3.527197, 1.272506>, <-0.585919, -3.481022, 1.219789>, 
      <-0.747035, -4.154720, 0.934943>, <-0.813300, -4.093284, 0.935116>, <-0.815740, -3.987173, 0.935339>, <-0.752459, -3.918918, 0.935437>, 
      <-0.747380, -4.153681, 0.434944>, <-0.813644, -4.092245, 0.435118>, <-0.816085, -3.986134, 0.435340>, <-0.752803, -3.917879, 0.435438>
    }
  }
  material {
    R_Tex
  }
  rotate -90.0*y
  translate  <-0.5, 2.45, 24.42>
}
#declare RndDisc002 = merge {
  cylinder { <0,0,1>,<0,0,0>, 1   scale <0.9000, 0.9000, 7.0000> }
  cylinder { <0,0,1>,<0,0,0>, 1   scale <1.3000, 1.3000, 6.2000> translate 0.4000*z }
  torus { 0.9000, 0.4000  rotate -x*90 translate  6.6000*z bounded_by { box { <-1.3080, -1.3080, 6.1920>, <1.3080, 1.3080, 7.0080> } } }
  torus { 0.9000, 0.4000  rotate -x*90 translate  0.4000*z bounded_by { box { <-1.3080, -1.3080, -0.0080>, <1.3080, 1.3080, 0.8080> } } }
  material {
    Red_T_Tex
  }
}
#declare A_Tube2 = union {
  object { RndDisc002 }
  sphere { // Sphere002
    <0,0,0>,1
    material {
      Red_T_Tex
    }
    scale 1.3
    translate  6.6*z
  }
  cylinder { // T_T7
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome_Metal
    }
    scale <0.25, 0.25, 1.2>
    translate  7.3*z
  }
  scale <0.133333, 0.133333, 0.2>
  translate  <0.0, -3.6, 20.0>
}
#declare O2_I = union {
  object { A_Tube }
  object { // A_Tube1->A_Tube
    A_Tube
    scale <-1.0, 1.0, 1.0>
    rotate -0.0*y
  }
  object { O2_H1 }
  object { // O2_H2->O2_H1
    O2_H1
    scale <-1.0, 1.0, 1.0>
    rotate -0.0*z
  }
  cylinder { // O2_I1
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome_Metal
    }
    scale <0.15, 0.15, 2.0>
    rotate -90.0*y
    translate  <1.0, -1.581515, 23.782825>
  }
  cylinder { // O2_I2
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome_Metal
    }
    scale <0.15, 0.15, 0.95>
    rotate <0.0, -90.0, 90.0>
    translate  <0.0, -1.581515, 23.782825>
  }
  cylinder { // O2_I3
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome_Metal
    }
    scale <0.15, 0.15, 2.0>
    rotate -90.0*y
    translate  <1.0, -2.5, 23.782825>
  }
  cylinder { // O2_I4
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome_Metal
    }
    scale <0.075, 0.075, 1.0>
    rotate <0.0, -90.0, 90.0>
    translate  <0.0, -2.3, 23.782825>
  }
  cylinder { // O2_I5
    <0,0,1>, <0,0,0>, 1 
    material {
      Suit_tex
    }
    scale <0.25, 0.25, 0.15>
    rotate <0.0, -90.0, 90.0>
    translate  <0.0, -3.2, 23.782825>
  }
  cylinder { // T_T4
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome_Metal
    }
    scale <0.12, 0.12, 2.0>
    rotate -90.0*y
    translate  <1.0, -3.45, 20.92>
  }
  cylinder { // T_T6
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome_Metal
    }
    scale <0.12, 0.12, 2.0>
    rotate -90.0*y
    translate  <1.0, -3.45, 18.52>
  }
  object { A_Tube2 }
}
#declare B1 = merge {
  difference {
    cylinder { <0,0,1>,<0,0,0>, 1   scale <2.0000, 2.0000, 0.6000> translate 0.1000*z }
    cylinder { <0,0,1>,<0,0,0>, 1   scale <1.8000, 1.8000, 0.8160> translate -0.0920*z }
  }
  torus { 1.9000, 0.1000  rotate -x*90 translate  0.7000*z bounded_by { box { <-2.0020, -2.0020, 0.5980>, <2.0020, 2.0020, 0.8020> } } }
  torus { 1.9000, 0.1000  rotate -x*90 translate  0.1000*z bounded_by { box { <-2.0020, -2.0020, -0.0020>, <2.0020, 2.0020, 0.2020> } } }
  material {
    Chrome_Metal
  }
  scale <1.35, 0.72, 1.0>
}
#declare Belt = union {
  object { B1 }
  cylinder { // B_Bk
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome_Metal
    }
    scale <0.55, 0.55, 0.3>
    rotate -90.0*x
    translate  <0.0, 1.16, 0.4>
  }
  translate  <-0.05, 0.45, 16.0>
}
#declare Diver = union { // Diver
  object { Diver_A_Suit }
  object { O2_I }
  object { Belt }
  rotate <0.0, -0.0, 0.0>
  translate  <0.896407, -6.817385, -3.880318>
  scale 0.1
  rotate <-30.132034, 4.230942, 31.916656>
  translate  <-5.081237, -359.936727, 7.885985>
}








#declare HA_W1 = object {
  box { // HA_W1
    <-1, -1, -1>, <1, 1, 1>
    scale <3.0, 2.5, 1.2>
    translate  <30.0, -254.0, 11.85>
    material {
      Blue_Steel
      // Transform to world space
      translate  <-260.5, 209.186291, -6.75736>
      rotate 90.0*z
    }
  }
}
#declare HA_W2 = object {
  object { // HA_W2->HA_W1
    HA_W1
    translate  -5.5*y
  }
}
#declare HA_W3 = object {
  object { // HA_W3->HA_W2
    HA_W2
    translate  -5.5*y
  }
}
#declare HA_W4 = object {
  object { // HA_W4->HA_W3
    HA_W3
    translate  -5.5*y
  }
}
#declare HA_W6 = object {
  object { // HA_W6->HA_W1
    HA_W1
    rotate -90.0*z
    translate  <275.5, -209.186291, 6.75>
  }
}


#declare R_S1 = union {
  cylinder { // R1
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome_Metal
    }
    scale <0.1, 0.1, 2.75>
  }
  sphere { // S1
    <0,0,0>,1
    material {
      Chrome_Metal
    }
    scale 0.1
    translate  2.75*z
  }
  scale <1.0, 1.0, 1.4>
  rotate 30.0*y
  translate  <-8.5, 0.0, -0.1>
}
#declare R_Pr = object {
  cylinder { // R_Pr
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome_Metal
    }
    scale <0.04, 0.04, 3.6>
    rotate -94.0*x
    translate  <0.0, 0.9, 2.5>
  }
}
#declare R_L1 = object {
  sphere { // R_L1
    <0,0,0>,1
    material {
      Crystal
    }
    scale 0.2
    translate  <-6.5, 0.0, 3.4>
  }
}
#declare Pwr_C = object {
  cylinder { // Pwr_C
    <0,0,1>, <0,0,0>, 1 
    scale <0.15, 0.15, 20.5>
    rotate -90.0*x
    translate  <-5.0, 2.0, 1.0>
    material {
      Chrome_Metal
      // Transform to world space
      translate  <-15.0, 332.0, 0.0>
    }
  }
}
#declare Pwr_Qt = intersection {
  box { // Cube005
    <-1, -1, -1>, <1, 1, 1>
    scale <2.5, 1.5, 1.0>
    translate  <2.5, 1.5, 0.0>
  }
  torus { // Torus001
    1.65, 0.15  rotate -x*90
  }
  material {
    Chrome_Metal
  }
  rotate -90.0*y
  translate  <-5.0, 22.5, -0.65>
}
#declare Pwr_Qt2 = intersection {
  box { // Cube006
    <-1, -1, -1>, <1, 1, 1>
    scale <2.5, 1.5, 1.0>
    translate  <2.5, 1.5, 0.0>
  }
  torus { // Torus002
    0.45, 0.15  rotate -x*90
  }
  material {
    Chrome_Metal
  }
  rotate <0.0, 90.0, 90.0>
  translate  <-4.55, 14.0, 1.0>
}
#declare Pwr_Qt4 = intersection {
  box { // Cube007
    <-1, -1, -1>, <1, 1, 1>
    scale <2.5, 1.5, 1.0>
    translate  <2.5, 1.5, 0.0>
  }
  torus { // Torus003
    1.65, 0.15  rotate -x*90
  }
  material {
    Chrome_Metal
  }
  rotate <0.0, -90.0, -180.0>
  translate  <-5.0, 45.0, -0.65>
}
#declare Pwr_C4 = object {
  cylinder { // Pwr_C4
    <0,0,1>, <0,0,0>, 1 
    scale <0.15, 0.15, 21.5>
    rotate -90.0*x
    translate  <-5.0, 45.0, 1.0>
    material {
      Chrome_Metal
      // Transform to world space
      translate  <-15.0, 332.0, 0.0>
    }
  }
}
#declare Pwr_Qt6 = object {
  object { // Pwr_Qt6->Pwr_Qt
    Pwr_Qt
    rotate -0.0*z
    translate  44.0*y
  }
}
#declare L_Halo1 = object {
  sphere { // L_Halo1
    <0,0,0>,1
    no_shadow
    hollow
    scale 1.5
    translate  <-6.5, 0.0, 3.4>
    material {
      S_Light_Tex
      // Transform to world space
      translate  <-15.0, 332.0, 0.0>
    }
  }
}


#declare Wnd1 = object {
  box { // Wnd1
    <-1, -1, -1>, <1, 1, 1>
    scale <3.0, 5.0, 3.0>
    rotate -10.0*x
    translate  <0.0, -23.498364, 3.995486>
    material {
      Granit_DO
      // Transform to world space
      translate  <-35.0, 210.0, 0.0>
    }
  }
}
#declare Wnd2 = object {
  object { // Wnd2->Wnd1
    Wnd1
    translate  <7.5, 0.0, 0.0>
  }
}
#declare Wnd3 = object {
  box { // Wnd3
    <-1, -1, -1>, <1, 1, 1>
    scale <3.0, 5.0, 3.0>
    rotate <-10.0, 0.0, -90.0>
    translate  <-23.49836, 0.0, 3.995486>
    material {
      Granit_DO
      // Transform to world space
      translate  <-35.0, 210.0, 0.0>
    }
  }
}
#declare Wnd4 = object {
  object { // Wnd4->Wnd3
    Wnd3
    rotate <-0.0, 0.0, -0.0>
    translate  <0.0, -7.5, 0.0>
  }
}
#declare Wnd5 = object {
  object { // Wnd5->Wnd4
    Wnd4
    scale <1.0, -1.0, 1.0>
  }
}
#declare Wnd6 = object {
  object { // Wnd6->Wnd4
    Wnd4
    translate  -7.5*y
  }
}
#declare Wnd7 = object {
  object { // Wnd7->Wnd6
    Wnd6
    scale <1.0, -1.0, 1.0>
  }
}
#declare Wnd9 = object {
  object { // Wnd9->Wnd2
    Wnd2
    translate  7.5*x
  }
}
#declare Wnd15 = object {
  object { // Wnd15->Wnd2
    Wnd2
    scale <1.0, -1.0, 1.0>
  }
}
#declare Wnd16 = object {
  object { // Wnd16->Wnd9
    Wnd9
    scale <1.0, -1.0, 1.0>
  }
}
#declare AP_I = object {
  box { // AP_I
    <-1, -1, -1>, <1, 1, 1>
    scale <6.2, 0.07, 0.1>
    translate  <0.0, 2.0, 1.0>
    material {
      Black_Glass
      // Transform to world space
      translate  <11.0, 27.372886, 0.363654>
      rotate -10.0*x
      translate  <-35.0, 210.0, 0.0>
    }
  }
}
#declare AP_I1 = object {
  object { // AP_I1->AP_I
    AP_I
    translate  -2.0*y
  }
}
#declare W_Lamp = union {
  cylinder { // l3
    <0,0,1>, <0,0,0>, 1 
    material {
      tr_red
    }
    scale <1.13, 1.13, 0.1>
    translate  4.4*z
  }
  torus { // l2
    1.5, 0.5  rotate -x*90
    material {
      tr_red
    }
    no_shadow
    scale <0.75, 0.75, 1.0>
    translate  4.0*z
  }
  cylinder { // l1
    <0,0,1>, <0,0,0>, 1 
    material {
      tr_red
    }
    scale <1.5, 1.5, 3.0>
    translate  1.0*z
  }
  cylinder { // ls1
    <0,0,1>, <0,0,0>, 1 
    material {
      support
    }
    scale <2.0, 2.0, 1.5>
  }
  scale 0.15
  translate  <-16.0, -21.5, 7.9>
}


#declare Front_Hull = difference {
  sphere { // Front_Hull
    <0,0,0>,1
    material {
      Aluminum
      // Transform to world space
      scale <1.0/1.0, 1.0/1.5, 1.0/1.0>
      translate  <-3.0, 340.0, -2.5>
    }
  }
  box { // FH_D
    <-1, -1, -1>, <1, 1, 1>
    scale <1.1, 1.0, 1.1>
    translate  -1.0*y
    material {
      Aluminum
      // Transform to world space
      scale <1.0/1.0, 1.0/1.5, 1.0/1.0>
      translate  <-3.0, 340.0, -2.5>
    }
  }
  scale <1.0, 1.5, 1.0>
}
#declare Light_S = object {
  cylinder { // Light_S
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome_Metal
    }
    scale <0.15, 0.15, 1.0>
    rotate -90.0*x
    translate  <0.7, 0.2, -0.4>
  }
}
#declare S_Light = object {
  sphere { // S_Light
    <0,0,0>,1
    material {
      Crystal
    }
    scale 0.15
    translate  <0.7, 0.2, -0.4>
  }
}
#declare B_Tower_U = union {
  sphere { // T_Front1
    <0,0,0>,1
    scale <0.4, 1.7, 1.0>
    translate  -0.9*y
  }
  cylinder { // Mid_T1
    <0,0,1>, <0,0,0>, 1 
    scale <0.4, 1.7, 1.1>
    rotate -180.0*x
    translate  -0.9*y
  }
}
#declare B_Tower_D = difference {
  object { B_Tower_U }
  box { // BT_FD
    <-1, -1, -1>, <1, 1, 1>
    scale <1.0, 1.0, 1.5>
    translate  1.0*y
  }
}
#declare Tower = union {
  sphere { // T_Front
    <0,0,0>,1
    scale <0.4, 0.5, 1.0>
  }
  cylinder { // Mid_T
    <0,0,1>, <0,0,0>, 1 
    scale <0.4, 1.0, 0.9>
    rotate 90.0*x
  }
  object { B_Tower_D }
  translate  <0.0, -0.9, 1.0>
}
#declare C_Tower = difference {
  object { Tower }
  box { // U_Tower
    <-1, -1, -1>, <1, 1, 1>
    scale <0.5, 1.5, 0.5>
    translate  <0.0, -1.7, 2.3>
  }
}
#declare S_F_Wnd1 = object {
  box { // S_F_Wnd1
    <-1, -1, -1>, <1, 1, 1>
    material {
      Chrome_Metal
    }
    scale <0.2, 0.3, 0.1>
    translate  <0.35, -0.65, 1.6>
  }
}
#declare Wg1 = object {
  cone { // Wg1
    <0,0,0>, 1.0, <0,0,1>, 0.6
    scale <0.05, 0.2, 1.2>
    rotate <3.8, -90.0, -180.0>
    translate  <0.75, 0.0, 0.6>
  }
}
#declare Tank = object {
  sphere { // Tank
    <0,0,0>,1
    material {
      Aluminum
    }
    scale <1.2, 3.0, 0.75>
    translate  <-0.3, -2.0, 0.0>
  }
}
#declare Rd_H1 = object {
  cylinder { // Rd_H1
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome_Metal
    }
    scale <0.04, 0.1, 0.1>
    translate  <0.0, -6.54, 0.8>
  }
}
#declare b7 = intersection {
  torus { // b5
    0.35, 0.05  rotate -x*90
    material {
      Chrome_Metal
    }
    rotate -90.0*x
    translate  <0.65, 0.0, 1.6>
  }
  box { // b6
    <-1, -1, -1>, <1, 1, 1>
    material {
      Chrome_Metal
    }
    scale 0.25
    translate  <0.9, 0.0, 1.85>
  }
  scale -1.0
  rotate -180.0*x
  translate  -1.4*y
}
#declare b8 = intersection {
  torus { // b3
    0.35, 0.05  rotate -x*90
    material {
      Chrome_Metal
    }
    rotate -90.0*x
    translate  <0.65, 0.0, 1.6>
  }
  box { // b4
    <-1, -1, -1>, <1, 1, 1>
    material {
      Chrome_Metal
    }
    scale 0.25
    translate  <0.9, 0.0, 1.85>
  }
  translate  -1.4*y
}
#declare Bar = union {
  object { b7 }
  object { b8 }
  cylinder { // B2
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome_Metal
    }
    scale <0.05, 0.05, 0.6>
    translate  <-1.0, -1.4, 1.0>
  }
  cylinder { // B3
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome_Metal
    }
    scale <0.05, 0.05, 1.3>
    rotate -90.0*y
    translate  <0.65, -1.4, 1.95>
  }
  cylinder { // B4
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome_Metal
    }
    scale <0.05, 0.05, 0.6>
    translate  <1.0, -1.4, 1.0>
  }
  scale 0.3
  rotate <-90.0, 0.0, -94.5>
  translate  <-0.1, -2.5, 0.8>
  material {
    Chrome_Metal
    // Transform to world space
    translate  <-3.0, 340.0, -2.5>
  }
}
#declare Bow = difference {
  object { Front_Hull }
  object { Light_S }
  object { // Light_S1->Light_S
    Light_S
    scale <-1.0, 1.0, 1.0>
    rotate -0.0*y
  }
}
#declare ST_H = difference {
  cylinder { // He
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome_Metal
    }
    scale <0.5, 0.5, 1.0>
  }
  cylinder { // Hi
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome_Metal
    }
    scale <0.47, 0.47, 1.0>
    translate  0.02*z
  }
  translate  <0.0, -2.2, 1.65>
}
#declare S_Tower = difference {
  object { C_Tower }
  box { // S_F_Wnd
    <-1, -1, -1>, <1, 1, 1>
    material {
      Chrome_Metal
    }
    scale <0.1, 0.15, 0.1>
    translate  <0.0, -0.5, 1.6>
  }
  object { S_F_Wnd1 }
  object { // S_F_Wnd2->S_F_Wnd1
    S_F_Wnd1
    scale <-1.0, 1.0, 1.0>
  }
  object { ST_H }
}
#declare Stern = difference {
  object { // Back_Hull->Front_Hull
    Front_Hull
    scale <1.0, -3.0, 1.0>
    translate  -2.0*y
  }
  cylinder { // Scr_Sh
    <0,0,1>, <0,0,0>, 1 
    scale <0.499, 0.499, 0.8>
    rotate -90.0*x
    translate  <0.0, -6.6, -0.5>
    material {
      Aluminum
      // Transform to world space
      translate  <-3.0, 340.0, -2.5>
    }
  }
}
#declare Propeller = union {
  sphere { // P_A
    <0,0,0>,1
    material {
      Chrome_Metal
    }
    scale <0.07, 0.15, 0.07>
  }
  cylinder { // Pr_Shaft
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome_Metal
    }
    scale <0.045, 0.045, 1.5>
    rotate -90.0*x
  }
  cylinder { // Prop
    <0,0,1>, <0,0,0>, 1 
    material {
      Prop_Tex
    }
    scale <0.45, 0.45, 0.02>
    rotate -90.0*x
  }
  material {
    Prop_Tex
  }
  translate  <0.0, -6.4, -0.5>
}
#declare Periscope = union {
  box { // Po1
    <-1, -1, -1>, <1, 1, 1>
    material {
      Chrome_Metal
    }
    scale <0.1, 0.1, 0.15>
    translate  <0.0, 54.400058, 17.83>
  }
  cylinder { // Periscope_1
    <0,0,1>, <0,0,0>, 1 
    material {
      Aluminum
    }
    scale <0.1, 0.1, 4.0>
    translate  <0.0, 54.5, 14.0>
  }
  cone { // Ps2
    <0,0,0>, 0.1, <0,0,1>, 0.3
    material {
      Light_Aluminum
    }
    scale <1.0, 1.0, 0.5>
    rotate -180.0*y
    translate  <0.0, 54.5, 16.25>
  }
  cylinder { // Ps1
    <0,0,1>, <0,0,0>, 1 
    scale <0.3, 0.3, 4.0>
    translate  <0.0, 54.5, 11.75>
    material {
      Aluminum
      // Transform to world space
      translate  <0.3, -14.870668, 2.9>
      rotate 180.0*z
      scale 1.0/0.3
      translate  <-3.0, 340.0, -2.5>
    }
  }
  scale 0.3
  rotate -180.0*z
  translate  <-0.3, 14.870668, -2.9>
}
#declare Sub = union {
  object { Bow }
  object { S_Light }
  object { // S_Light1->S_Light
    S_Light
    scale <-1.0, 1.0, 1.0>
  }
  object { // T_Glass->C_Tower
    C_Tower
    scale 0.998
    translate  -0.002*y
    material {
      Black_Glass
      // Transform to world space
      translate  <-3.0, 340.0, -2.5>
    }
  }
  object { S_Tower }
  cone { // Wg
    <0,0,0>, 0.6, <0,0,1>, 1.0
    scale <0.05, 0.4, 1.0>
    rotate <-170.91243, -0.0, -0.0>
    translate  <0.0, -6.262967, 1.050628>
  }
  object { Wg1 }
  object { // Wg2->Wg1
    Wg1
    scale <-1.0, 1.0, 1.0>
    rotate <0.0, -0.0, -0.0>
  }
  cylinder { // Mid_Hull
    <0,0,1>, <0,0,0>, 1 
    scale <1.0, 1.0, 2.0>
    rotate -90.0*x
    translate  -2.0*y
    material {
      Aluminum
      // Transform to world space
      translate  <-3.0, 340.0, -2.5>
    }
  }
  cylinder { // Scr_Prot
    <0,0,1>, <0,0,0>, 1 open
    scale <0.5, 0.5, 0.4>
    rotate -90.0*x
    translate  <0.0, -6.5, -0.5>
    material {
      Aluminum
      // Transform to world space
      translate  <-3.0, 340.0, -2.5>
    }
  }
  object { Stern }
  object { Propeller }
  object { Tank }
  object { // Tank1->Tank
    Tank
    scale <-1.0, 1.0, 1.0>
  }
  object { Periscope }
  cylinder { // Rd
    <0,0,1>, <0,0,0>, 1 
    material {
      Aluminum
    }
    scale <0.04, 0.25, 2.0>
    translate  <0.0, -6.82, -1.0>
  }
  object { Rd_H1 }
  object { // Rd_H2->Rd_H1
    Rd_H1
    rotate -0.0*x
    translate  -0.7*z
  }
  object { Bar }
  object { // Bar1->Bar
    Bar
    translate  <-0.05, 0.0, 0.3>
  }
  box { // T_H
    <-1, -1, -1>, <1, 1, 1>
    material {
      Chrome_Metal
    }
    scale <0.05, 0.1, 0.02>
    translate  <0.0, -1.75, 1.8>
  }
  material {
    Aluminum
  }
}
#declare Light_Cone = object {
  cone { // Light_Cone
    <0,0,0>, 0.0, <0,0,1>, 1.2
    material {
      Light_Tex
    }
    scale <1.0, 1.0, 4.5>
    rotate <-105.0, 0.0, -10.0>
    translate  <0.7, 0.36, -0.4>
  }
}
#declare Submarine = union { // Submarine
  object { Sub }
  object { Spotlight001 }
  object { // Spotlight002->Spotlight001
    Spotlight001
    scale <-1.0, 1.0, 1.0>
  }
  object { Light_Cone }
  object { // Light_Cone1->Light_Cone
    Light_Cone
    scale <-1.0, 1.0, 1.0>
    translate  0.0*z
  }
  translate  <3.0, -340.0, 2.5>
}
#declare Acc_R_I3 = intersection {
  torus { // Acc_R1
    5.5, 2.5  rotate -x*90
    material {
      Blue_Steel
    }
    translate  <22.5, -238.0, 11.0>
  }
  box { // Acc_R_I2
    <-1, -1, -1>, <1, 1, 1>
    material {
      Aluminum
    }
    scale <6.0, 6.0, 4.0>
    translate  <28.5, -232.0, 11.0>
  }
}
#declare C45 = difference { // C45
  object { Acc_R_I3 }
  torus { // Acc_R4
    5.5, 2.25  rotate -x*90
    material {
      Blue_Steel
    }
    translate  <22.5, -238.0, 11.0>
  }
  box { // Acc_R_I4
    <-1, -1, -1>, <1, 1, 1>
    material {
      Aluminum
    }
    scale <6.0, 6.0, 4.0>
    rotate <0.0, -0.0, -45.0>
    translate  <22.5, -229.514719, 11.0>
  }
  rotate 90.0*y
  translate  <19.0, -20.0, 39.0>
}


#declare HA_W9 = object {
  box { // HA_W9
    <-1, -1, -1>, <1, 1, 1>
    scale <3.0, 2.5, 1.2>
    translate  <30.0, -261.0, 11.85>
    material {
      Blue_Steel
      // Transform to world space
    }
  }
}
#declare HA_W10 = object {
  object { // HA_W10->HA_W9
    HA_W9
    rotate -0.0*y
    translate  -5.5*y
  }
}




#declare D_Arc1 = object {
  box { // D_Arc1
    <-1, -1, -1>, <1, 1, 1>
    scale <30.0, 2.0, 10.0>
    translate  <-20.0, 0.0, 10.0>
  }
}
#declare A_Door = difference {
  sphere { // A_Door_B
    <0,0,0>,1
    material {
      Chrome_Metal
    }
    scale <1.5, 4.7, 4.7>
  }
  box { // Lw_Door
    <-1, -1, -1>, <1, 1, 1>
    material {
      Chrome_Metal
    }
    scale <1.7, 4.0, 1.2>
    translate  -4.0*z
  }
  box { // S_Door
    <-1, -1, -1>, <1, 1, 1>
    scale <1.7, 2.5, 5.0>
    translate  -3.7*y
    material {
      Black_Glass
      // Transform to world space
      translate  <-1.012296, -5.408551, 0.0>
      rotate 75.0*z
      translate  <1.0, 5.4, 0.0>
      translate  <31.0, 0.0, -3.0>
      translate  <-42.0, 300.0, 0.0>
    }
  }
  box { // D_Ins
    <-1, -1, -1>, <1, 1, 1>
    material {
      Chrome_Metal
    }
    scale <1.7, 5.0, 5.0>
    translate  1.7*x
  }
  sphere { // A_Door_B1
    <0,0,0>,1
    material {
      Chrome_Metal
    }
    scale <1.5, 4.7, 4.7>
    translate  0.8*x
  }
  cone { // D_Cone
    <0,0,0>, 1.7, <0,0,1>, 2.0
    rotate -90.0*y
    translate  -1.2*x
    material {
      Chrome_Metal
      // Transform to world space
      translate  <-1.012296, -5.408551, 0.0>
      rotate 75.0*z
      translate  <1.0, 5.4, 0.0>
      translate  <31.0, 0.0, -3.0>
      translate  <-42.0, 300.0, 0.0>
    }
  }
}
#declare H3 = merge {
  difference {
    cylinder { <0,0,1>,<0,0,0>, 1   scale <1.1000, 1.1000, 2.0000> }
    cylinder { <0,0,1>,<0,0,0>, 1   scale <0.5000, 0.5000, 2.0400> translate -0.0200*z }
  }
  difference {
    cylinder { <0,0,1>,<0,0,0>, 1   scale <1.1000, 1.1000, 2.0000> translate 0.0000*z }
    cylinder { <0,0,1>,<0,0,0>, 1   scale <0.5000, 0.5000, 2.0400> translate --0.0200*z }
  }
  torus { 0.5000, 0.0000  rotate -x*90 translate  2.0000*z bounded_by { box { <-0.5000, -0.5000, 2.0000>, <0.5000, 0.5000, 2.0000> } } }
  torus { 0.5000, 0.0000  rotate -x*90 translate  0.0000*z bounded_by { box { <-0.5000, -0.5000, 0.0000>, <0.5000, 0.5000, 0.0000> } } }
  translate  <1.0, 5.4, -1.0>
  material {
    Chrome_Metal
    // Transform to world space
    translate  <-1.012296, -5.408551, 0.0>
    rotate 75.0*z
    translate  <1.0, 5.4, 0.0>
    translate  <31.0, 0.0, -3.0>
    translate  <-42.0, 300.0, 0.0>
  }
}
#declare H2 = merge {
  difference {
    cylinder { <0,0,1>,<0,0,0>, 1   scale <1.1000, 1.1000, 2.0000> }
    cylinder { <0,0,1>,<0,0,0>, 1   scale <0.5000, 0.5000, 2.0400> translate -0.0200*z }
  }
  difference {
    cylinder { <0,0,1>,<0,0,0>, 1   scale <1.1000, 1.1000, 2.0000> translate 0.0000*z }
    cylinder { <0,0,1>,<0,0,0>, 1   scale <0.5000, 0.5000, 2.0400> translate --0.0200*z }
  }
  torus { 0.5000, 0.0000  rotate -x*90 translate  2.0000*z bounded_by { box { <-0.5000, -0.5000, 2.0000>, <0.5000, 0.5000, 2.0000> } } }
  torus { 0.5000, 0.0000  rotate -x*90 translate  0.0000*z bounded_by { box { <-0.5000, -0.5000, 0.0000>, <0.5000, 0.5000, 0.0000> } } }
  translate  <0.5, 4.9, -1.0>
  material {
    Chrome_Metal
    // Transform to world space
    translate  <-1.012296, -5.408551, 0.0>
    rotate 75.0*z
    translate  <1.0, 5.4, 0.0>
    translate  <31.0, 0.0, -3.0>
    translate  <-42.0, 300.0, 0.0>
  }
}
#declare HI = intersection {
  object { H2 }
  box { // H4
    <-1, -1, -1>, <1, 1, 1>
    scale <1.0, 1.0, 1.1>
    translate  <-0.5, 5.9, 0.0>
    material {
      Chrome_Metal
      // Transform to world space
      translate  <-1.012296, -5.408551, 0.0>
      rotate 75.0*z
      translate  <1.0, 5.4, 0.0>
      translate  <31.0, 0.0, -3.0>
      translate  <-42.0, 300.0, 0.0>
    }
  }
}
#declare Door_1 = union {
  object { A_Door }
  box { // H1
    <-1, -1, -1>, <1, 1, 1>
    scale <0.3, 1.0, 1.0>
    translate  <-0.3, 3.9, 0.0>
    material {
      Chrome_Metal
      // Transform to world space
      translate  <-1.012296, -5.408551, 0.0>
      rotate 75.0*z
      translate  <1.0, 5.4, 0.0>
      translate  <31.0, 0.0, -3.0>
      translate  <-42.0, 300.0, 0.0>
    }
  }
  object { H3 }
  object { HI }
  translate  <-1.0, -5.4, 0.0>
  rotate -75.0*z
  translate  <1.012296, 5.408551, 0.0>
}
#declare B_Door = difference {
  sphere { // A_Door_B2
    <0,0,0>,1
    material {
      Chrome_Metal
    }
    scale <1.5, 4.7, 4.7>
  }
  box { // Lw_Door1
    <-1, -1, -1>, <1, 1, 1>
    material {
      Chrome_Metal
    }
    scale <1.7, 4.0, 1.2>
    translate  -4.0*z
  }
  box { // S_Door1
    <-1, -1, -1>, <1, 1, 1>
    scale <1.7, 4.0, 5.0>
    translate  2.75*y
    material {
      Black_Glass
      // Transform to world space
      translate  <-1.022037, 5.410784, 0.0>
      rotate -75.0*z
      translate  <1.0, -5.4, 0.0>
      rotate 0.0*z
      translate  <31.0, 0.0, -3.0>
      translate  <-42.0, 300.0, 0.0>
    }
  }
  box { // D_Ins1
    <-1, -1, -1>, <1, 1, 1>
    material {
      Chrome_Metal
    }
    scale <1.7, 5.0, 5.0>
    translate  1.7*x
  }
  sphere { // A_Door_B3
    <0,0,0>,1
    material {
      Chrome_Metal
    }
    scale <1.5, 4.7, 4.7>
    translate  0.8*x
  }
  cone { // D_Cone1
    <0,0,0>, 1.7, <0,0,1>, 2.0
    rotate -90.0*y
    translate  -1.2*x
    material {
      Chrome_Metal
      // Transform to world space
      translate  <-1.022037, 5.410784, 0.0>
      rotate -75.0*z
      translate  <1.0, -5.4, 0.0>
      rotate 0.0*z
      translate  <31.0, 0.0, -3.0>
      translate  <-42.0, 300.0, 0.0>
    }
  }
}
#declare H6 = merge {
  difference {
    cylinder { <0,0,1>,<0,0,0>, 1   scale <1.1000, 1.1000, 2.0000> }
    cylinder { <0,0,1>,<0,0,0>, 1   scale <0.5000, 0.5000, 2.0400> translate -0.0200*z }
  }
  difference {
    cylinder { <0,0,1>,<0,0,0>, 1   scale <1.1000, 1.1000, 2.0000> translate 0.0000*z }
    cylinder { <0,0,1>,<0,0,0>, 1   scale <0.5000, 0.5000, 2.0400> translate --0.0200*z }
  }
  torus { 0.5000, 0.0000  rotate -x*90 translate  2.0000*z bounded_by { box { <-0.5000, -0.5000, 2.0000>, <0.5000, 0.5000, 2.0000> } } }
  torus { 0.5000, 0.0000  rotate -x*90 translate  0.0000*z bounded_by { box { <-0.5000, -0.5000, 0.0000>, <0.5000, 0.5000, 0.0000> } } }
  translate  <1.0, -5.4, -1.0>
  material {
    Chrome_Metal
    // Transform to world space
    translate  <-1.022037, 5.410784, 0.0>
    rotate -75.0*z
    translate  <1.0, -5.4, 0.0>
    rotate 0.0*z
    translate  <31.0, 0.0, -3.0>
    translate  <-42.0, 300.0, 0.0>
  }
}
#declare H7 = merge {
  difference {
    cylinder { <0,0,1>,<0,0,0>, 1   scale <1.1000, 1.1000, 2.0000> }
    cylinder { <0,0,1>,<0,0,0>, 1   scale <0.5000, 0.5000, 2.0400> translate -0.0200*z }
  }
  difference {
    cylinder { <0,0,1>,<0,0,0>, 1   scale <1.1000, 1.1000, 2.0000> translate 0.0000*z }
    cylinder { <0,0,1>,<0,0,0>, 1   scale <0.5000, 0.5000, 2.0400> translate --0.0200*z }
  }
  torus { 0.5000, 0.0000  rotate -x*90 translate  2.0000*z bounded_by { box { <-0.5000, -0.5000, 2.0000>, <0.5000, 0.5000, 2.0000> } } }
  torus { 0.5000, 0.0000  rotate -x*90 translate  0.0000*z bounded_by { box { <-0.5000, -0.5000, 0.0000>, <0.5000, 0.5000, 0.0000> } } }
  translate  <0.5, 4.9, -1.0>
  material {
    Chrome_Metal
    // Transform to world space
    scale <1.0/1.0, 1.0/-1.0, 1.0/1.0>
    translate  <-1.022037, 5.410784, 0.0>
    rotate -75.0*z
    translate  <1.0, -5.4, 0.0>
    rotate 0.0*z
    translate  <31.0, 0.0, -3.0>
    translate  <-42.0, 300.0, 0.0>
  }
}
#declare HI1 = intersection {
  object { H7 }
  box { // H8
    <-1, -1, -1>, <1, 1, 1>
    scale <1.0, 1.0, 1.1>
    translate  <-0.5, 5.9, 0.0>
    material {
      Chrome_Metal
      // Transform to world space
      scale <1.0/1.0, 1.0/-1.0, 1.0/1.0>
      translate  <-1.022037, 5.410784, 0.0>
      rotate -75.0*z
      translate  <1.0, -5.4, 0.0>
      rotate 0.0*z
      translate  <31.0, 0.0, -3.0>
      translate  <-42.0, 300.0, 0.0>
    }
  }
  scale <1.0, -1.0, 1.0>
}
#declare Door_2 = union {
  object { B_Door }
  box { // H5
    <-1, -1, -1>, <1, 1, 1>
    scale <0.3, 1.0, 1.0>
    translate  <-0.3, -3.9, 0.0>
    material {
      Chrome_Metal
      // Transform to world space
      translate  <-1.022037, 5.410784, 0.0>
      rotate -75.0*z
      translate  <1.0, -5.4, 0.0>
      rotate 0.0*z
      translate  <31.0, 0.0, -3.0>
      translate  <-42.0, 300.0, 0.0>
    }
  }
  object { H6 }
  object { HI1 }
  rotate -0.0*z
  translate  <-1.0, 5.4, 0.0>
  rotate 75.0*z
  translate  <1.022037, -5.410784, 0.0>
}
#declare Rl_S1 = object {
  cylinder { // Rl_S1
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome_Metal
    }
    scale <0.035, 0.035, 1.0>
    translate  <-20.075, 0.0, 10.0>
  }
}
#declare Rl_S4 = object {
  cylinder { // Rl_S4
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome_Metal
    }
    scale <0.035, 0.035, 1.0>
    translate  <-14.195178, 14.19518, 10.0>
  }
}
#declare Rl_S6 = object {
  cylinder { // Rl_S6
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome_Metal
    }
    scale <0.044, 0.044, 4.0>
    rotate <-0.0, -90.0, -0.0>
    translate  <-20.075, 0.0, 11.0>
  }
}




#declare W_S = merge {
  cylinder { <0,0,1>,<0,0,0>, 1   scale <0.4000, 0.4000, 2.5000> }
  cylinder { <0,0,1>,<0,0,0>, 1   scale <0.5000, 0.5000, 2.3000> translate 0.1000*z }
  torus { 0.4000, 0.1000  rotate -x*90 translate  2.4000*z bounded_by { box { <-0.5020, -0.5020, 2.2980>, <0.5020, 0.5020, 2.5020> } } }
  torus { 0.4000, 0.1000  rotate -x*90 translate  0.1000*z bounded_by { box { <-0.5020, -0.5020, -0.0020>, <0.5020, 0.5020, 0.2020> } } }
  material {
    Aluminum
  }
  rotate -90.0*y
  translate  <1.25, -0.7, -0.6>
}
#declare E_Fin = object {
  box { // E_Fin
    <-1, -1, -1>, <1, 1, 1>
    material {
      Aluminum
    }
    scale <0.03, 0.45, 0.1>
    rotate -10.0*x
    translate  <0.0, 0.552133, -0.220475>
  }
}
#declare R2 = merge {
  difference {
    cylinder { <0,0,1>,<0,0,0>, 1   scale <0.6000, 0.6000, 1.5000> }
    cylinder { <0,0,1>,<0,0,0>, 1   scale <0.5000, 0.5000, 1.5300> translate -0.0150*z }
  }
  difference {
    cylinder { <0,0,1>,<0,0,0>, 1   scale <0.7000, 0.7000, 1.3000> translate 0.1000*z }
    cylinder { <0,0,1>,<0,0,0>, 1   scale <0.4000, 0.4000, 1.5300> translate -0.0850*z }
  }
  torus { 0.6000, 0.1000  rotate -x*90 translate  1.4000*z bounded_by { box { <-0.7020, -0.7020, 1.2980>, <0.7020, 0.7020, 1.5020> } } }
  torus { 0.6000, 0.1000  rotate -x*90 translate  0.1000*z bounded_by { box { <-0.7020, -0.7020, -0.0020>, <0.7020, 0.7020, 0.2020> } } }
  torus { 0.5000, 0.1000  rotate -x*90 translate  1.4000*z bounded_by { box { <-0.6020, -0.6020, 1.2980>, <0.6020, 0.6020, 1.5020> } } }
  torus { 0.5000, 0.1000  rotate -x*90 translate  0.1000*z bounded_by { box { <-0.5020, -0.5020, -0.0020>, <0.5020, 0.5020, 0.1020> } } }
  material {
    Rubber
  }
  rotate -90.0*y
  translate  -2.5*x
}
#declare Rs1 = merge {
  cylinder { <0,0,1>,<0,0,0>, 1   scale <0.3700, 0.3700, 0.9000> }
  cylinder { <0,0,1>,<0,0,0>, 1   scale <0.4700, 0.4700, 0.7000> translate 0.1000*z }
  torus { 0.3700, 0.1000  rotate -x*90 translate  0.8000*z bounded_by { box { <-0.4720, -0.4720, 0.6980>, <0.4720, 0.4720, 0.9020> } } }
  torus { 0.3700, 0.1000  rotate -x*90 translate  0.1000*z bounded_by { box { <-0.4720, -0.4720, -0.0020>, <0.4720, 0.4720, 0.2020> } } }
  material {
    Blue_Steel_Tex
  }
  rotate -90.0*y
  translate  -1.9*x
}
#declare RS_D = difference {
  object { Rs1 }
  box { // RA_Sk
    <-1, -1, -1>, <1, 1, 1>
    material {
      Black_Glass
    }
    scale <0.25, 0.1, 0.2>
    translate  <-2.0, 0.0, 0.5>
  }
}
#declare R_Arm1 = object {
  cylinder { // R_Arm1
    <0,0,1>, <0,0,0>, 1 
    material {
      Blue_Steel_Tex
    }
    scale <0.06, 0.06, 1.05>
    rotate <14.533058, -264.654419, -0.964447>
    translate  <-2.1, -0.4, 0.0>
  }
}
#declare Roller = union {
  object { R2 }
  cone { // R_J
    <0,0,0>, 0.3, <0,0,1>, 0.47
    open
    material {
      Chrome_Metal
    }
    scale <1.0, 1.0, 0.15>
    rotate -90.0*y
    translate  -3.85*x
  }
  cone { // R_J1
    <0,0,0>, 0.2, <0,0,1>, 0.07
    material {
      Chrome_Metal
    }
    scale <1.0, 1.0, 0.1>
    rotate -90.0*y
    translate  -3.85*x
  }
  cylinder { // B
    <0,0,1>, <0,0,0>, 1 
    material {
      Blue_Steel_Tex
    }
    scale <0.6, 0.6, 0.1>
    rotate -90.0*y
    translate  -2.35*x
  }
  sphere { // CC_Ch
    <0,0,0>,1
    material {
      Chrome_Metal
    }
    scale 0.2
    translate  -1.9*x
  }
  sphere { // CC_Ch1
    <0,0,0>,1
    material {
      Chrome_Metal
    }
    scale 0.2
    translate  <-1.25, 0.0, 0.2>
  }
  cylinder { // R_A
    <0,0,1>, <0,0,0>, 1 
    material {
      Blue_Steel_Tex
    }
    scale <0.1, 0.1, 0.7>
    rotate <-0.0, 72.836189, -0.0>
    translate  -1.9*x
  }
  object { RS_D }
  cylinder { // R_Arm
    <0,0,1>, <0,0,0>, 1 
    material {
      Blue_Steel_Tex
    }
    scale <0.06, 0.06, 1.1>
    rotate 81.0*y
    translate  <-2.2, 0.0, 0.45>
  }
  cylinder { // R_Arm_B
    <0,0,1>, <0,0,0>, 1 
    material {
      Aluminum
    }
    scale <0.06, 0.06, 0.3>
    rotate -90.0*x
    translate  <-2.2, -0.15, 0.45>
  }
  cylinder { // R_Arm_B1
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome_Metal
    }
    scale <0.06, 0.06, 1.5>
    rotate -90.0*x
    translate  <-1.1, -0.75, -0.1>
  }
  cylinder { // R_Arm_B2
    <0,0,1>, <0,0,0>, 1 
    material {
      Aluminum
    }
    scale <0.08, 0.08, 0.95>
    rotate -90.0*x
    translate  <-2.1, -0.475, 0.0>
  }
  object { R_Arm1 }
  object { // R_Arm2->R_Arm1
    R_Arm1
    scale <1.0, -1.0, 1.0>
    rotate -0.0*x
    translate  <0.0, 0.0, 0.0>
  }
  translate  <0.0, -0.7, -0.8>
}
#declare Roller2 = object {
  object { // Roller2->Roller
    Roller
    translate  6.0*y
  }
}
#declare Roller3 = object {
  object { // Roller3->Roller2
    Roller2
    translate  3.0*y
  }
}
#declare W_S1 = object {
  object { // W_S1->W_S
    W_S
    translate  <0.0, 6.0, 0.0>
  }
}
#declare Crate1 = merge {
  sphere { <1.0500, 1.0500, 1.0500>, 0.2000 }
  sphere { <1.0500, -1.0500, 1.0500>, 0.2000 }
  sphere { <-1.0500, -1.0500, 1.0500>, 0.2000 }
  sphere { <-1.0500, 1.0500, 1.0500>, 0.2000 }
  sphere { <1.0500, 1.0500, -1.0500>, 0.2000 }
  sphere { <1.0500, -1.0500, -1.0500>, 0.2000 }
  sphere { <-1.0500, -1.0500, -1.0500>, 0.2000 }
  sphere { <-1.0500, 1.0500, -1.0500>, 0.2000 }
  cylinder { <1.0500, 1.0500, 1.0500>, <-1.0500, 1.0500, 1.0500>, 0.2000 }
  cylinder { <1.0500, -1.0500, 1.0500>, <-1.0500, -1.0500, 1.0500>, 0.2000 }
  cylinder { <1.0500, -1.0500, -1.0500>, <-1.0500, -1.0500, -1.0500>, 0.2000 }
  cylinder { <1.0500, 1.0500, -1.0500>, <-1.0500, 1.0500, -1.0500>, 0.2000 }
  cylinder { <1.0500, 1.0500, -1.0500>, <1.0500, 1.0500, 1.0500>, 0.2000 }
  cylinder { <1.0500, -1.0500, -1.0500>, <1.0500, -1.0500, 1.0500>, 0.2000 }
  cylinder { <-1.0500, -1.0500, -1.0500>, <-1.0500, -1.0500, 1.0500>, 0.2000 }
  cylinder { <-1.0500, 1.0500, -1.0500>, <-1.0500, 1.0500, 1.0500>, 0.2000 }
  cylinder { <1.0500, 1.0500, 1.0500>, <1.0500, -1.0500, 1.0500>, 0.2000 }
  cylinder { <1.0500, 1.0500, -1.0500>, <1.0500, -1.0500, -1.0500>, 0.2000 }
  cylinder { <-1.0500, 1.0500, -1.0500>, <-1.0500, -1.0500, -1.0500>, 0.2000 }
  cylinder { <-1.0500, 1.0500, 1.0500>, <-1.0500, -1.0500, 1.0500>, 0.2000 }
  box { <-1.0500, -1.0500, -1.2500> <1.0500, 1.0500, 1.2500> }
  box { <-1.0500, -1.2500, -1.0500> <1.0500, 1.2500, 1.0500> }
  box { <-1.2500, -1.0500, -1.0500> <1.2500, 1.0500, 1.0500> }
// Attributes returned success!
  material {
    L_Tex
  }
  translate  <0.0, 3.0, 1.5>
}
#declare Lk1 = object {
  box { // Lk1
    <-1, -1, -1>, <1, 1, 1>
    material {
      Chrome_Metal
    }
    scale <0.1, 0.07, 0.15>
    translate  <-1.3, 3.9, 2.3>
  }
}
#declare Lk3 = object {
  object { // Lk3->Lk1
    Lk1
    rotate <-0.0, -0.0, 0.0>
    translate  -1.8*y
  }
}
#declare Lk5 = object {
  object { // Lk5->Lk1
    Lk1
    rotate <-0.0, -0.0, 0.0>
    translate  -1.5*z
  }
}
#declare Lk7 = object {
  object { // Lk7->Lk5
    Lk5
    translate  -1.8*y
  }
}
#declare Lk9 = object {
  object { // Lk9->Lk5
    Lk5
    rotate -90.0*x
    translate  <0.0, 2.2, 4.62>
  }
}
#declare F_Mod = union {
  object { Crate1 }
  object { Lk1 }
  object { // Lk2->Lk1
    Lk1
    scale <-1.0, 1.0, 1.0>
    rotate <-0.0, -0.0, 0.0>
  }
  object { Lk3 }
  object { // Lk4->Lk3
    Lk3
    scale <-1.0, 1.0, 1.0>
  }
  object { Lk5 }
  object { // Lk6->Lk5
    Lk5
    scale <-1.0, 1.0, 1.0>
  }
  object { Lk7 }
  object { // Lk8->Lk7
    Lk7
    scale <-1.0, 1.0, 1.0>
  }
  object { Lk9 }
  object { // Lk10->Lk9
    Lk9
    scale <-1.0, 1.0, 1.0>
  }
}
#declare F_Mod1 = object {
  object { // F_Mod1->F_Mod
    F_Mod
    translate  2.5*y
  }
}
#declare RollBar1 = union { 
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-0.157895, -1.601997, 0.621765>, <-0.157895, -1.602309, 0.540227>, <-0.086842, -1.602565, 0.473514>, <0.000000, -1.602565, 0.473514>, 
      <-0.157895, -2.080679, 0.716528>, <-0.157895, -2.105520, 0.638865>, <-0.086842, -2.125845, 0.575323>, <0.000000, -2.125845, 0.575323>, 
      <-0.157895, -2.478813, 0.843875>, <-0.157895, -2.503655, 0.766213>, <-0.086842, -2.523979, 0.702671>, <0.000000, -2.523979, 0.702671>, 
      <-0.157895, -2.630821, 1.345566>, <-0.157895, -2.682120, 1.319006>, <-0.086842, -2.724092, 1.297276>, <0.000000, -2.724092, 1.297276>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <0.000000, -1.602565, 0.473514>, <0.086842, -1.602565, 0.473514>, <0.157895, -1.602309, 0.540227>, <0.157895, -1.601997, 0.621765>, 
      <0.000000, -2.125845, 0.575323>, <0.086842, -2.125845, 0.575323>, <0.157895, -2.105520, 0.638865>, <0.157895, -2.080679, 0.716528>, 
      <0.000000, -2.523979, 0.702671>, <0.086842, -2.523979, 0.702671>, <0.157895, -2.503655, 0.766213>, <0.157895, -2.478813, 0.843875>, 
      <0.000000, -2.724092, 1.297276>, <0.086842, -2.724092, 1.297276>, <0.157895, -2.682120, 1.319006>, <0.157895, -2.630821, 1.345566>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <0.157895, -1.601997, 0.621765>, <0.157895, -1.601684, 0.703303>, <0.086842, -1.601429, 0.770016>, <0.000000, -1.601429, 0.770016>, 
      <0.157895, -2.080679, 0.716528>, <0.157895, -2.055837, 0.794190>, <0.086842, -2.035513, 0.857733>, <0.000000, -2.035513, 0.857733>, 
      <0.157895, -2.478813, 0.843875>, <0.157895, -2.453972, 0.921538>, <0.086842, -2.433647, 0.985080>, <0.000000, -2.433647, 0.985080>, 
      <0.157895, -2.630821, 1.345566>, <0.157895, -2.579521, 1.372126>, <0.086842, -2.537549, 1.393856>, <0.000000, -2.537549, 1.393856>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <0.000000, -1.601429, 0.770016>, <-0.086842, -1.601429, 0.770016>, <-0.157895, -1.601684, 0.703303>, <-0.157895, -1.601997, 0.621765>, 
      <0.000000, -2.035513, 0.857733>, <-0.086842, -2.035513, 0.857733>, <-0.157895, -2.055837, 0.794190>, <-0.157895, -2.080679, 0.716528>, 
      <0.000000, -2.433647, 0.985080>, <-0.086842, -2.433647, 0.985080>, <-0.157895, -2.453972, 0.921538>, <-0.157895, -2.478813, 0.843875>, 
      <0.000000, -2.537549, 1.393856>, <-0.086842, -2.537549, 1.393856>, <-0.157895, -2.579521, 1.372126>, <-0.157895, -2.630821, 1.345566>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-0.157895, -2.630821, 1.345566>, <-0.157895, -2.682120, 1.319006>, <-0.086842, -2.724092, 1.297276>, <0.000000, -2.724092, 1.297276>, 
      <-0.157895, -2.782828, 1.847257>, <-0.157895, -2.860585, 1.871800>, <-0.086842, -2.924205, 1.891881>, <0.000000, -2.924205, 1.891881>, 
      <-0.157895, -2.657007, 2.245876>, <-0.157895, -2.734764, 2.270420>, <-0.086842, -2.798383, 2.290501>, <0.000000, -2.798383, 2.290501>, 
      <-0.157895, -2.531185, 2.644496>, <-0.157895, -2.608943, 2.669040>, <-0.086842, -2.672562, 2.689121>, <0.000000, -2.672562, 2.689121>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <0.000000, -2.724092, 1.297276>, <0.086842, -2.724092, 1.297276>, <0.157895, -2.682120, 1.319006>, <0.157895, -2.630821, 1.345566>, 
      <0.000000, -2.924205, 1.891881>, <0.086842, -2.924205, 1.891881>, <0.157895, -2.860585, 1.871800>, <0.157895, -2.782828, 1.847257>, 
      <0.000000, -2.798383, 2.290501>, <0.086842, -2.798383, 2.290501>, <0.157895, -2.734764, 2.270420>, <0.157895, -2.657007, 2.245876>, 
      <0.000000, -2.672562, 2.689121>, <0.086842, -2.672562, 2.689121>, <0.157895, -2.608943, 2.669040>, <0.157895, -2.531185, 2.644496>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <0.157895, -2.630821, 1.345566>, <0.157895, -2.579521, 1.372126>, <0.086842, -2.537549, 1.393856>, <0.000000, -2.537549, 1.393856>, 
      <0.157895, -2.782828, 1.847257>, <0.157895, -2.705070, 1.822713>, <0.086842, -2.641451, 1.802632>, <0.000000, -2.641451, 1.802632>, 
      <0.157895, -2.657007, 2.245876>, <0.157895, -2.579249, 2.221333>, <0.086842, -2.515630, 2.201252>, <0.000000, -2.515630, 2.201252>, 
      <0.157895, -2.531185, 2.644496>, <0.157895, -2.453428, 2.619953>, <0.086842, -2.389809, 2.599872>, <0.000000, -2.389809, 2.599872>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <0.000000, -2.537549, 1.393856>, <-0.086842, -2.537549, 1.393856>, <-0.157895, -2.579521, 1.372126>, <-0.157895, -2.630821, 1.345566>, 
      <0.000000, -2.641451, 1.802632>, <-0.086842, -2.641451, 1.802632>, <-0.157895, -2.705070, 1.822713>, <-0.157895, -2.782828, 1.847257>, 
      <0.000000, -2.515630, 2.201252>, <-0.086842, -2.515630, 2.201252>, <-0.157895, -2.579249, 2.221333>, <-0.157895, -2.657007, 2.245876>, 
      <0.000000, -2.389809, 2.599872>, <-0.086842, -2.389809, 2.599872>, <-0.157895, -2.453428, 2.619953>, <-0.157895, -2.531185, 2.644496>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-0.157895, -2.531185, 2.644496>, <-0.157895, -2.608943, 2.669040>, <-0.086842, -2.672562, 2.689121>, <0.000000, -2.672562, 2.689121>, 
      <-0.157895, -2.405364, 3.043116>, <-0.157895, -2.483122, 3.067659>, <-0.086842, -2.546741, 3.087740>, <0.000000, -2.546741, 3.087740>, 
      <-0.157895, -2.279543, 3.441736>, <-0.157895, -2.357300, 3.466279>, <-0.086842, -2.420920, 3.486360>, <0.000000, -2.420920, 3.486360>, 
      <-0.157895, -2.153722, 3.840355>, <-0.157895, -2.231479, 3.864899>, <-0.086842, -2.295099, 3.884980>, <0.000000, -2.295099, 3.884980>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <0.000000, -2.672562, 2.689121>, <0.086842, -2.672562, 2.689121>, <0.157895, -2.608943, 2.669040>, <0.157895, -2.531185, 2.644496>, 
      <0.000000, -2.546741, 3.087740>, <0.086842, -2.546741, 3.087740>, <0.157895, -2.483122, 3.067659>, <0.157895, -2.405364, 3.043116>, 
      <0.000000, -2.420920, 3.486360>, <0.086842, -2.420920, 3.486360>, <0.157895, -2.357300, 3.466279>, <0.157895, -2.279543, 3.441736>, 
      <0.000000, -2.295099, 3.884980>, <0.086842, -2.295099, 3.884980>, <0.157895, -2.231479, 3.864899>, <0.157895, -2.153722, 3.840355>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <0.157895, -2.531185, 2.644496>, <0.157895, -2.453428, 2.619953>, <0.086842, -2.389809, 2.599872>, <0.000000, -2.389809, 2.599872>, 
      <0.157895, -2.405364, 3.043116>, <0.157895, -2.327607, 3.018572>, <0.086842, -2.263987, 2.998491>, <0.000000, -2.263987, 2.998491>, 
      <0.157895, -2.279543, 3.441736>, <0.157895, -2.201786, 3.417192>, <0.086842, -2.138166, 3.397111>, <0.000000, -2.138166, 3.397111>, 
      <0.157895, -2.153722, 3.840355>, <0.157895, -2.075965, 3.815812>, <0.086842, -2.012345, 3.795731>, <0.000000, -2.012345, 3.795731>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <0.000000, -2.389809, 2.599872>, <-0.086842, -2.389809, 2.599872>, <-0.157895, -2.453428, 2.619953>, <-0.157895, -2.531185, 2.644496>, 
      <0.000000, -2.263987, 2.998491>, <-0.086842, -2.263987, 2.998491>, <-0.157895, -2.327607, 3.018572>, <-0.157895, -2.405364, 3.043116>, 
      <0.000000, -2.138166, 3.397111>, <-0.086842, -2.138166, 3.397111>, <-0.157895, -2.201786, 3.417192>, <-0.157895, -2.279543, 3.441736>, 
      <0.000000, -2.012345, 3.795731>, <-0.086842, -2.012345, 3.795731>, <-0.157895, -2.075965, 3.815812>, <-0.157895, -2.153722, 3.840355>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-0.157895, -2.153722, 3.840355>, <-0.157895, -2.231479, 3.864899>, <-0.086842, -2.295099, 3.884980>, <0.000000, -2.295099, 3.884980>, 
      <-0.157895, -2.027901, 4.238975>, <-0.157895, -2.105658, 4.263518>, <-0.086842, -2.169278, 4.283599>, <0.000000, -2.169278, 4.283599>, 
      <-0.157895, -1.902080, 4.637595>, <-0.157895, -1.979837, 4.662138>, <-0.086842, -2.043457, 4.682219>, <0.000000, -2.043457, 4.682219>, 
      <-0.157895, -1.776259, 5.036214>, <-0.157895, -1.854016, 5.060758>, <-0.086842, -1.917635, 5.080839>, <0.000000, -1.917635, 5.080839>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <0.000000, -2.295099, 3.884980>, <0.086842, -2.295099, 3.884980>, <0.157895, -2.231479, 3.864899>, <0.157895, -2.153722, 3.840355>, 
      <0.000000, -2.169278, 4.283599>, <0.086842, -2.169278, 4.283599>, <0.157895, -2.105658, 4.263518>, <0.157895, -2.027901, 4.238975>, 
      <0.000000, -2.043457, 4.682219>, <0.086842, -2.043457, 4.682219>, <0.157895, -1.979837, 4.662138>, <0.157895, -1.902080, 4.637595>, 
      <0.000000, -1.917635, 5.080839>, <0.086842, -1.917635, 5.080839>, <0.157895, -1.854016, 5.060758>, <0.157895, -1.776259, 5.036214>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <0.157895, -2.153722, 3.840355>, <0.157895, -2.075965, 3.815812>, <0.086842, -2.012345, 3.795731>, <0.000000, -2.012345, 3.795731>, 
      <0.157895, -2.027901, 4.238975>, <0.157895, -1.950144, 4.214431>, <0.086842, -1.886524, 4.194350>, <0.000000, -1.886524, 4.194350>, 
      <0.157895, -1.902080, 4.637595>, <0.157895, -1.824322, 4.613051>, <0.086842, -1.760703, 4.592970>, <0.000000, -1.760703, 4.592970>, 
      <0.157895, -1.776259, 5.036214>, <0.157895, -1.698501, 5.011671>, <0.086842, -1.634882, 4.991590>, <0.000000, -1.634882, 4.991590>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <0.000000, -2.012345, 3.795731>, <-0.086842, -2.012345, 3.795731>, <-0.157895, -2.075965, 3.815812>, <-0.157895, -2.153722, 3.840355>, 
      <0.000000, -1.886524, 4.194350>, <-0.086842, -1.886524, 4.194350>, <-0.157895, -1.950144, 4.214431>, <-0.157895, -2.027901, 4.238975>, 
      <0.000000, -1.760703, 4.592970>, <-0.086842, -1.760703, 4.592970>, <-0.157895, -1.824322, 4.613051>, <-0.157895, -1.902080, 4.637595>, 
      <0.000000, -1.634882, 4.991590>, <-0.086842, -1.634882, 4.991590>, <-0.157895, -1.698501, 5.011671>, <-0.157895, -1.776259, 5.036214>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-0.157895, -1.776259, 5.036214>, <-0.157895, -1.854016, 5.060758>, <-0.086842, -1.917635, 5.080839>, <0.000000, -1.917635, 5.080839>, 
      <-0.157895, -1.650437, 5.434834>, <-0.157895, -1.728195, 5.459378>, <-0.086842, -1.791814, 5.479459>, <0.000000, -1.791814, 5.479459>, 
      <-0.157895, -1.524616, 5.833454>, <-0.157895, -1.602374, 5.857997>, <-0.086842, -1.665993, 5.878078>, <0.000000, -1.665993, 5.878078>, 
      <-0.157895, -1.398795, 6.232073>, <-0.157895, -1.476552, 6.256617>, <-0.086842, -1.540172, 6.276698>, <0.000000, -1.540172, 6.276698>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <0.000000, -1.917635, 5.080839>, <0.086842, -1.917635, 5.080839>, <0.157895, -1.854016, 5.060758>, <0.157895, -1.776259, 5.036214>, 
      <0.000000, -1.791814, 5.479459>, <0.086842, -1.791814, 5.479459>, <0.157895, -1.728195, 5.459378>, <0.157895, -1.650437, 5.434834>, 
      <0.000000, -1.665993, 5.878078>, <0.086842, -1.665993, 5.878078>, <0.157895, -1.602374, 5.857997>, <0.157895, -1.524616, 5.833454>, 
      <0.000000, -1.540172, 6.276698>, <0.086842, -1.540172, 6.276698>, <0.157895, -1.476552, 6.256617>, <0.157895, -1.398795, 6.232073>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <0.157895, -1.776259, 5.036214>, <0.157895, -1.698501, 5.011671>, <0.086842, -1.634882, 4.991590>, <0.000000, -1.634882, 4.991590>, 
      <0.157895, -1.650437, 5.434834>, <0.157895, -1.572680, 5.410291>, <0.086842, -1.509061, 5.390210>, <0.000000, -1.509061, 5.390210>, 
      <0.157895, -1.524616, 5.833454>, <0.157895, -1.446859, 5.808910>, <0.086842, -1.383239, 5.788829>, <0.000000, -1.383239, 5.788829>, 
      <0.157895, -1.398795, 6.232073>, <0.157895, -1.321038, 6.207530>, <0.086842, -1.257418, 6.187449>, <0.000000, -1.257418, 6.187449>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <0.000000, -1.634882, 4.991590>, <-0.086842, -1.634882, 4.991590>, <-0.157895, -1.698501, 5.011671>, <-0.157895, -1.776259, 5.036214>, 
      <0.000000, -1.509061, 5.390210>, <-0.086842, -1.509061, 5.390210>, <-0.157895, -1.572680, 5.410291>, <-0.157895, -1.650437, 5.434834>, 
      <0.000000, -1.383239, 5.788829>, <-0.086842, -1.383239, 5.788829>, <-0.157895, -1.446859, 5.808910>, <-0.157895, -1.524616, 5.833454>, 
      <0.000000, -1.257418, 6.187449>, <-0.086842, -1.257418, 6.187449>, <-0.157895, -1.321038, 6.207530>, <-0.157895, -1.398795, 6.232073>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-0.157895, -1.398795, 6.232073>, <-0.157895, -1.476552, 6.256617>, <-0.086842, -1.540172, 6.276698>, <0.000000, -1.540172, 6.276698>, 
      <-0.157895, -1.272974, 6.630693>, <-0.157895, -1.350731, 6.655237>, <-0.086842, -1.414351, 6.675318>, <0.000000, -1.414351, 6.675318>, 
      <-0.157895, -1.147153, 7.029313>, <-0.157895, -1.224910, 7.053856>, <-0.086842, -1.288530, 7.073937>, <0.000000, -1.288530, 7.073937>, 
      <-0.157895, -1.021332, 7.427933>, <-0.157895, -1.099089, 7.452476>, <-0.086842, -1.162709, 7.472557>, <0.000000, -1.162709, 7.472557>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <0.000000, -1.540172, 6.276698>, <0.086842, -1.540172, 6.276698>, <0.157895, -1.476552, 6.256617>, <0.157895, -1.398795, 6.232073>, 
      <0.000000, -1.414351, 6.675318>, <0.086842, -1.414351, 6.675318>, <0.157895, -1.350731, 6.655237>, <0.157895, -1.272974, 6.630693>, 
      <0.000000, -1.288530, 7.073937>, <0.086842, -1.288530, 7.073937>, <0.157895, -1.224910, 7.053856>, <0.157895, -1.147153, 7.029313>, 
      <0.000000, -1.162709, 7.472557>, <0.086842, -1.162709, 7.472557>, <0.157895, -1.099089, 7.452476>, <0.157895, -1.021332, 7.427933>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <0.157895, -1.398795, 6.232073>, <0.157895, -1.321038, 6.207530>, <0.086842, -1.257418, 6.187449>, <0.000000, -1.257418, 6.187449>, 
      <0.157895, -1.272974, 6.630693>, <0.157895, -1.195217, 6.606150>, <0.086842, -1.131597, 6.586069>, <0.000000, -1.131597, 6.586069>, 
      <0.157895, -1.147153, 7.029313>, <0.157895, -1.069396, 7.004769>, <0.086842, -1.005776, 6.984688>, <0.000000, -1.005776, 6.984688>, 
      <0.157895, -1.021332, 7.427933>, <0.157895, -0.943574, 7.403389>, <0.086842, -0.879955, 7.383308>, <0.000000, -0.879955, 7.383308>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <0.000000, -1.257418, 6.187449>, <-0.086842, -1.257418, 6.187449>, <-0.157895, -1.321038, 6.207530>, <-0.157895, -1.398795, 6.232073>, 
      <0.000000, -1.131597, 6.586069>, <-0.086842, -1.131597, 6.586069>, <-0.157895, -1.195217, 6.606150>, <-0.157895, -1.272974, 6.630693>, 
      <0.000000, -1.005776, 6.984688>, <-0.086842, -1.005776, 6.984688>, <-0.157895, -1.069396, 7.004769>, <-0.157895, -1.147153, 7.029313>, 
      <0.000000, -0.879955, 7.383308>, <-0.086842, -0.879955, 7.383308>, <-0.157895, -0.943574, 7.403389>, <-0.157895, -1.021332, 7.427933>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-0.157895, -1.021332, 7.427933>, <-0.157895, -1.099089, 7.452476>, <-0.086842, -1.162709, 7.472557>, <0.000000, -1.162709, 7.472557>, 
      <-0.157895, -0.895511, 7.826552>, <-0.157895, -0.973268, 7.851096>, <-0.086842, -1.036887, 7.871177>, <0.000000, -1.036887, 7.871177>, 
      <-0.157895, -0.769689, 8.225172>, <-0.157895, -0.847447, 8.249715>, <-0.086842, -0.911066, 8.269796>, <0.000000, -0.911066, 8.269796>, 
      <-0.157895, -0.643868, 8.623792>, <-0.157895, -0.721626, 8.648335>, <-0.086842, -0.785245, 8.668416>, <0.000000, -0.785245, 8.668416>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <0.000000, -1.162709, 7.472557>, <0.086842, -1.162709, 7.472557>, <0.157895, -1.099089, 7.452476>, <0.157895, -1.021332, 7.427933>, 
      <0.000000, -1.036887, 7.871177>, <0.086842, -1.036887, 7.871177>, <0.157895, -0.973268, 7.851096>, <0.157895, -0.895511, 7.826552>, 
      <0.000000, -0.911066, 8.269796>, <0.086842, -0.911066, 8.269796>, <0.157895, -0.847447, 8.249715>, <0.157895, -0.769689, 8.225172>, 
      <0.000000, -0.785245, 8.668416>, <0.086842, -0.785245, 8.668416>, <0.157895, -0.721626, 8.648335>, <0.157895, -0.643868, 8.623792>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <0.157895, -1.021332, 7.427933>, <0.157895, -0.943574, 7.403389>, <0.086842, -0.879955, 7.383308>, <0.000000, -0.879955, 7.383308>, 
      <0.157895, -0.895511, 7.826552>, <0.157895, -0.817753, 7.802009>, <0.086842, -0.754134, 7.781928>, <0.000000, -0.754134, 7.781928>, 
      <0.157895, -0.769689, 8.225172>, <0.157895, -0.691932, 8.200629>, <0.086842, -0.628313, 8.180548>, <0.000000, -0.628313, 8.180548>, 
      <0.157895, -0.643868, 8.623792>, <0.157895, -0.566111, 8.599248>, <0.086842, -0.502491, 8.579167>, <0.000000, -0.502491, 8.579167>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <0.000000, -0.879955, 7.383308>, <-0.086842, -0.879955, 7.383308>, <-0.157895, -0.943574, 7.403389>, <-0.157895, -1.021332, 7.427933>, 
      <0.000000, -0.754134, 7.781928>, <-0.086842, -0.754134, 7.781928>, <-0.157895, -0.817753, 7.802009>, <-0.157895, -0.895511, 7.826552>, 
      <0.000000, -0.628313, 8.180548>, <-0.086842, -0.628313, 8.180548>, <-0.157895, -0.691932, 8.200629>, <-0.157895, -0.769689, 8.225172>, 
      <0.000000, -0.502491, 8.579167>, <-0.086842, -0.502491, 8.579167>, <-0.157895, -0.566111, 8.599248>, <-0.157895, -0.643868, 8.623792>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-0.157895, -0.643868, 8.623792>, <-0.157895, -0.721626, 8.648335>, <-0.086842, -0.785245, 8.668416>, <0.000000, -0.785245, 8.668416>, 
      <-0.157895, -0.518047, 9.022411>, <-0.157895, -0.595804, 9.046955>, <-0.086842, -0.659424, 9.067036>, <0.000000, -0.659424, 9.067036>, 
      <-0.157895, -0.173238, 9.242039>, <-0.157895, -0.174971, 9.323247>, <-0.086842, -0.176388, 9.389690>, <0.000000, -0.176388, 9.389690>, 
      <-0.157895, 0.025304, 9.258889>, <-0.157895, 0.022726, 9.341947>, <-0.086842, 0.021309, 9.408390>, <0.000000, 0.022143, 9.406510>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <0.000000, -0.785245, 8.668416>, <0.086842, -0.785245, 8.668416>, <0.157895, -0.721626, 8.648335>, <0.157895, -0.643868, 8.623792>, 
      <0.000000, -0.659424, 9.067036>, <0.086842, -0.659424, 9.067036>, <0.157895, -0.595804, 9.046955>, <0.157895, -0.518047, 9.022411>, 
      <0.000000, -0.176388, 9.389690>, <0.086842, -0.176388, 9.389690>, <0.157895, -0.174971, 9.323247>, <0.157895, -0.173238, 9.242039>, 
      <0.000000, 0.022143, 9.406510>, <0.086842, 0.021309, 9.408390>, <0.157895, 0.022726, 9.341947>, <0.157895, 0.025304, 9.258889>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <0.157895, -0.643868, 8.623792>, <0.157895, -0.566111, 8.599248>, <0.086842, -0.502491, 8.579167>, <0.000000, -0.502491, 8.579167>, 
      <0.157895, -0.518047, 9.022411>, <0.157895, -0.440290, 8.997868>, <0.086842, -0.376670, 8.977787>, <0.000000, -0.376670, 8.977787>, 
      <0.157895, -0.173238, 9.242039>, <0.157895, -0.171506, 9.160831>, <0.086842, -0.170089, 9.094388>, <0.000000, -0.170089, 9.094388>, 
      <0.157895, 0.025304, 9.258889>, <0.157895, 0.026190, 9.179532>, <0.086842, 0.027608, 9.113089>, <0.000000, 0.028466, 9.111268>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <0.000000, -0.502491, 8.579167>, <-0.086842, -0.502491, 8.579167>, <-0.157895, -0.566111, 8.599248>, <-0.157895, -0.643868, 8.623792>, 
      <0.000000, -0.376670, 8.977787>, <-0.086842, -0.376670, 8.977787>, <-0.157895, -0.440290, 8.997868>, <-0.157895, -0.518047, 9.022411>, 
      <0.000000, -0.170089, 9.094388>, <-0.086842, -0.170089, 9.094388>, <-0.157895, -0.171506, 9.160831>, <-0.157895, -0.173238, 9.242039>, 
      <0.000000, 0.028466, 9.111268>, <-0.086842, 0.027608, 9.113089>, <-0.157895, 0.026190, 9.179532>, <-0.157895, 0.025304, 9.258889>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-0.157895, 0.025304, 9.258889>, <-0.157895, 0.022726, 9.341947>, <-0.086842, 0.021309, 9.408390>, <0.000000, 0.022143, 9.406510>, 
      <-0.157895, 0.222155, 9.279440>, <-0.157895, 0.220422, 9.360648>, <-0.086842, 0.219005, 9.427091>, <0.000000, 0.219005, 9.427091>, 
      <-0.157895, 0.409734, 9.284498>, <-0.157895, 0.408036, 9.365586>, <-0.086842, 0.406648, 9.431932>, <0.000000, 0.406648, 9.431932>, 
      <-0.157895, 0.560159, 9.282286>, <-0.157895, 0.556652, 9.365326>, <-0.086842, 0.555981, 9.431754>, <0.000000, 0.558667, 9.429873>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <0.000000, 0.022143, 9.406510>, <0.086842, 0.021309, 9.408390>, <0.157895, 0.022726, 9.341947>, <0.157895, 0.025304, 9.258889>, 
      <0.000000, 0.219005, 9.427091>, <0.086842, 0.219005, 9.427091>, <0.157895, 0.220422, 9.360648>, <0.157895, 0.222155, 9.279440>, 
      <0.000000, 0.406648, 9.431932>, <0.086842, 0.406648, 9.431932>, <0.157895, 0.408036, 9.365586>, <0.157895, 0.409734, 9.284498>, 
      <0.000000, 0.558667, 9.429873>, <0.086842, 0.555981, 9.431754>, <0.157895, 0.556652, 9.365326>, <0.157895, 0.560159, 9.282286>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <0.157895, 0.025304, 9.258889>, <0.157895, 0.026190, 9.179532>, <0.086842, 0.027608, 9.113089>, <0.000000, 0.028466, 9.111268>, 
      <0.157895, 0.222155, 9.279440>, <0.157895, 0.223887, 9.198232>, <0.086842, 0.225304, 9.131789>, <0.000000, 0.225304, 9.131789>, 
      <0.157895, 0.409734, 9.284498>, <0.157895, 0.411432, 9.203409>, <0.086842, 0.412820, 9.137064>, <0.000000, 0.412820, 9.137064>, 
      <0.157895, 0.560159, 9.282286>, <0.157895, 0.558294, 9.202948>, <0.086842, 0.558965, 9.136520>, <0.000000, 0.561651, 9.134698>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <0.000000, 0.028466, 9.111268>, <-0.086842, 0.027608, 9.113089>, <-0.157895, 0.026190, 9.179532>, <-0.157895, 0.025304, 9.258889>, 
      <0.000000, 0.225304, 9.131789>, <-0.086842, 0.225304, 9.131789>, <-0.157895, 0.223887, 9.198232>, <-0.157895, 0.222155, 9.279440>, 
      <0.000000, 0.412820, 9.137064>, <-0.086842, 0.412820, 9.137064>, <-0.157895, 0.411432, 9.203409>, <-0.157895, 0.409734, 9.284498>, 
      <0.000000, 0.561651, 9.134698>, <-0.086842, 0.558965, 9.136520>, <-0.157895, 0.558294, 9.202948>, <-0.157895, 0.560159, 9.282286>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-0.157895, 0.560159, 9.282286>, <-0.157895, 0.556652, 9.365326>, <-0.086842, 0.555981, 9.431754>, <0.000000, 0.558667, 9.429873>, 
      <-0.157895, 0.705212, 9.283776>, <-0.157895, 0.705268, 9.365066>, <-0.086842, 0.705314, 9.431576>, <0.000000, 0.705314, 9.431576>, 
      <-0.157895, 0.903108, 9.283170>, <-0.157895, 0.903164, 9.364460>, <-0.086842, 0.903210, 9.430970>, <0.000000, 0.903210, 9.430970>, 
      <-0.157895, 1.101003, 9.282564>, <-0.157895, 1.101060, 9.363854>, <-0.086842, 1.101105, 9.430364>, <0.000000, 1.101105, 9.430364>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <0.000000, 0.558667, 9.429873>, <0.086842, 0.555981, 9.431754>, <0.157895, 0.556652, 9.365326>, <0.157895, 0.560159, 9.282286>, 
      <0.000000, 0.705314, 9.431576>, <0.086842, 0.705314, 9.431576>, <0.157895, 0.705268, 9.365066>, <0.157895, 0.705212, 9.283776>, 
      <0.000000, 0.903210, 9.430970>, <0.086842, 0.903210, 9.430970>, <0.157895, 0.903164, 9.364460>, <0.157895, 0.903108, 9.283170>, 
      <0.000000, 1.101105, 9.430364>, <0.086842, 1.101105, 9.430364>, <0.157895, 1.101060, 9.363854>, <0.157895, 1.101003, 9.282564>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <0.157895, 0.560159, 9.282286>, <0.157895, 0.558294, 9.202948>, <0.086842, 0.558965, 9.136520>, <0.000000, 0.561651, 9.134698>, 
      <0.157895, 0.705212, 9.283776>, <0.157895, 0.705156, 9.202487>, <0.086842, 0.705110, 9.135977>, <0.000000, 0.705110, 9.135977>, 
      <0.157895, 0.903108, 9.283170>, <0.157895, 0.903052, 9.201881>, <0.086842, 0.903006, 9.135371>, <0.000000, 0.903006, 9.135371>, 
      <0.157895, 1.101003, 9.282564>, <0.157895, 1.100947, 9.201274>, <0.086842, 1.100901, 9.134765>, <0.000000, 1.100901, 9.134765>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <0.000000, 0.561651, 9.134698>, <-0.086842, 0.558965, 9.136520>, <-0.157895, 0.558294, 9.202948>, <-0.157895, 0.560159, 9.282286>, 
      <0.000000, 0.705110, 9.135977>, <-0.086842, 0.705110, 9.135977>, <-0.157895, 0.705156, 9.202487>, <-0.157895, 0.705212, 9.283776>, 
      <0.000000, 0.903006, 9.135371>, <-0.086842, 0.903006, 9.135371>, <-0.157895, 0.903052, 9.201881>, <-0.157895, 0.903108, 9.283170>, 
      <0.000000, 1.100901, 9.134765>, <-0.086842, 1.100901, 9.134765>, <-0.157895, 1.100947, 9.201274>, <-0.157895, 1.101003, 9.282564>
    }
  }
  material {
    Chrome_Metal
  }
  scale 0.3
  rotate <0.0, 24.896627, 90.0>
  translate  <0.32, -1.014243, 0.1>
}
#declare S_Pl = object {
  box { // S_Pl
    <-1, -1, -1>, <1, 1, 1>
    material {
      Aluminum
    }
    scale <0.1, 2.0, 0.5>
    translate  <-1.0, 6.3, -0.6>
  }
}
#declare Ld_Supp = object {
  box { // Ld_Supp
    <-1, -1, -1>, <1, 1, 1>
    material {
      Chrome_Metal
    }
    scale <0.05, 4.0, 0.15>
    translate  <-1.3, 5.0, 0.35>
  }
}
#declare S_Pl2 = object {
  box { // S_Pl2
    <-1, -1, -1>, <1, 1, 1>
    material {
      Aluminum
    }
    scale <0.1, 2.0, 0.2>
    translate  <-1.0, 3.0, -0.9>
  }
}
#declare F_G1 = object {
  cylinder { // F_G1
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome_Metal
    }
    scale <0.0075, 0.0075, 0.325>
    translate  -0.04*x
  }
}
#declare Fan1 = union {
  cylinder { // F_C
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome_Metal
    }
    scale <0.07, 0.07, 0.05>
    rotate -90.0*y
  }
  torus { // Fc1
    0.1075, 0.0075  rotate -x*90
    material {
      Chrome_Metal
    }
    rotate -90.0*y
    translate  -0.04*x
  }
  torus { // Fc2
    0.1475, 0.0075  rotate -x*90
    material {
      Chrome_Metal
    }
    rotate -90.0*y
    translate  -0.04*x
  }
  torus { // Fc3
    0.1875, 0.0075  rotate -x*90
    material {
      Chrome_Metal
    }
    rotate -90.0*y
    translate  -0.04*x
  }
  torus { // Fc4
    0.2275, 0.0075  rotate -x*90
    material {
      Chrome_Metal
    }
    rotate -90.0*y
    translate  -0.04*x
  }
  object { F_G1 }
  object { // F_G2->F_G1
    F_G1
    rotate -45.0*x
  }
  object { // F_G3->F_G1
    F_G1
    rotate -90.0*x
  }
  object { // F_G4->F_G1
    F_G1
    rotate -135.0*x
  }
  object { // F_G5->F_G1
    F_G1
    rotate 180.0*x
  }
  object { // F_G6->F_G1
    F_G1
    rotate 135.0*x
  }
  object { // F_G7->F_G1
    F_G1
    rotate 90.0*x
  }
  object { // F_G8->F_G1
    F_G1
    rotate 45.0*x
  }
  torus { // Fc5
    0.2675, 0.0075  rotate -x*90
    material {
      Chrome_Metal
    }
    rotate -90.0*y
    translate  -0.04*x
  }
  translate  <-0.88, 0.0, 1.0>
}
#declare headlamp = union {
  sphere { // Lens
    <0,0,0>,1
    material {
      Lens_Mat
    }
    scale <0.225, 0.0625, 0.225>
    translate  -0.25*y
  }
  cylinder { // Cylndr002
    <0,0,1>, <0,0,0>, 1 
    material {
      Aluminum
    }
    scale 0.25
    rotate 90.0*x
  }
  sphere { // Sphere21
    <0,0,0>,1
    material {
      Aluminum
    }
    scale <0.25, 0.2, 0.25>
  }
  scale <0.5, 0.9, 0.5>
  translate  <-1.15, -1.2, 0.0>
}
#declare RB_r = object {
  cylinder { // RB_r
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome_Metal
    }
    scale <0.04, 0.03, 1.0>
    rotate <-129.82283, -22.020689, -24.232742>
    translate  <-0.63, -0.07824, 2.112484>
  }
}
#declare LK_B = object {
  box { // LK_B
    <-1, -1, -1>, <1, 1, 1>
    material {
      Chrome_Metal
    }
    scale <0.05, 0.35, 0.1>
    translate  <-1.3, 4.25, 2.3>
  }
}
#declare LK_B2 = object {
  object { // LK_B2->LK_B
    LK_B
    translate  -1.5*z
  }
}
#declare LK_B4 = object {
  object { // LK_B4->LK_B
    LK_B
    translate  2.5*y
  }
}
#declare LK_B6 = object {
  object { // LK_B6->LK_B4
    LK_B4
    translate  -1.5*z
  }
}
#declare LK_B8 = object {
  box { // LK_B8
    <-1, -1, -1>, <1, 1, 1>
    material {
      Chrome_Metal
    }
    scale <0.05, 0.1, 0.15>
    translate  <-1.3, 3.0, 0.55>
  }
}
#declare LK_B10 = object {
  object { // LK_B10->LK_B8
    LK_B8
    translate  2.5*y
  }
}
#declare LK_B12 = object {
  object { // LK_B12->LK_B10
    LK_B10
    translate  2.5*y
  }
}
#declare Light_Cone2 = object {
  cone { // Light_Cone2
    <0,0,0>, 0.0, <0,0,1>, 1.2
    material {
      Light_Tex
    }
    scale <1.0, 1.0, 4.5>
    rotate <-105.0, 0.0, -190.0>
    translate  <-1.15, -1.46, 0.0>
  }
}






//
// ********  OBJECTS  *******
//



object { // Aq_Plant12->Aq_Plant11
  Aq_Plant11
  rotate 0.0*z
  translate  <-6.216353, -48.378422, 0.0>
}


object { Aq_Plant11 }


object { Aq_Plant10 }


object { Aq_Plant9 }


object { Aq_Plant8 }


object { Aq_Plant7 }


object { Aq_Plant6 }


object { Aq_Plant5 }


object { Aq_Plant4 }


object { Aq_Plant3 }


object { Aq_Plant2 }


object { Aq_Plant1 }


box { // R_Sd4
  <-1, -1, -1>, <1, 1, 1>
  scale <0.2, 400.0, 0.1>
  translate  <6.0, 152.5, 0.05>
  material {
    Wh_Granit_Tex
    // Transform to world space
  }
}


box { // R_Sd3
  <-1, -1, -1>, <1, 1, 1>
  scale <0.2, 17.25, 0.1>
  translate  <6.0, -276.75, 0.05>
  material {
    Wh_Granit_Tex
    // Transform to world space
  }
}


box { // R_Sd2
  <-1, -1, -1>, <1, 1, 1>
  scale <0.2, 100.0, 0.1>
  translate  <6.0, -406.0, 0.05>
  material {
    Wh_Granit_Tex
    // Transform to world space
  }
}


box { // R_Sd1
  <-1, -1, -1>, <1, 1, 1>
  scale <0.2, 2000.0, 0.1>
  translate  <-6.0, 0.0, 0.05>
  material {
    Wh_Granit_Tex
    // Transform to world space
  }
}




object { // FB_Fan_Bubbles5->FB_Fan_Bubbles
  FB_Fan_Bubbles
  translate  <-37.053947, -113.375115, -7.204282>
}


#declare b18 = intersection {
  box { // vt13
    <-1, -1, -1>, <1, 1, 1>
    material {
      Red
    }
    scale 0.5
    translate  <0.079182, 7.316959, 3.973508>
  }
  sphere { // blade13
    <0,0,0>,1
    material {
      Red
    }
    scale <0.3, 0.2, 2.0>
    translate  <0.018666, 7.279373, 2.065594>
  }
  material {
    Red
  }
}
#declare b9 = difference {
  sphere { // blade14
    <0,0,0>,1
    material {
      lt_yellow
    }
    scale <0.3, 0.2, 2.0>
    translate  <0.018666, 7.279373, 2.065594>
  }
  box { // vt14
    <-1, -1, -1>, <1, 1, 1>
    material {
      lt_yellow
    }
    scale 0.5
    translate  <0.079182, 7.316959, 3.973508>
  }
}
#declare Blade6 = union {
  object { b18 }
  object { b9 }
  rotate <-0.5388, 0.008118, 0.070007>
}
#declare b19 = intersection {
  box { // vt15
    <-1, -1, -1>, <1, 1, 1>
    material {
      Red
    }
    scale 0.5
    translate  <0.079182, 7.316959, 3.973508>
  }
  sphere { // blade15
    <0,0,0>,1
    material {
      Red
    }
    scale <0.3, 0.2, 2.0>
    translate  <0.018666, 7.279373, 2.065594>
  }
  material {
    Red
  }
}
#declare b20 = difference {
  sphere { // blade16
    <0,0,0>,1
    material {
      lt_yellow
    }
    scale <0.3, 0.2, 2.0>
    translate  <0.018666, 7.279373, 2.065594>
  }
  box { // vt16
    <-1, -1, -1>, <1, 1, 1>
    material {
      lt_yellow
    }
    scale 0.5
    translate  <0.079182, 7.316959, 3.973508>
  }
}
#declare Blade7 = union {
  object { b19 }
  object { b20 }
  rotate <179.461197, -60.008118, -179.929993>
}
#declare b21 = intersection {
  box { // vt17
    <-1, -1, -1>, <1, 1, 1>
    material {
      Red
    }
    scale 0.5
    translate  <0.079182, 7.316959, 3.973508>
  }
  sphere { // blade17
    <0,0,0>,1
    material {
      Red
    }
    scale <0.3, 0.2, 2.0>
    translate  <0.018666, 7.279373, 2.065594>
  }
  material {
    Red
  }
}
#declare b22 = difference {
  sphere { // blade18
    <0,0,0>,1
    material {
      lt_yellow
    }
    scale <0.3, 0.2, 2.0>
    translate  <0.018666, 7.279373, 2.065594>
  }
  box { // vt18
    <-1, -1, -1>, <1, 1, 1>
    material {
      lt_yellow
    }
    scale 0.5
    translate  <0.079182, 7.316959, 3.973508>
  }
}
#declare Blade8 = union {
  object { b21 }
  object { b22 }
  rotate <179.461197, 59.991882, -179.929993>
}
#declare bu2 = union {
  box { // fp62
    <-1, -1, -1>, <1, 1, 1>
    material {
      Chrome_Metal
    }
    scale <0.01, 0.05, 2.4>
    translate  2.8*y
  }
  box { // fp63
    <-1, -1, -1>, <1, 1, 1>
    material {
      Chrome_Metal
    }
    scale <0.01, 0.05, 2.4>
    translate  <0.3, 2.8, 0.0>
  }
  box { // fp64
    <-1, -1, -1>, <1, 1, 1>
    material {
      Chrome_Metal
    }
    scale <0.01, 0.05, 2.4>
    translate  <0.6, 2.8, 0.0>
  }
  box { // fp65
    <-1, -1, -1>, <1, 1, 1>
    material {
      Chrome_Metal
    }
    scale <0.01, 0.05, 2.4>
    translate  <0.9, 2.8, 0.0>
  }
  box { // fp66
    <-1, -1, -1>, <1, 1, 1>
    material {
      Chrome_Metal
    }
    scale <0.01, 0.05, 2.4>
    translate  <1.2, 2.8, 0.0>
  }
  box { // fp67
    <-1, -1, -1>, <1, 1, 1>
    material {
      Chrome_Metal
    }
    scale <0.01, 0.05, 2.4>
    translate  <1.5, 2.8, 0.0>
  }
  box { // fp68
    <-1, -1, -1>, <1, 1, 1>
    material {
      Chrome_Metal
    }
    scale <0.01, 0.05, 2.4>
    translate  <1.8, 2.8, 0.0>
  }
  box { // fp69
    <-1, -1, -1>, <1, 1, 1>
    material {
      Chrome_Metal
    }
    scale <0.01, 0.05, 2.4>
    translate  <2.1, 2.8, 0.0>
  }
  box { // fp70
    <-1, -1, -1>, <1, 1, 1>
    material {
      Chrome_Metal
    }
    scale <0.01, 0.05, 2.4>
    translate  <-0.3, 2.8, 0.0>
  }
  box { // fp71
    <-1, -1, -1>, <1, 1, 1>
    material {
      Chrome_Metal
    }
    scale <0.01, 0.05, 2.4>
    translate  <-0.6, 2.8, 0.0>
  }
  box { // fp72
    <-1, -1, -1>, <1, 1, 1>
    material {
      Chrome_Metal
    }
    scale <0.01, 0.05, 2.4>
    translate  <-0.9, 2.8, 0.0>
  }
  box { // fp73
    <-1, -1, -1>, <1, 1, 1>
    material {
      Chrome_Metal
    }
    scale <0.01, 0.05, 2.4>
    translate  <-1.2, 2.8, 0.0>
  }
  box { // fp74
    <-1, -1, -1>, <1, 1, 1>
    material {
      Chrome_Metal
    }
    scale <0.01, 0.05, 2.4>
    translate  <-1.5, 2.8, 0.0>
  }
  box { // fp75
    <-1, -1, -1>, <1, 1, 1>
    material {
      Chrome_Metal
    }
    scale <0.01, 0.05, 2.4>
    translate  <-1.8, 2.8, 0.0>
  }
  box { // fp76
    <-1, -1, -1>, <1, 1, 1>
    material {
      Chrome_Metal
    }
    scale <0.01, 0.05, 2.4>
    translate  <-2.1, 2.8, 0.0>
  }
  box { // fp77
    <-1, -1, -1>, <1, 1, 1>
    material {
      Chrome_Metal
    }
    scale <0.01, 0.05, 2.4>
    rotate -90.0*y
    translate  2.8*y
  }
  box { // fp78
    <-1, -1, -1>, <1, 1, 1>
    material {
      Chrome_Metal
    }
    scale <0.01, 0.05, 2.4>
    rotate -90.0*y
    translate  <0.0, 2.8, -0.3>
  }
  box { // fp79
    <-1, -1, -1>, <1, 1, 1>
    material {
      Chrome_Metal
    }
    scale <0.01, 0.05, 2.4>
    rotate -90.0*y
    translate  <0.0, 2.8, -0.6>
  }
  box { // fp80
    <-1, -1, -1>, <1, 1, 1>
    material {
      Chrome_Metal
    }
    scale <0.01, 0.05, 2.4>
    rotate -90.0*y
    translate  <0.0, 2.8, -0.9>
  }
  box { // fp81
    <-1, -1, -1>, <1, 1, 1>
    material {
      Chrome_Metal
    }
    scale <0.01, 0.05, 2.4>
    rotate -90.0*y
    translate  <0.0, 2.8, -1.2>
  }
  box { // fp82
    <-1, -1, -1>, <1, 1, 1>
    material {
      Chrome_Metal
    }
    scale <0.01, 0.05, 2.4>
    rotate -90.0*y
    translate  <0.0, 2.8, -1.5>
  }
  box { // fp83
    <-1, -1, -1>, <1, 1, 1>
    material {
      Chrome_Metal
    }
    scale <0.01, 0.05, 2.4>
    rotate -90.0*y
    translate  <0.0, 2.8, -1.8>
  }
  box { // fp84
    <-1, -1, -1>, <1, 1, 1>
    material {
      Chrome_Metal
    }
    scale <0.01, 0.05, 2.4>
    rotate -90.0*y
    translate  <0.0, 2.8, -2.1>
  }
  box { // fp85
    <-1, -1, -1>, <1, 1, 1>
    material {
      Chrome_Metal
    }
    scale <0.01, 0.05, 2.4>
    rotate -90.0*y
    translate  <0.0, 2.8, 0.3>
  }
  box { // fp86
    <-1, -1, -1>, <1, 1, 1>
    material {
      Chrome_Metal
    }
    scale <0.01, 0.05, 2.4>
    rotate -90.0*y
    translate  <0.0, 2.8, 0.6>
  }
  box { // fp87
    <-1, -1, -1>, <1, 1, 1>
    material {
      Chrome_Metal
    }
    scale <0.01, 0.05, 2.4>
    rotate -90.0*y
    translate  <0.0, 2.8, 0.9>
  }
  box { // fp88
    <-1, -1, -1>, <1, 1, 1>
    material {
      Chrome_Metal
    }
    scale <0.01, 0.05, 2.4>
    rotate -90.0*y
    translate  <0.0, 2.8, 1.2>
  }
  box { // fp89
    <-1, -1, -1>, <1, 1, 1>
    material {
      Chrome_Metal
    }
    scale <0.01, 0.05, 2.4>
    rotate -90.0*y
    translate  <0.0, 2.8, 1.5>
  }
  box { // fp90
    <-1, -1, -1>, <1, 1, 1>
    material {
      Chrome_Metal
    }
    scale <0.01, 0.05, 2.4>
    rotate -90.0*y
    translate  <0.0, 2.8, 1.8>
  }
  box { // fp91
    <-1, -1, -1>, <1, 1, 1>
    material {
      Chrome_Metal
    }
    scale <0.01, 0.05, 2.4>
    rotate -90.0*y
    translate  <0.0, 2.8, 2.1>
  }
}
#declare fp92 = intersection {
  cylinder { // fm3
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome_Metal
    }
    scale <2.3, 2.3, 1.0>
    rotate -90.0*x
    translate  2.5*y
  }
  object { bu2 }
  scale <2.0, 2.222222, 2.0>
}
#declare Fan3 = union {
  sphere { // axis_3
    <0,0,0>,1
    material {
      Red
    }
    scale <0.4, 1.2, 0.4>
    translate  8.0*y
  }
  object { Blade6 }
  object { Blade7 }
  object { Blade8 }
  cylinder { // ax15
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome_Metal
    }
    scale <0.44, 0.44, 0.666667>
    rotate -90.0*x
    translate  7.733334*y
  }
  torus { // fpe2
    1.9, 0.1  rotate -x*90
    material {
      whm
    }
    no_shadow
    scale <2.5, 2.5, 2.777778>
    rotate -90.0*x
    translate  6.0*y
  }
  object { fp92 }
  scale 0.6
  rotate -90.0*x
}
union { // A_Fan
  object { Fan3 }
  cone { // F_Base
    <0,0,0>, 4.0, <0,0,1>, 3.0
    open
    material {
      Blue_Steel
    }
    scale <1.0, 1.0, 1.5>
    translate  -5.1*z
  }
  translate  <-11.3, -335.0, 4.8>
}


object { // Bubbles3->Bubbles
  Bubbles
  scale <0.45, 0.3, 0.3>
  rotate <-1.072777, 90.0, 69.972443>
  translate  <-84.313045, -335.848009, 6.58331>
}


object { // Bubbles2->Bubbles1
  Bubbles1
  rotate <0.0, -30.727175, -0.0>
  translate  <1.609656, -1.509322, -1.227952>
}


object { Bubbles1 }




difference { // D_Acc1
  cylinder { // Acc_Ext8
    <0,0,1>, <0,0,0>, 1 
    material {
      Crystal
    }
    scale <2.45, 2.45, 19.0>
    rotate -90.0*x
    translate  <30.0, -283.0, 11.0>
  }
  cylinder { // Acc_Int8
    <0,0,1>, <0,0,0>, 1 
    material {
      Crystal
    }
    scale <2.25, 2.25, 20.0>
    rotate -90.0*x
    translate  <30.0, -283.5, 11.0>
  }
  translate  5.7*y
}


object { // T_Building2->T_Building1
  T_Building1
  rotate 90.0*z
  translate  <-134.0, -150.0, 0.0>
}


object { // Diver1->Diver
  Diver
  rotate -180.0*z
  translate  <15.1, -634.0, 6.25>
}


box { // FB_Road1
  <-1, -1, -1>, <1, 1, 1>
  scale <6.0, 4.0, 0.1>
  rotate -90.0*z
  translate  <10.0, -253.5, 0.0>
  material {
    HWay
    // Transform to world space
  }
}


#declare FB_R_C = merge {
  difference {
    cylinder { <0,0,1>,<0,0,0>, 1   scale <16.0000, 16.0000, 0.2000> }
    cylinder { <0,0,1>,<0,0,0>, 1   scale <4.0000, 4.0000, 0.2040> translate -0.0020*z }
  }
  difference {
    cylinder { <0,0,1>,<0,0,0>, 1   scale <16.0000, 16.0000, 0.2000> translate 0.0000*z }
    cylinder { <0,0,1>,<0,0,0>, 1   scale <4.0000, 4.0000, 0.2040> translate --0.0020*z }
  }
  torus { 4.0000, 0.0000  rotate -x*90 translate  0.2000*z bounded_by { box { <-4.0000, -4.0000, 0.2000>, <4.0000, 4.0000, 0.2000> } } }
  torus { 4.0000, 0.0000  rotate -x*90 translate  0.0000*z bounded_by { box { <-4.0000, -4.0000, 0.0000>, <4.0000, 4.0000, 0.0000> } } }
  translate  <14.0, -243.5, -0.1>
  material {
    HWay
    // Transform to world space
  }
}
intersection { // R_C
  object { FB_R_C }
  box { // RC_I
    <-1, -1, -1>, <1, 1, 1>
    scale <10.0, 10.0, 0.15>
    translate  <24.0, -253.5, 0.0>
    material {
      HWay
      // Transform to world space
    }
  }
}


box { // FB_Road
  <-1, -1, -1>, <1, 1, 1>
  scale <6.0, 1.5, 0.1>
  translate  <24.0, -242.0, 0.0>
  material {
    HWay
    // Transform to world space
  }
}


difference { // D_Acc3
  cylinder { // Acc_Ext7
    <0,0,1>, <0,0,0>, 1 
    material {
      Crystal
    }
    scale <2.45, 2.45, 5.0>
    rotate -90.0*x
    translate  <30.0, -283.0, 11.0>
  }
  cylinder { // Acc_Int7
    <0,0,1>, <0,0,0>, 1 
    material {
      Crystal
    }
    scale <2.25, 2.25, 6.0>
    rotate -90.0*x
    translate  <30.0, -283.5, 11.0>
  }
  rotate 45.0*x
  translate  <0.0, -46.221519, 204.943957>
}


#declare H_Acc_Glass = difference {
  cylinder { // Acc_Ext6
    <0,0,1>, <0,0,0>, 1 
    material {
      Crystal
    }
    scale <2.45, 2.45, 45.0>
    rotate -90.0*x
    translate  <30.0, -283.0, 11.0>
  }
  cylinder { // Acc_Int6
    <0,0,1>, <0,0,0>, 1 
    material {
      Crystal
    }
    scale <2.25, 2.25, 46.0>
    rotate -90.0*x
    translate  <30.0, -283.5, 11.0>
  }
  box { // HT_LD1
    <-1, -1, -1>, <1, 1, 1>
    scale <3.0, 3.2, 3.0>
    translate  <30.0, -246.5, 11.0>
    material {
      Chrome_Metal
      // Transform to world space
      translate  <-260.5, 209.186291, -6.75736>
      rotate 90.0*z
    }
  }
  rotate -90.0*z
  translate  <260.5, -209.186291, 6.75736>
}
#declare HC_Gl_D = difference {
  torus { // Acc_R2
    7.5, 2.45  rotate -x*90
    material {
      Crystal
    }
    translate  <22.5, -238.0, 11.0>
  }
  torus { // Acc_R3
    7.5, 2.25  rotate -x*90
    material {
      Crystal
    }
    translate  <22.5, -238.0, 11.0>
  }
}
#declare Glass_R_I = intersection {
  box { // Acc_R_I5
    <-1, -1, -1>, <1, 1, 1>
    material {
      Crystal
    }
    scale <6.0, 6.0, 4.0>
    translate  <28.5, -232.0, 11.0>
  }
  object { HC_Gl_D }
  translate  <0.0, -8.686291, 6.75736>
}
union { // H_Acc_T_Gl
  object { H_Acc_Glass }
  object { Glass_R_I }
}




object { FB_Fan_Bubbles }


object { Bubbles }


object { T_Building1 }


object { T_Building }




box { // Media_Box
  <-1, -1, -1>, <1, 1, 1>
  hollow
  scale <1000.0, 1000.0, 140.0>
  translate  596.0*y
  material {
    Media_Water_Vol
    // Transform to world space
  }
}


#declare H_Acc = difference {
  cylinder { // Acc_Ext3
    <0,0,1>, <0,0,0>, 1 
    material {
      Blue_Steel
    }
    scale <2.5, 2.5, 45.0>
    rotate -90.0*x
    translate  <30.0, -283.0, 11.0>
  }
  cylinder { // Acc_Int1
    <0,0,1>, <0,0,0>, 1 
    material {
      Blue_Steel
    }
    scale <2.25, 2.25, 46.0>
    rotate -90.0*x
    translate  <30.0, -283.5, 11.0>
  }
  box { // HT_LD
    <-1, -1, -1>, <1, 1, 1>
    scale <3.0, 3.2, 3.0>
    translate  <30.0, -246.5, 11.0>
    material {
      Blue_Steel
      // Transform to world space
      translate  <-260.5, 209.186291, -6.75736>
      rotate 90.0*z
    }
  }
  object { HA_W1 }
  object { HA_W2 }
  object { HA_W3 }
  object { HA_W4 }
  object { // HA_W5->HA_W4
    HA_W4
    translate  -5.5*y
  }
  rotate -90.0*z
  translate  <260.5, -209.186291, 6.75736>
}
#declare Acc_R_I = intersection {
  torus { // Acc_R
    7.5, 2.5  rotate -x*90
    material {
      Blue_Steel
    }
    translate  <22.5, -238.0, 11.0>
  }
  box { // Acc_R_I1
    <-1, -1, -1>, <1, 1, 1>
    material {
      Aluminum
    }
    scale <6.0, 6.0, 4.0>
    translate  <28.5, -232.0, 11.0>
  }
  translate  <0.0, -8.686291, 6.75736>
}
#declare H_Acc_Tube = union {
  object { H_Acc }
  object { Acc_R_I }
}
difference { // H_Acc_Tube_D
  object { H_Acc_Tube }
  object { HA_W6 }
  object { // HA_W8->HA_W6
    HA_W6
    scale <2.0, 2.0, 1.0>
    rotate -0.0*z
    translate  <-13.5, 238.15, 0.0>
  }
}


#declare R_Dif = difference {
  sphere { // React_Ext
    <0,0,0>,1
    scale <6.0, 6.0, 4.0>
    material {
      Blue_Steel
      // Transform to world space
      translate  <-15.0, 332.0, 0.0>
    }
  }
  cone { // R_D
    <0,0,0>, 4.0, <0,0,1>, 6.75
    scale <1.0, 1.0, 2.1>
    translate  2.0*z
    material {
      Blue_Steel
      // Transform to world space
      translate  <-15.0, 332.0, 0.0>
    }
  }
  torus { // RT3
    5.25, 0.25  rotate -x*90
    material {
      Chrome_Metal
    }
    no_shadow
    translate  2.0*z
  }
}
#declare R_Latt = union {
  object { R_Pr }
  object { // R_Pr1->R_Pr
    R_Pr
    rotate <0.0, 0.0, -20.0>
  }
  object { // R_Pr2->R_Pr
    R_Pr
    rotate <0.0, 0.0, -40.0>
    translate  -0.0*y
  }
  object { // R_Pr3->R_Pr
    R_Pr
    rotate <0.0, 0.0, -60.0>
    translate  <-0.0, -0.0, 0.0>
  }
  object { // R_Pr4->R_Pr
    R_Pr
    rotate <0.0, 0.0, -80.0>
    translate  <-0.0, -0.0, 0.0>
  }
  object { // R_Pr5->R_Pr
    R_Pr
    rotate <0.0, 0.0, -100.0>
    translate  <-0.0, -0.0, 0.0>
  }
  object { // R_Pr6->R_Pr
    R_Pr
    rotate <0.0, 0.0, -120.0>
    translate  0.0*y
  }
  object { // R_Pr7->R_Pr
    R_Pr
    rotate <0.0, 0.0, -140.0>
    translate  -0.0*x
  }
  object { // R_Pr8->R_Pr
    R_Pr
    rotate <0.0, 0.0, -160.0>
    translate  <-0.0, 0.0, 0.0>
  }
  object { // R_Pr9->R_Pr
    R_Pr
    rotate <0.0, 0.0, 180.0>
    translate  <0.0, 0.0, 0.0>
  }
  object { // R_Pr10->R_Pr
    R_Pr
    rotate <0.0, 0.0, 160.0>
    translate  0.0*y
  }
  object { // R_Pr11->R_Pr
    R_Pr
    rotate <0.0, 0.0, 140.0>
    translate  <0.0, 0.0, 0.0>
  }
  object { // R_Pr12->R_Pr
    R_Pr
    rotate <0.0, 0.0, 120.0>
    translate  <0.0, 0.0, 0.0>
  }
  object { // R_Pr13->R_Pr
    R_Pr
    rotate <0.0, 0.0, 100.0>
    translate  <0.0, 0.0, 0.0>
  }
  object { // R_Pr15->R_Pr
    R_Pr
    rotate <0.0, 0.0, 60.0>
    translate  <0.0, -0.0, 0.0>
  }
  object { // R_Pr14->R_Pr
    R_Pr
    rotate <0.0, 0.0, 80.0>
    translate  <0.0, 0.0, 0.0>
  }
  object { // R_Pr16->R_Pr
    R_Pr
    rotate <0.0, 0.0, 40.0>
    translate  <0.0, -0.0, 0.0>
  }
  object { // R_Pr17->R_Pr
    R_Pr
    rotate <0.0, 0.0, 20.0>
    translate  <0.0, -0.0, 0.0>
  }
  torus { // RT
    0.925, 0.075  rotate -x*90
    material {
      Chrome_Metal
    }
    no_shadow
    translate  2.5*z
  }
  torus { // RT1
    4.325, 0.075  rotate -x*90
    material {
      Chrome_Metal
    }
    no_shadow
    translate  2.25*z
  }
  torus { // RT2
    2.625, 0.075  rotate -x*90
    material {
      Chrome_Metal
    }
    no_shadow
    translate  2.35*z
  }
}
#declare Pwr = union {
  object { Pwr_C }
  object { Pwr_Qt }
  object { // Pwr_Qt1->Pwr_Qt
    Pwr_Qt
    rotate -0.0*z
    translate  2.0*x
  }
  object { // Pwr_C1->Pwr_C
    Pwr_C
    translate  <2.0, 0.0, 0.0>
  }
  object { Pwr_Qt2 }
  cylinder { // Pwr_C2
    <0,0,1>, <0,0,0>, 1 
    scale <0.15, 0.15, 15.0>
    rotate <-90.0, 0.0, -90.0>
    translate  <-4.55, 14.0, 0.55>
    material {
      Chrome_Metal
      // Transform to world space
      translate  <-15.0, 332.0, 0.0>
    }
  }
  object { // Pwr_Qt3->Pwr_Qt2
    Pwr_Qt2
    rotate -0.0*z
    translate  <2.0, 1.0, 0.0>
  }
  cylinder { // Pwr_C3
    <0,0,1>, <0,0,0>, 1 
    scale <0.15, 0.15, 13.0>
    rotate <-90.0, 0.0, -90.0>
    translate  <-2.55, 15.0, 0.55>
    material {
      Chrome_Metal
      // Transform to world space
      translate  <-15.0, 332.0, 0.0>
    }
  }
  object { Pwr_Qt4 }
  object { // Pwr_Qt5->Pwr_Qt4
    Pwr_Qt4
    rotate <-0.0, -0.0, 0.0>
    translate  <2.0, 0.0, 0.0>
  }
  object { Pwr_C4 }
  object { // Pwr_C5->Pwr_C4
    Pwr_C4
    rotate <0.0, -0.0, -0.0>
    translate  2.0*x
  }
  object { Pwr_Qt6 }
  object { // Pwr_Qt7->Pwr_Qt6
    Pwr_Qt6
    translate  2.0*x
  }
}
#declare Reactor = union {
  object { R_Dif }
  sphere { // Hot_R
    <0,0,0>,1
    material {
      Hot_Tex
    }
    scale <4.0, 4.0, 0.2>
    translate  2.0*z
  }
  sphere { // Hot_R1
    <0,0,0>,1
    material {
      Blue_Steel
    }
    scale <1.0, 1.0, 1.5>
    translate  2.0*z
  }
  object { R_S1 }
  object { // R_S2->R_S1
    R_S1
    rotate <0.0, 0.0, -30.0>
    translate  <0.0, 0.0, -0.0>
  }
  object { // R_S3->R_S1
    R_S1
    rotate <0.0, 0.0, -60.0>
    translate  -0.0*z
  }
  object { // R_S4->R_S1
    R_S1
    rotate <0.0, 0.0, -90.0>
    translate  <0.0, 0.0, -0.0>
  }
  object { // R_S5->R_S1
    R_S1
    rotate <0.0, 0.0, -120.0>
    translate  <0.0, 0.0, -0.0>
  }
  object { // R_S6->R_S1
    R_S1
    rotate <0.0, 0.0, -150.0>
    translate  <0.0, -0.0, -0.0>
  }
  object { // R_S7->R_S1
    R_S1
    rotate <0.0, 0.0, 180.0>
    translate  <0.0, -0.0, -0.0>
  }
  object { // R_S8->R_S1
    R_S1
    rotate <0.0, 0.0, 150.0>
    translate  <-0.0, -0.0, -0.0>
  }
  object { // R_S9->R_S1
    R_S1
    rotate <-0.0, 0.0, 120.0>
    translate  <-0.0, -0.0, -0.0>
  }
  object { // R_S10->R_S1
    R_S1
    rotate <0.0, 0.0, 90.0>
    translate  <-0.0, 0.0, -0.0>
  }
  object { // R_S11->R_S1
    R_S1
    rotate <0.0, 0.0, 60.0>
    translate  <-0.0, 0.0, -0.0>
  }
  object { // R_S12->R_S1
    R_S1
    rotate <0.0, 0.0, 30.0>
    translate  <-0.0, 0.0, -0.0>
  }
  cone { // R_R
    <0,0,0>, 8.5, <0,0,1>, 6.63
    open
    scale <1.0, 1.0, 3.23>
    material {
      Gr_Tex
      // Transform to world space
      translate  <-15.0, 332.0, 0.0>
    }
  }
  object { R_Latt }
  object { R_L1 }
  object { // R_L2->R_L1
    R_L1
    rotate <-0.0, 0.0, -120.0>
    translate  <-0.0, 0.0, -0.0>
  }
  object { // R_L3->R_L1
    R_L1
    rotate <0.0, 0.0, 120.0>
    translate  -0.0*z
  }
  object { Pwr }
}
union { // M_Reactor
  object { Reactor }
  object { Re_L1 }
  object { // Re_L2->Re_L1
    Re_L1
    rotate -120.0*z
  }
  object { // Re_L3->Re_L1
    Re_L1
    rotate 120.0*z
  }
  object { L_Halo1 }
  object { // L_Halo2->L_Halo1
    L_Halo1
    rotate <0.0, -0.0, -120.0>
  }
  object { // L_Halo3->L_Halo1
    L_Halo1
    rotate <0.0, -0.0, 120.0>
    translate  0.0*x
  }
  translate  <15.0, -332.0, 0.0>
}


#declare RndCube001 = merge {
  sphere { <2.5000, 7.0000, 2.5000>, 1.0000 }
  sphere { <2.5000, -7.0000, 2.5000>, 1.0000 }
  sphere { <-2.5000, -7.0000, 2.5000>, 1.0000 }
  sphere { <-2.5000, 7.0000, 2.5000>, 1.0000 }
  sphere { <2.5000, 7.0000, -2.5000>, 1.0000 }
  sphere { <2.5000, -7.0000, -2.5000>, 1.0000 }
  sphere { <-2.5000, -7.0000, -2.5000>, 1.0000 }
  sphere { <-2.5000, 7.0000, -2.5000>, 1.0000 }
  cylinder { <2.5000, 7.0000, 2.5000>, <-2.5000, 7.0000, 2.5000>, 1.0000 }
  cylinder { <2.5000, -7.0000, 2.5000>, <-2.5000, -7.0000, 2.5000>, 1.0000 }
  cylinder { <2.5000, -7.0000, -2.5000>, <-2.5000, -7.0000, -2.5000>, 1.0000 }
  cylinder { <2.5000, 7.0000, -2.5000>, <-2.5000, 7.0000, -2.5000>, 1.0000 }
  cylinder { <2.5000, 7.0000, -2.5000>, <2.5000, 7.0000, 2.5000>, 1.0000 }
  cylinder { <2.5000, -7.0000, -2.5000>, <2.5000, -7.0000, 2.5000>, 1.0000 }
  cylinder { <-2.5000, -7.0000, -2.5000>, <-2.5000, -7.0000, 2.5000>, 1.0000 }
  cylinder { <-2.5000, 7.0000, -2.5000>, <-2.5000, 7.0000, 2.5000>, 1.0000 }
  cylinder { <2.5000, 7.0000, 2.5000>, <2.5000, -7.0000, 2.5000>, 1.0000 }
  cylinder { <2.5000, 7.0000, -2.5000>, <2.5000, -7.0000, -2.5000>, 1.0000 }
  cylinder { <-2.5000, 7.0000, -2.5000>, <-2.5000, -7.0000, -2.5000>, 1.0000 }
  cylinder { <-2.5000, 7.0000, 2.5000>, <-2.5000, -7.0000, 2.5000>, 1.0000 }
  box { <-2.5000, -7.0000, -3.5000> <2.5000, 7.0000, 3.5000> }
  box { <-2.5000, -8.0000, -2.5000> <2.5000, 8.0000, 2.5000> }
  box { <-3.5000, -7.0000, -2.5000> <3.5000, 7.0000, 2.5000> }
// Attributes returned success!
  material {
    Blue_Steel
    // Transform to world space
    translate  <-14.0, 235.0, -17.5>
  }
}
#declare RndCube002 = merge {
  sphere { <2.2500, 6.7500, 2.2500>, 1.0000 }
  sphere { <2.2500, -6.7500, 2.2500>, 1.0000 }
  sphere { <-2.2500, -6.7500, 2.2500>, 1.0000 }
  sphere { <-2.2500, 6.7500, 2.2500>, 1.0000 }
  sphere { <2.2500, 6.7500, -2.2500>, 1.0000 }
  sphere { <2.2500, -6.7500, -2.2500>, 1.0000 }
  sphere { <-2.2500, -6.7500, -2.2500>, 1.0000 }
  sphere { <-2.2500, 6.7500, -2.2500>, 1.0000 }
  cylinder { <2.2500, 6.7500, 2.2500>, <-2.2500, 6.7500, 2.2500>, 1.0000 }
  cylinder { <2.2500, -6.7500, 2.2500>, <-2.2500, -6.7500, 2.2500>, 1.0000 }
  cylinder { <2.2500, -6.7500, -2.2500>, <-2.2500, -6.7500, -2.2500>, 1.0000 }
  cylinder { <2.2500, 6.7500, -2.2500>, <-2.2500, 6.7500, -2.2500>, 1.0000 }
  cylinder { <2.2500, 6.7500, -2.2500>, <2.2500, 6.7500, 2.2500>, 1.0000 }
  cylinder { <2.2500, -6.7500, -2.2500>, <2.2500, -6.7500, 2.2500>, 1.0000 }
  cylinder { <-2.2500, -6.7500, -2.2500>, <-2.2500, -6.7500, 2.2500>, 1.0000 }
  cylinder { <-2.2500, 6.7500, -2.2500>, <-2.2500, 6.7500, 2.2500>, 1.0000 }
  cylinder { <2.2500, 6.7500, 2.2500>, <2.2500, -6.7500, 2.2500>, 1.0000 }
  cylinder { <2.2500, 6.7500, -2.2500>, <2.2500, -6.7500, -2.2500>, 1.0000 }
  cylinder { <-2.2500, 6.7500, -2.2500>, <-2.2500, -6.7500, -2.2500>, 1.0000 }
  cylinder { <-2.2500, 6.7500, 2.2500>, <-2.2500, -6.7500, 2.2500>, 1.0000 }
  box { <-2.2500, -6.7500, -3.2500> <2.2500, 6.7500, 3.2500> }
  box { <-2.2500, -7.7500, -2.2500> <2.2500, 7.7500, 2.2500> }
  box { <-3.2500, -6.7500, -2.2500> <3.2500, 6.7500, 2.2500> }
// Attributes returned success!
  material {
    Blue_Steel
    // Transform to world space
    translate  <-14.0, 235.0, -17.5>
  }
}
#declare LA_Base = difference {
  object { RndCube001 }
  object { RndCube002 }
  box { // LB_D
    <-1, -1, -1>, <1, 1, 1>
    scale <5.0, 8.5, 2.2>
    translate  0.7*z
    material {
      Blue_Steel
      // Transform to world space
      translate  <-14.0, 235.0, -17.5>
    }
  }
}
#declare RndCube003 = merge {
  sphere { <2.5000, 7.0000, 2.5000>, 1.0000 }
  sphere { <2.5000, -7.0000, 2.5000>, 1.0000 }
  sphere { <-2.5000, -7.0000, 2.5000>, 1.0000 }
  sphere { <-2.5000, 7.0000, 2.5000>, 1.0000 }
  sphere { <2.5000, 7.0000, -2.5000>, 1.0000 }
  sphere { <2.5000, -7.0000, -2.5000>, 1.0000 }
  sphere { <-2.5000, -7.0000, -2.5000>, 1.0000 }
  sphere { <-2.5000, 7.0000, -2.5000>, 1.0000 }
  cylinder { <2.5000, 7.0000, 2.5000>, <-2.5000, 7.0000, 2.5000>, 1.0000 }
  cylinder { <2.5000, -7.0000, 2.5000>, <-2.5000, -7.0000, 2.5000>, 1.0000 }
  cylinder { <2.5000, -7.0000, -2.5000>, <-2.5000, -7.0000, -2.5000>, 1.0000 }
  cylinder { <2.5000, 7.0000, -2.5000>, <-2.5000, 7.0000, -2.5000>, 1.0000 }
  cylinder { <2.5000, 7.0000, -2.5000>, <2.5000, 7.0000, 2.5000>, 1.0000 }
  cylinder { <2.5000, -7.0000, -2.5000>, <2.5000, -7.0000, 2.5000>, 1.0000 }
  cylinder { <-2.5000, -7.0000, -2.5000>, <-2.5000, -7.0000, 2.5000>, 1.0000 }
  cylinder { <-2.5000, 7.0000, -2.5000>, <-2.5000, 7.0000, 2.5000>, 1.0000 }
  cylinder { <2.5000, 7.0000, 2.5000>, <2.5000, -7.0000, 2.5000>, 1.0000 }
  cylinder { <2.5000, 7.0000, -2.5000>, <2.5000, -7.0000, -2.5000>, 1.0000 }
  cylinder { <-2.5000, 7.0000, -2.5000>, <-2.5000, -7.0000, -2.5000>, 1.0000 }
  cylinder { <-2.5000, 7.0000, 2.5000>, <-2.5000, -7.0000, 2.5000>, 1.0000 }
  box { <-2.5000, -7.0000, -3.5000> <2.5000, 7.0000, 3.5000> }
  box { <-2.5000, -8.0000, -2.5000> <2.5000, 8.0000, 2.5000> }
  box { <-3.5000, -7.0000, -2.5000> <3.5000, 7.0000, 2.5000> }
// Attributes returned success!
  material {
    Crystal
    // Transform to world space
    translate  <-14.0, 235.0, -17.5>
  }
}
#declare RndCube004 = merge {
  sphere { <2.2500, 6.7500, 2.2500>, 1.0000 }
  sphere { <2.2500, -6.7500, 2.2500>, 1.0000 }
  sphere { <-2.2500, -6.7500, 2.2500>, 1.0000 }
  sphere { <-2.2500, 6.7500, 2.2500>, 1.0000 }
  sphere { <2.2500, 6.7500, -2.2500>, 1.0000 }
  sphere { <2.2500, -6.7500, -2.2500>, 1.0000 }
  sphere { <-2.2500, -6.7500, -2.2500>, 1.0000 }
  sphere { <-2.2500, 6.7500, -2.2500>, 1.0000 }
  cylinder { <2.2500, 6.7500, 2.2500>, <-2.2500, 6.7500, 2.2500>, 1.0000 }
  cylinder { <2.2500, -6.7500, 2.2500>, <-2.2500, -6.7500, 2.2500>, 1.0000 }
  cylinder { <2.2500, -6.7500, -2.2500>, <-2.2500, -6.7500, -2.2500>, 1.0000 }
  cylinder { <2.2500, 6.7500, -2.2500>, <-2.2500, 6.7500, -2.2500>, 1.0000 }
  cylinder { <2.2500, 6.7500, -2.2500>, <2.2500, 6.7500, 2.2500>, 1.0000 }
  cylinder { <2.2500, -6.7500, -2.2500>, <2.2500, -6.7500, 2.2500>, 1.0000 }
  cylinder { <-2.2500, -6.7500, -2.2500>, <-2.2500, -6.7500, 2.2500>, 1.0000 }
  cylinder { <-2.2500, 6.7500, -2.2500>, <-2.2500, 6.7500, 2.2500>, 1.0000 }
  cylinder { <2.2500, 6.7500, 2.2500>, <2.2500, -6.7500, 2.2500>, 1.0000 }
  cylinder { <2.2500, 6.7500, -2.2500>, <2.2500, -6.7500, -2.2500>, 1.0000 }
  cylinder { <-2.2500, 6.7500, -2.2500>, <-2.2500, -6.7500, -2.2500>, 1.0000 }
  cylinder { <-2.2500, 6.7500, 2.2500>, <-2.2500, -6.7500, 2.2500>, 1.0000 }
  box { <-2.2500, -6.7500, -3.2500> <2.2500, 6.7500, 3.2500> }
  box { <-2.2500, -7.7500, -2.2500> <2.2500, 7.7500, 2.2500> }
  box { <-3.2500, -6.7500, -2.2500> <3.2500, 6.7500, 2.2500> }
// Attributes returned success!
  material {
    Crystal
    // Transform to world space
    translate  <-14.0, 235.0, -17.5>
  }
}
#declare LA_Wnd = difference {
  object { RndCube003 }
  object { RndCube004 }
  box { // LB_D1
    <-1, -1, -1>, <1, 1, 1>
    scale <5.0, 8.5, 3.0>
    translate  -4.5*z
    material {
      Blue_Steel
      // Transform to world space
      translate  <-14.0, 235.0, -17.5>
    }
  }
  box { // LB_D2
    <-1, -1, -1>, <1, 1, 1>
    scale <5.0, 8.5, 3.0>
    translate  5.9*z
    material {
      Blue_Steel
      // Transform to world space
      translate  <-14.0, 235.0, -17.5>
    }
  }
}
union { // Lift_Acc
  object { LA_Base }
  object { LA_Wnd }
  cone { // Sl
    <0,0,0>, 3.0, <0,0,1>, 2.5
    material {
      Chrome_Metal
    }
    scale <1.0, 1.0, 0.3>
    translate  <0.0, 4.0, 3.5>
  }
  cone { // Sl1
    <0,0,0>, 2.5, <0,0,1>, 3.0
    material {
      Chrome_Metal
    }
    scale <1.0, 1.0, 0.3>
    translate  <0.0, 4.0, -3.8>
  }
  cylinder { // L_Door
    <0,0,1>, <0,0,0>, 1 
    scale <3.0, 3.0, 7.0>
    translate  <0.0, 4.0, -3.5>
    material {
      Chrome_Metal
      // Transform to world space
      translate  <-14.0, 235.0, -17.5>
    }
  }
  translate  <14.0, -235.0, 17.5>
}


#declare FB_U = union {
  superellipsoid { // SuperQ001
    <0.1, 2.0>
    scale <25.0, 25.0, 70.0>
    material {
      Granit_DO
      // Transform to world space
      translate  <-35.0, 210.0, 0.0>
    }
  }
}
#declare FB_Dif = difference {
  object { FB_U }
  box { // Roof
    <-1, -1, -1>, <1, 1, 1>
    scale <30.0, 30.0, 35.0>
    translate  43.0*z
    material {
      Granit_DO
      // Transform to world space
      translate  <-35.0, 210.0, 0.0>
    }
  }
  object { Wnd1 }
  object { Wnd2 }
  box { // Door
    <-1, -1, -1>, <1, 1, 1>
    scale <6.0, 5.0, 3.0>
    rotate -10.0*x
    translate  <-11.0, -23.498364, 3.995486>
    material {
      Granit_DO
      // Transform to world space
      translate  <-35.0, 210.0, 0.0>
    }
  }
  object { Wnd3 }
  object { Wnd4 }
  object { Wnd5 }
  object { Wnd6 }
  object { Wnd7 }
  object { // Wnd8->Wnd3
    Wnd3
    scale <-1.0, 1.0, 1.0>
    rotate <-0.0, 0.0, -0.0>
    translate  0.0*x
  }
  object { Wnd9 }
  object { // Wnd10->Wnd4
    Wnd4
    scale <-1.0, 1.0, 1.0>
  }
  object { // Wnd11->Wnd6
    Wnd6
    scale <-1.0, 1.0, 1.0>
  }
  object { // Wnd12->Wnd5
    Wnd5
    scale <-1.0, 1.0, 1.0>
  }
  object { // Wnd13->Wnd7
    Wnd7
    scale <-1.0, 1.0, 1.0>
  }
  object { // Wnd14->Wnd1
    Wnd1
    scale <1.0, -1.0, 1.0>
    rotate -0.0*x
  }
  object { Wnd15 }
  object { Wnd16 }
  object { // Wnd17->Wnd15
    Wnd15
    scale <-1.0, 1.0, 1.0>
  }
  object { // Wnd18->Wnd16
    Wnd16
    scale <-1.0, 1.0, 1.0>
  }
  cylinder { // Fan_Loc
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome_Metal
    }
    scale <2.9, 2.9, 2.0>
    translate  <-9.8, -11.0, 6.5>
  }
}
#declare FB_Wnd = difference {
  superellipsoid { // Wnd
    <0.1, 2.0>
    scale <24.4, 24.4, 66.0>
    material {
      Black_Glass
      // Transform to world space
      translate  <-35.0, 210.0, 0.0>
    }
  }
  box { // Roof1
    <-1, -1, -1>, <1, 1, 1>
    scale <30.0, 30.0, 35.0>
    translate  42.9*z
    material {
      Granit_DO
      // Transform to world space
      translate  <-35.0, 210.0, 0.0>
    }
  }
  cylinder { // Fan_Loc1
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome_Metal
    }
    scale <2.9, 2.9, 2.0>
    translate  <-9.8, -11.0, 6.5>
  }
}
#declare b13 = intersection {
  box { // vt7
    <-1, -1, -1>, <1, 1, 1>
    material {
      Red
    }
    scale 0.5
    translate  <0.079182, 7.316959, 3.973508>
  }
  sphere { // blade7
    <0,0,0>,1
    material {
      Red
    }
    scale <0.3, 0.2, 2.0>
    translate  <0.018666, 7.279373, 2.065594>
  }
  material {
    Red
  }
}
#declare b2 = difference {
  sphere { // blade8
    <0,0,0>,1
    material {
      lt_yellow
    }
    scale <0.3, 0.2, 2.0>
    translate  <0.018666, 7.279373, 2.065594>
  }
  box { // vt8
    <-1, -1, -1>, <1, 1, 1>
    material {
      lt_yellow
    }
    scale 0.5
    translate  <0.079182, 7.316959, 3.973508>
  }
}
#declare Blade3 = union {
  object { b13 }
  object { b2 }
  rotate <-0.5388, 0.008118, 0.070007>
}
#declare b14 = intersection {
  box { // vt9
    <-1, -1, -1>, <1, 1, 1>
    material {
      Red
    }
    scale 0.5
    translate  <0.079182, 7.316959, 3.973508>
  }
  sphere { // blade9
    <0,0,0>,1
    material {
      Red
    }
    scale <0.3, 0.2, 2.0>
    translate  <0.018666, 7.279373, 2.065594>
  }
  material {
    Red
  }
}
#declare b15 = difference {
  sphere { // blade10
    <0,0,0>,1
    material {
      lt_yellow
    }
    scale <0.3, 0.2, 2.0>
    translate  <0.018666, 7.279373, 2.065594>
  }
  box { // vt10
    <-1, -1, -1>, <1, 1, 1>
    material {
      lt_yellow
    }
    scale 0.5
    translate  <0.079182, 7.316959, 3.973508>
  }
}
#declare Blade4 = union {
  object { b14 }
  object { b15 }
  rotate <179.461197, -60.008118, -179.929993>
}
#declare b16 = intersection {
  box { // vt11
    <-1, -1, -1>, <1, 1, 1>
    material {
      Red
    }
    scale 0.5
    translate  <0.079182, 7.316959, 3.973508>
  }
  sphere { // blade11
    <0,0,0>,1
    material {
      Red
    }
    scale <0.3, 0.2, 2.0>
    translate  <0.018666, 7.279373, 2.065594>
  }
  material {
    Red
  }
}
#declare b17 = difference {
  sphere { // blade12
    <0,0,0>,1
    material {
      lt_yellow
    }
    scale <0.3, 0.2, 2.0>
    translate  <0.018666, 7.279373, 2.065594>
  }
  box { // vt12
    <-1, -1, -1>, <1, 1, 1>
    material {
      lt_yellow
    }
    scale 0.5
    translate  <0.079182, 7.316959, 3.973508>
  }
}
#declare Blade5 = union {
  object { b16 }
  object { b17 }
  rotate <179.461197, 59.991882, -179.929993>
}
#declare bu1 = union {
  box { // fp31
    <-1, -1, -1>, <1, 1, 1>
    material {
      Chrome_Metal
    }
    scale <0.01, 0.05, 2.4>
    translate  2.8*y
  }
  box { // fp32
    <-1, -1, -1>, <1, 1, 1>
    material {
      Chrome_Metal
    }
    scale <0.01, 0.05, 2.4>
    translate  <0.3, 2.8, 0.0>
  }
  box { // fp33
    <-1, -1, -1>, <1, 1, 1>
    material {
      Chrome_Metal
    }
    scale <0.01, 0.05, 2.4>
    translate  <0.6, 2.8, 0.0>
  }
  box { // fp34
    <-1, -1, -1>, <1, 1, 1>
    material {
      Chrome_Metal
    }
    scale <0.01, 0.05, 2.4>
    translate  <0.9, 2.8, 0.0>
  }
  box { // fp35
    <-1, -1, -1>, <1, 1, 1>
    material {
      Chrome_Metal
    }
    scale <0.01, 0.05, 2.4>
    translate  <1.2, 2.8, 0.0>
  }
  box { // fp36
    <-1, -1, -1>, <1, 1, 1>
    material {
      Chrome_Metal
    }
    scale <0.01, 0.05, 2.4>
    translate  <1.5, 2.8, 0.0>
  }
  box { // fp37
    <-1, -1, -1>, <1, 1, 1>
    material {
      Chrome_Metal
    }
    scale <0.01, 0.05, 2.4>
    translate  <1.8, 2.8, 0.0>
  }
  box { // fp38
    <-1, -1, -1>, <1, 1, 1>
    material {
      Chrome_Metal
    }
    scale <0.01, 0.05, 2.4>
    translate  <2.1, 2.8, 0.0>
  }
  box { // fp39
    <-1, -1, -1>, <1, 1, 1>
    material {
      Chrome_Metal
    }
    scale <0.01, 0.05, 2.4>
    translate  <-0.3, 2.8, 0.0>
  }
  box { // fp40
    <-1, -1, -1>, <1, 1, 1>
    material {
      Chrome_Metal
    }
    scale <0.01, 0.05, 2.4>
    translate  <-0.6, 2.8, 0.0>
  }
  box { // fp41
    <-1, -1, -1>, <1, 1, 1>
    material {
      Chrome_Metal
    }
    scale <0.01, 0.05, 2.4>
    translate  <-0.9, 2.8, 0.0>
  }
  box { // fp42
    <-1, -1, -1>, <1, 1, 1>
    material {
      Chrome_Metal
    }
    scale <0.01, 0.05, 2.4>
    translate  <-1.2, 2.8, 0.0>
  }
  box { // fp43
    <-1, -1, -1>, <1, 1, 1>
    material {
      Chrome_Metal
    }
    scale <0.01, 0.05, 2.4>
    translate  <-1.5, 2.8, 0.0>
  }
  box { // fp44
    <-1, -1, -1>, <1, 1, 1>
    material {
      Chrome_Metal
    }
    scale <0.01, 0.05, 2.4>
    translate  <-1.8, 2.8, 0.0>
  }
  box { // fp45
    <-1, -1, -1>, <1, 1, 1>
    material {
      Chrome_Metal
    }
    scale <0.01, 0.05, 2.4>
    translate  <-2.1, 2.8, 0.0>
  }
  box { // fp46
    <-1, -1, -1>, <1, 1, 1>
    material {
      Chrome_Metal
    }
    scale <0.01, 0.05, 2.4>
    rotate -90.0*y
    translate  2.8*y
  }
  box { // fp47
    <-1, -1, -1>, <1, 1, 1>
    material {
      Chrome_Metal
    }
    scale <0.01, 0.05, 2.4>
    rotate -90.0*y
    translate  <0.0, 2.8, -0.3>
  }
  box { // fp48
    <-1, -1, -1>, <1, 1, 1>
    material {
      Chrome_Metal
    }
    scale <0.01, 0.05, 2.4>
    rotate -90.0*y
    translate  <0.0, 2.8, -0.6>
  }
  box { // fp49
    <-1, -1, -1>, <1, 1, 1>
    material {
      Chrome_Metal
    }
    scale <0.01, 0.05, 2.4>
    rotate -90.0*y
    translate  <0.0, 2.8, -0.9>
  }
  box { // fp50
    <-1, -1, -1>, <1, 1, 1>
    material {
      Chrome_Metal
    }
    scale <0.01, 0.05, 2.4>
    rotate -90.0*y
    translate  <0.0, 2.8, -1.2>
  }
  box { // fp51
    <-1, -1, -1>, <1, 1, 1>
    material {
      Chrome_Metal
    }
    scale <0.01, 0.05, 2.4>
    rotate -90.0*y
    translate  <0.0, 2.8, -1.5>
  }
  box { // fp52
    <-1, -1, -1>, <1, 1, 1>
    material {
      Chrome_Metal
    }
    scale <0.01, 0.05, 2.4>
    rotate -90.0*y
    translate  <0.0, 2.8, -1.8>
  }
  box { // fp53
    <-1, -1, -1>, <1, 1, 1>
    material {
      Chrome_Metal
    }
    scale <0.01, 0.05, 2.4>
    rotate -90.0*y
    translate  <0.0, 2.8, -2.1>
  }
  box { // fp54
    <-1, -1, -1>, <1, 1, 1>
    material {
      Chrome_Metal
    }
    scale <0.01, 0.05, 2.4>
    rotate -90.0*y
    translate  <0.0, 2.8, 0.3>
  }
  box { // fp55
    <-1, -1, -1>, <1, 1, 1>
    material {
      Chrome_Metal
    }
    scale <0.01, 0.05, 2.4>
    rotate -90.0*y
    translate  <0.0, 2.8, 0.6>
  }
  box { // fp56
    <-1, -1, -1>, <1, 1, 1>
    material {
      Chrome_Metal
    }
    scale <0.01, 0.05, 2.4>
    rotate -90.0*y
    translate  <0.0, 2.8, 0.9>
  }
  box { // fp57
    <-1, -1, -1>, <1, 1, 1>
    material {
      Chrome_Metal
    }
    scale <0.01, 0.05, 2.4>
    rotate -90.0*y
    translate  <0.0, 2.8, 1.2>
  }
  box { // fp58
    <-1, -1, -1>, <1, 1, 1>
    material {
      Chrome_Metal
    }
    scale <0.01, 0.05, 2.4>
    rotate -90.0*y
    translate  <0.0, 2.8, 1.5>
  }
  box { // fp59
    <-1, -1, -1>, <1, 1, 1>
    material {
      Chrome_Metal
    }
    scale <0.01, 0.05, 2.4>
    rotate -90.0*y
    translate  <0.0, 2.8, 1.8>
  }
  box { // fp60
    <-1, -1, -1>, <1, 1, 1>
    material {
      Chrome_Metal
    }
    scale <0.01, 0.05, 2.4>
    rotate -90.0*y
    translate  <0.0, 2.8, 2.1>
  }
}
#declare fp61 = intersection {
  cylinder { // fm2
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome_Metal
    }
    scale <2.3, 2.3, 1.0>
    rotate -90.0*x
    translate  2.5*y
  }
  object { bu1 }
  scale <2.0, 2.222222, 2.0>
}
#declare Fan = union {
  sphere { // axis_2
    <0,0,0>,1
    material {
      Red
    }
    scale <0.4, 1.2, 0.4>
    translate  8.0*y
  }
  object { Blade3 }
  object { Blade4 }
  object { Blade5 }
  cylinder { // ax14
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome_Metal
    }
    scale <0.44, 0.44, 0.666667>
    rotate -90.0*x
    translate  7.733334*y
  }
  torus { // fpe1
    1.9, 0.1  rotate -x*90
    material {
      whm
    }
    no_shadow
    scale <2.5, 2.5, 2.777778>
    rotate -90.0*x
    translate  6.0*y
  }
  object { fp61 }
  scale 0.6
  rotate -90.0*x
  translate  <-9.8, -11.0, 11.6>
}
#declare A_Plane = difference {
  box { // Acc_Plane
    <-1, -1, -1>, <1, 1, 1>
    scale <6.0, 3.0, 1.0>
    material {
      Chrome_Metal
      // Transform to world space
      translate  <11.0, 27.372886, 0.363654>
      rotate -10.0*x
      translate  <-35.0, 210.0, 0.0>
    }
  }
  object { AP_I }
  object { AP_I1 }
  object { // AP_I2->AP_I1
    AP_I1
    translate  -2.0*y
  }
  rotate 10.0*x
  translate  <-11.0, -27.372886, -0.363654>
}
#declare FB_Acc_Door = difference {
  box { // Main_Door
    <-1, -1, -1>, <1, 1, 1>
    scale <6.0, 0.2, 3.3>
    rotate -20.0*x
    translate  <-11.0, -22.964495, 3.83859>
    material {
      Chrome_Metal
      // Transform to world space
      translate  <-35.0, 210.0, 0.0>
    }
  }
  box { // D_Sl
    <-1, -1, -1>, <1, 1, 1>
    scale <6.0, 0.3, 0.075>
    rotate -20.0*x
    translate  <-11.0, -22.964495, 3.83859>
    material {
      Chrome_Metal
      // Transform to world space
      translate  <-35.0, 210.0, 0.0>
    }
  }
}
union { // Flat_Building
  object { FB_Dif }
  object { FB_Wnd }
  object { Fan }
  object { A_Plane }
  object { W_Lamp }
  object { // W_Lamp1->W_Lamp
    W_Lamp
    translate  10.0*x
  }
  object { FB_Acc_Door }
  cylinder { // LT_Base
    <0,0,1>, <0,0,0>, 1 
    scale <2.8, 2.8, 8.0>
    translate  <-21.0, -21.0, 0.0>
    material {
      Granit_DO
      // Transform to world space
      translate  <-35.0, 210.0, 0.0>
    }
  }
  cone { // LT_J
    <0,0,0>, 2.8, <0,0,1>, 2.5
    material {
      Chrome_Metal
    }
    scale <1.0, 1.0, 0.3>
    translate  <-21.0, -21.0, 8.0>
  }
  translate  <35.0, -210.0, 0.0>
}


object { // Submarine2->Submarine
  Submarine
  rotate -85.0*z
  translate  <337.155938, -242.295013, 9.0>
}


difference { // Lift_Tube
  cylinder { // Acc_Ext5
    <0,0,1>, <0,0,0>, 1 
    material {
      Blue_Steel
    }
    scale <2.5, 2.5, 45.0>
    rotate -90.0*x
    translate  <30.0, -283.0, 11.0>
  }
  cylinder { // Acc_Int5
    <0,0,1>, <0,0,0>, 1 
    material {
      Blue_Steel
    }
    scale <2.25, 2.25, 46.0>
    rotate -90.0*x
    translate  <30.0, -283.5, 11.0>
  }
  rotate -90.0*x
  translate  <-16.0, -242.0, -240.0>
}


object { // C46->C45
  C45
  rotate -180.0*x
  translate  <0.0, -504.686292, 28.757359>
}


difference { // D_Acc2
  cylinder { // Acc_Ext4
    <0,0,1>, <0,0,0>, 1 
    material {
      Blue_Steel
    }
    scale <2.5, 2.5, 5.0>
    rotate -90.0*x
    translate  <30.0, -283.0, 11.0>
  }
  cylinder { // Acc_Int4
    <0,0,1>, <0,0,0>, 1 
    material {
      Blue_Steel
    }
    scale <2.25, 2.25, 6.0>
    rotate -90.0*x
    translate  <30.0, -283.5, 11.0>
  }
  box { // HA_W7
    <-1, -1, -1>, <1, 1, 1>
    scale <3.0, 2.5, 1.2>
    translate  <30.0, -280.500874, 12.035796>
    material {
      Blue_Steel
      // Transform to world space
      translate  <0.0, 46.221519, -204.943957>
      rotate -45.0*x
    }
  }
  rotate 45.0*x
  translate  <0.0, -46.221519, 204.943957>
}


object { C45 }


difference { // D_Acc
  cylinder { // Acc_Ext
    <0,0,1>, <0,0,0>, 1 
    material {
      Blue_Steel
    }
    scale <2.5, 2.5, 25.0>
    rotate -90.0*x
    translate  <30.0, -283.0, 11.0>
  }
  sphere { // Dome_int1
    <0,0,0>,1
    material {
      Blue_Steel
    }
    scale <29.5, 29.5, 19.5>
    translate  <42.0, -300.0, 0.0>
  }
  cylinder { // Acc_Int
    <0,0,1>, <0,0,0>, 1 
    material {
      Blue_Steel
    }
    scale <2.25, 2.25, 26.0>
    rotate -90.0*x
    translate  <30.0, -283.5, 11.0>
  }
  object { HA_W9 }
  object { HA_W10 }
  object { // HA_W11->HA_W10
    HA_W10
    translate  -5.5*y
  }
}


object { // Submarine1->Submarine
  Submarine
  rotate -53.0*z
  translate  <303.234441, -77.369846, 7.1>
}


object { Submarine }


box { // Side_Road_1
  <-1, -1, -1>, <1, 1, 1>
  scale <6.0, 4.0, 0.1>
  rotate -90.0*z
  translate  <10.0, -300.0, 0.0>
  material {
    HWay
    // Transform to world space
  }
}


plane { // SeaBed
  z,0
  scale <1000.0, 1000.0, 1.0>
  material {
    SandstP
    // Transform to world space
  }
}




#declare Acc_U1 = union {
  cylinder { // Acc_T3
    <0,0,1>, <0,0,0>, 1 
    scale <5.0, 5.0, 15.0>
    rotate -90.0*y
    translate  <-16.0, 0.0, 3.0>
    material {
      Blue_Steel
      // Transform to world space
      translate  0.3*z
      scale <1.0/1.0, 1.0/1.1, 1.0/1.1>
      translate  <-42.0, 300.0, 0.0>
    }
  }
  box { // Acc_C1
    <-1, -1, -1>, <1, 1, 1>
    material {
      Blue_Steel
    }
    scale <7.5, 5.0, 3.0>
    translate  -23.5*x
  }
  scale <1.0, 1.1, 1.1>
  translate  -0.3*z
}
#declare D_Acc_J = difference {
  cylinder { // Acc_Ext1
    <0,0,1>, <0,0,0>, 1 
    material {
      Blue_Steel
    }
    scale <3.0, 3.0, 15.0>
    rotate -90.0*x
    translate  <-12.0, 16.0, 11.0>
  }
  cylinder { // Acc_Int2
    <0,0,1>, <0,0,0>, 1 
    material {
      Blue_Steel
    }
    scale <2.25, 2.25, 16.0>
    rotate -90.0*x
    translate  <-12.0, 15.5, 11.0>
  }
}
#declare DS_Dif = difference {
  box { // D_Supp
    <-1, -1, -1>, <1, 1, 1>
    scale <30.0, 16.0, 0.7>
    translate  <0.0, 16.0, 10.0>
  }
  cylinder { // Acc_Int3
    <0,0,1>, <0,0,0>, 1 
    material {
      Blue_Steel
    }
    scale <2.25, 2.25, 16.0>
    rotate -90.0*x
    translate  <-12.0, 15.5, 11.0>
  }
}
#declare D_Dif = difference {
  box { // D_Base1
    <-1, -1, -1>, <1, 1, 1>
    scale <40.0, 40.0, 8.0>
    translate  10.0*z
  }
  object { D_Arc1 }
  object { // D_Arc2->D_Arc1
    D_Arc1
    rotate -120.0*z
  }
  object { // D_Arc3->D_Arc1
    D_Arc1
    rotate 120.0*z
    translate  <-0.0, 0.0, 0.0>
  }
  object { Acc_U1 }
  object { D_Acc_J }
  object { DS_Dif }
}
#declare Dome = difference {
  sphere { // Dome_Ext
    <0,0,0>,1
    scale <30.0, 30.0, 20.0>
  }
  box { // D_Base
    <-1, -1, -1>, <1, 1, 1>
    scale <60.0, 60.0, 20.0>
    translate  -20.0*z
  }
  object { D_Dif }
  sphere { // Dome_int
    <0,0,0>,1
    scale <29.5, 29.5, 19.5>
  }
  material {
    Blue_Steel
    // Transform to world space
    translate  <-42.0, 300.0, 0.0>
  }
}
#declare Dome_Wnd = difference {
  sphere { // Dome_Ext_Wnd
    <0,0,0>,1
    scale <29.75, 29.75, 19.75>
  }
  sphere { // Dome_Int_Wnd
    <0,0,0>,1
    scale <29.5, 29.5, 19.5>
  }
  cylinder { // Acc_Ext2
    <0,0,1>, <0,0,0>, 1 
    material {
      Blue_Steel
    }
    scale <3.0, 3.0, 15.0>
    rotate -90.0*x
    translate  <-12.0, 16.0, 11.0>
  }
  material {
    Crystal
  }
}
#declare Water = difference {
  sphere { // Dome_int_Water
    <0,0,0>,1
    material {
      Quiet_Water_Vol
    }
    scale <29.5, 29.5, 19.5>
  }
  box { // W_Surf
    <-1, -1, -1>, <1, 1, 1>
    scale <40.0, 40.0, 8.0>
    translate  18.0*z
    material {
      ocean_color
      // Transform to world space
      translate  <-42.0, 300.0, 0.0>
    }
  }
}
#declare Acc_U = union {
  cylinder { // Acc_T
    <0,0,1>, <0,0,0>, 1 
    scale <5.0, 5.0, 15.0>
    rotate -90.0*y
    translate  <-16.0, 0.0, 3.0>
    material {
      Blue_Steel
      // Transform to world space
      translate  <-42.0, 300.0, 0.0>
    }
  }
  box { // Acc_C
    <-1, -1, -1>, <1, 1, 1>
    material {
      Blue_Steel
    }
    scale <7.5, 5.0, 3.0>
    translate  -23.5*x
  }
}
#declare Access_T = difference {
  object { Acc_U }
  cylinder { // Acc_T1
    <0,0,1>, <0,0,0>, 1 
    scale <4.7, 4.7, 15.5>
    rotate -90.0*y
    translate  <-15.75, 0.0, 3.0>
    material {
      Blue_Steel
      // Transform to world space
      translate  <-42.0, 300.0, 0.0>
    }
  }
}
#declare Dome_Floor = difference {
  cylinder { // Dome_Base
    <0,0,1>, <0,0,0>, 1 
    scale <30.0, 30.0, 1.0>
    translate  -0.5*z
    material {
      Granit_DO
      // Transform to world space
      translate  <-42.0, 300.0, 0.0>
    }
  }
  cylinder { // Acc_T2
    <0,0,1>, <0,0,0>, 1 
    scale <4.7, 4.7, 15.5>
    rotate -90.0*y
    translate  <-15.75, 0.0, 3.0>
    material {
      Blue_Steel
      // Transform to world space
      translate  <-42.0, 300.0, 0.0>
    }
  }
}
#declare Rim_D = difference {
  cone { // Dock_Rim
    <0,0,0>, 26.1, <0,0,1>, 25.75
    material {
      NR_Chrome_Metal
    }
    scale <1.0, 1.0, 0.4>
    translate  9.8*z
  }
  box { // Rim_Df
    <-1, -1, -1>, <1, 1, 1>
    material {
      Chrome_Metal
    }
    scale <30.0, 16.0, 0.7>
    translate  <0.0, -16.0, 10.0>
  }
  cylinder { // Rim_Int
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome_Metal
    }
    scale <20.0, 20.0, 1.0>
    translate  9.5*z
  }
}
#declare W_Light = union {
  sphere { // D_Light
    <0,0,0>,1
    material {
      W_Green
    }
    scale 0.9
  }
  sphere { // D_Light_H
    <0,0,0>,1
    hollow
    scale 4.0
    material {
      Gr_Light_Tex
      // Transform to world space
      translate  -5.0*z
      scale 1.0/0.15
      translate  <31.0, 0.0, -3.0>
      translate  <-42.0, 300.0, 0.0>
    }
  }
  scale 0.15
  translate  5.0*z
}
#declare W_Light1 = union {
  sphere { // D_Light1
    <0,0,0>,1
    material {
      W_Green
    }
    scale 0.9
  }
  sphere { // D_Light_H1
    <0,0,0>,1
    hollow
    scale 4.0
    material {
      Gr_Light_Tex
      // Transform to world space
      translate  <-15.0, 0.0, -5.0>
      scale 1.0/0.15
      translate  <31.0, 0.0, -3.0>
      translate  <-42.0, 300.0, 0.0>
    }
  }
  scale 0.15
  translate  <15.0, 0.0, 5.0>
}
#declare Airlock = union {
  object { Door_1 }
  object { Door_2 }
  object { W_Light }
  object { W_Light1 }
  object { // Door_3->Door_1
    Door_1
    rotate -105.0*z
    translate  <9.5, -3.05, 0.0>
  }
  object { // Door_4->Door_2
    Door_2
    rotate 105.0*z
    translate  <9.5, 3.05, 0.0>
  }
  translate  <-31.0, 0.0, 3.0>
}
#declare Rl_D = difference {
  torus { // Rail
    20.075, 0.045  rotate -x*90
    material {
      Chrome_Metal
    }
    translate  11.0*z
  }
  box { // Rl_Df
    <-1, -1, -1>, <1, 1, 1>
    material {
      Chrome_Metal
    }
    scale <30.0, 16.0, 0.7>
    translate  <0.0, -16.0, 11.0>
  }
}
#declare D_Rl = union {
  object { Rl_D }
  object { Rl_S1 }
  object { // Rl_S2->Rl_S1
    Rl_S1
    scale <-1.0, 1.0, 1.0>
  }
  cylinder { // Rl_S3
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome_Metal
    }
    scale <0.035, 0.035, 1.0>
    translate  <0.0, 20.075, 10.0>
  }
  object { Rl_S4 }
  object { // Rl_S5->Rl_S4
    Rl_S4
    scale <-1.0, 1.0, 1.0>
  }
  object { Rl_S6 }
  object { // Rl_S7->Rl_S6
    Rl_S6
    scale <-1.0, 1.0, 1.0>
    rotate <-0.0, 0.0, -0.0>
  }
}
union { // Air_Dome
  object { Dome }
  object { Dome_Wnd }
  object { Water }
  object { Access_T }
  object { Dome_Floor }
  object { Rim_D }
  object { Airlock }
  box { // D_Stop
    <-1, -1, -1>, <1, 1, 1>
    scale <1.0, 4.0, 0.3>
    material {
      Blue_Steel
      // Transform to world space
      translate  <-42.0, 300.0, 0.0>
    }
  }
  object { D_Rl }
  box { // Acc_Rm
    <-1, -1, -1>, <1, 1, 1>
    scale <2.1, 10.0, 0.2>
    translate  <-12.0, 29.0, 9.999>
    material {
      NR_Chrome_Metal
      // Transform to world space
      translate  <-42.0, 300.0, 0.0>
    }
  }
  translate  <42.0, -300.0, 0.0>
}


box { // Strip
  <-1, -1, -1>, <1, 1, 1>
  scale <0.25, 2000.0, 0.0005>
  translate  0.1*z
  material {
    Strip_Mat
    // Transform to world space
  }
}


box { // Main_Road
  <-1, -1, -1>, <1, 1, 1>
  scale <6.0, 2000.0, 0.1>
  material {
    HWay
    // Transform to world space
  }
}


object { Diver }


#declare EM_Frame = merge {
  sphere { <0.3000, 0.5500, 0.3000>, 0.2000 }
  sphere { <0.3000, -0.5500, 0.3000>, 0.2000 }
  sphere { <-0.3000, -0.5500, 0.3000>, 0.2000 }
  sphere { <-0.3000, 0.5500, 0.3000>, 0.2000 }
  sphere { <0.3000, 0.5500, -0.3000>, 0.2000 }
  sphere { <0.3000, -0.5500, -0.3000>, 0.2000 }
  sphere { <-0.3000, -0.5500, -0.3000>, 0.2000 }
  sphere { <-0.3000, 0.5500, -0.3000>, 0.2000 }
  cylinder { <0.3000, 0.5500, 0.3000>, <-0.3000, 0.5500, 0.3000>, 0.2000 }
  cylinder { <0.3000, -0.5500, 0.3000>, <-0.3000, -0.5500, 0.3000>, 0.2000 }
  cylinder { <0.3000, -0.5500, -0.3000>, <-0.3000, -0.5500, -0.3000>, 0.2000 }
  cylinder { <0.3000, 0.5500, -0.3000>, <-0.3000, 0.5500, -0.3000>, 0.2000 }
  cylinder { <0.3000, 0.5500, -0.3000>, <0.3000, 0.5500, 0.3000>, 0.2000 }
  cylinder { <0.3000, -0.5500, -0.3000>, <0.3000, -0.5500, 0.3000>, 0.2000 }
  cylinder { <-0.3000, -0.5500, -0.3000>, <-0.3000, -0.5500, 0.3000>, 0.2000 }
  cylinder { <-0.3000, 0.5500, -0.3000>, <-0.3000, 0.5500, 0.3000>, 0.2000 }
  cylinder { <0.3000, 0.5500, 0.3000>, <0.3000, -0.5500, 0.3000>, 0.2000 }
  cylinder { <0.3000, 0.5500, -0.3000>, <0.3000, -0.5500, -0.3000>, 0.2000 }
  cylinder { <-0.3000, 0.5500, -0.3000>, <-0.3000, -0.5500, -0.3000>, 0.2000 }
  cylinder { <-0.3000, 0.5500, 0.3000>, <-0.3000, -0.5500, 0.3000>, 0.2000 }
  box { <-0.3000, -0.5500, -0.5000> <0.3000, 0.5500, 0.5000> }
  box { <-0.3000, -0.7500, -0.3000> <0.3000, 0.7500, 0.3000> }
  box { <-0.5000, -0.5500, -0.3000> <0.5000, 0.5500, 0.3000> }
// Attributes returned success!
  scale 2.0
  rotate -45.0*y
  material {
    Aluminum
    // Transform to world space
    translate  <-2.45, 250.0, -1.15>
    rotate -50.0*z
    scale 1.0/0.85
  }
}
#declare Ck_Ext = difference {
  sphere { // Cp_Ext
    <0,0,0>,1
    material {
      Aluminum
    }
    scale <1.0, 2.0, 1.3>
    rotate 25.0*x
    translate  <0.0, -1.0, 0.5>
  }
  cylinder { // EE_Supp_D
    <0,0,1>, <0,0,0>, 1 
    scale <0.4, 0.4, 2.0>
    rotate <90.0, 0.0, -0.0>
    translate  <0.0, -0.9, -0.8485>
    material {
      Aluminum
      // Transform to world space
      translate  <-2.45, 250.0, -1.15>
      rotate -50.0*z
      scale 1.0/0.85
    }
  }
  cylinder { // WS_D
    <0,0,1>, <0,0,0>, 1 
    material {
      Aluminum
    }
    scale <1.0, 1.5, 2.2>
    rotate <-90.0, -115.0, 90.0>
    translate  <1.1, -2.3, 0.9>
  }
  cylinder { // Fd
    <0,0,1>, <0,0,0>, 1 
    material {
      Aluminum
    }
    scale <0.35, 0.35, 2.0>
    rotate -90.0*y
    translate  <1.0, 0.0, 1.0>
  }
}
#declare Ck_Wsh = difference {
  sphere { // Cp_Glass
    <0,0,0>,1
    material {
      Black_Glass
    }
    scale <0.99, 1.99, 1.29>
    rotate 25.0*x
    translate  <0.0, -1.0, 0.5>
  }
  cylinder { // EE_Supp_D1
    <0,0,1>, <0,0,0>, 1 
    scale <0.42, 0.42, 2.0>
    rotate <90.0, 0.0, -0.0>
    translate  <0.0, -0.9, -0.8485>
    material {
      Aluminum
      // Transform to world space
      translate  <-2.45, 250.0, -1.15>
      rotate -50.0*z
      scale 1.0/0.85
    }
  }
}
#declare E_Fr = merge {
  cylinder { <0,0,1>,<0,0,0>, 1   scale <0.1500, 0.1500, 1.0000> }
  cylinder { <0,0,1>,<0,0,0>, 1   scale <0.2500, 0.2500, 0.8000> translate 0.1000*z }
  torus { 0.1500, 0.1000  rotate -x*90 translate  0.9000*z bounded_by { box { <-0.2520, -0.2520, 0.7980>, <0.2520, 0.2520, 1.0020> } } }
  torus { 0.1500, 0.1000  rotate -x*90 translate  0.1000*z bounded_by { box { <-0.2520, -0.2520, -0.0020>, <0.2520, 0.2520, 0.2020> } } }
  material {
    Aluminum
  }
  rotate -90.0*x
}
#declare Eng = union {
  object { E_Fr }
  object { E_Fin }
  object { // E_Fin1->E_Fin
    E_Fin
    rotate <-0.0, -30.0, 0.0>
    translate  0.0*x
  }
  object { // E_Fin2->E_Fin
    E_Fin
    rotate <-0.0, -60.0, 0.0>
  }
  object { // E_Fin3->E_Fin
    E_Fin
    rotate <0.0, -90.0, 0.0>
    translate  -0.0*z
  }
  object { // E_Fin4->E_Fin
    E_Fin
    rotate <180.0, -60.0, 180.0>
    translate  <0.0, 0.0, 0.0>
  }
  object { // E_Fin5->E_Fin
    E_Fin
    rotate <180.0, -30.0, 180.0>
    translate  0.0*x
  }
  object { // E_Fin6->E_Fin
    E_Fin
    rotate <180.0, 0.0, 180.0>
    translate  0.0*x
  }
  object { // E_Fin7->E_Fin
    E_Fin
    rotate <180.0, 30.0, 180.0>
    translate  <0.0, 0.0, 0.0>
  }
  object { // E_Fin8->E_Fin
    E_Fin
    rotate <180.0, 60.0, 180.0>
    translate  <-0.0, 0.0, 0.0>
  }
  object { // E_Fin9->E_Fin
    E_Fin
    rotate <-0.0, 90.0, 0.0>
    translate  0.0*z
  }
  object { // E_Fin10->E_Fin
    E_Fin
    rotate <-0.0, 60.0, 0.0>
    translate  <-0.0, 0.0, 0.0>
  }
  object { // E_Fin11->E_Fin
    E_Fin
    rotate <-0.0, 30.0, 0.0>
    translate  <-0.0, 0.0, 0.0>
  }
  translate  <0.0, -2.8, -0.8485>
}
#declare Rb_R = merge {
  cylinder { <0,0,1>,<0,0,0>, 1   scale <0.3200, 0.3200, 0.7500> }
  cylinder { <0,0,1>,<0,0,0>, 1   scale <0.4200, 0.4200, 0.5500> translate 0.1000*z }
  torus { 0.3200, 0.1000  rotate -x*90 translate  0.6500*z bounded_by { box { <-0.4220, -0.4220, 0.5480>, <0.4220, 0.4220, 0.7520> } } }
  torus { 0.3200, 0.1000  rotate -x*90 translate  0.1000*z bounded_by { box { <-0.4220, -0.4220, -0.0020>, <0.4220, 0.4220, 0.2020> } } }
  material {
    Rubber
  }
  rotate -90.0*x
  translate  <0.0, 1.0, 0.8>
}
#declare Lk_U = union {
  object { LK_B }
  object { // LK_B1->LK_B
    LK_B
    scale <-1.0, 1.0, 1.0>
  }
  object { LK_B2 }
  object { // LK_B3->LK_B2
    LK_B2
    scale <-1.0, 1.0, 1.0>
  }
  object { LK_B4 }
  object { // LK_B5->LK_B4
    LK_B4
    scale <-1.0, 1.0, 1.0>
  }
  object { LK_B6 }
  object { // LK_B7->LK_B6
    LK_B6
    scale <-1.0, 1.0, 1.0>
  }
  object { LK_B8 }
  object { // LK_B9->LK_B8
    LK_B8
    scale <-1.0, 1.0, 1.0>
    translate  0.0*y
  }
  object { LK_B10 }
  object { // LK_B11->LK_B10
    LK_B10
    scale <-1.0, 1.0, 1.0>
  }
  object { LK_B12 }
  object { // LK_B13->LK_B12
    LK_B12
    scale <-1.0, 1.0, 1.0>
  }
}
#declare Mod = union {
  object { EM_Frame }
  object { W_S }
  cylinder { // EE_Supp
    <0,0,1>, <0,0,0>, 1 
    scale <0.4, 0.4, 1.0>
    rotate <90.0, 0.0, -0.0>
    translate  <0.0, -0.9, -0.8485>
    material {
      Aluminum
      // Transform to world space
      translate  <-2.45, 250.0, -1.15>
      rotate -50.0*z
      scale 1.0/0.85
    }
  }
  object { Ck_Ext }
  object { Ck_Wsh }
  object { Eng }
  object { Roller }
  object { // Roller1->Roller
    Roller
    scale <-1.0, 1.0, 1.0>
  }
  object { Roller2 }
  object { Roller3 }
  object { // Roller4->Roller3
    Roller3
    scale <-1.0, 1.0, 1.0>
  }
  object { // Roller5->Roller2
    Roller2
    scale <-1.0, 1.0, 1.0>
  }
  object { W_S1 }
  object { // W_S2->W_S1
    W_S1
    translate  3.0*y
  }
  cylinder { // B_Ax
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome_Metal
    }
    scale <0.07, 0.07, 8.3>
    rotate -90.0*x
    translate  -0.6*z
  }
  object { F_Mod }
  object { F_Mod1 }
  object { // F_Mod2->F_Mod1
    F_Mod1
    translate  2.5*y
  }
  object { Rb_R }
  object { RollBar1 }
  object { // RollBar2->RollBar1
    RollBar1
    scale <-1.0, 1.0, 1.0>
    rotate <-0.0, 0.0, -0.0>
    translate  0.0*y
  }
  torus { // Ext_Fan
    0.325, 0.125  rotate -x*90
    material {
      Aluminum
    }
    scale <1.0, 1.0, 7.5>
    rotate -90.0*y
    translate  1.0*z
  }
  object { S_Pl }
  object { // S_Pl1->S_Pl
    S_Pl
    scale <-1.0, 1.0, 1.0>
    translate  0.0*y
  }
  object { Ld_Supp }
  object { // Ld_Supp1->Ld_Supp
    Ld_Supp
    scale <-1.0, 1.0, 1.0>
    rotate -0.0*z
    translate  0.0*x
  }
  box { // Ld_B_Supp
    <-1, -1, -1>, <1, 1, 1>
    material {
      Chrome_Metal
    }
    scale <0.15, 4.0, 0.05>
    translate  <0.0, 5.0, 0.2>
  }
  box { // Ld_Supp2
    <-1, -1, -1>, <1, 1, 1>
    material {
      Chrome_Metal
    }
    scale <1.35, 0.05, 0.15>
    translate  <0.0, 1.05, 0.35>
  }
  object { S_Pl2 }
  object { // S_Pl3->S_Pl2
    S_Pl2
    scale <-1.0, 1.0, 1.0>
    rotate <-0.0, -0.0, 0.0>
    translate  <0.0, 0.0, 0.0>
  }
  box { // S_Pl4
    <-1, -1, -1>, <1, 1, 1>
    material {
      Aluminum
    }
    scale <1.1, 0.1, 0.2>
    translate  <0.0, 1.1, -0.9>
  }
  object { Fan1 }
  object { // Fan2->Fan1
    Fan1
    scale <-1.0, 1.0, 1.0>
  }
  object { headlamp }
  object { // headlamp1->headlamp
    headlamp
    scale <-1.0, 1.0, 1.0>
  }
  object { RB_r }
  object { // RB_r1->RB_r
    RB_r
    scale <-1.0, 1.0, 1.0>
    rotate <-0.0, 0.0, -0.0>
    translate  0.0*z
  }
  object { Lk_U }
}
union { // Uw_Tr_Mod
  object { Mod }
  object { Light_Cone2 }
  object { // Light_Cone3->Light_Cone2
    Light_Cone2
    scale <-1.0, 1.0, 1.0>
    rotate <0.0, -0.0, -0.0>
  }
  object { Spotlight004 }
  object { // Spotlight005->Spotlight004
    Spotlight004
    scale <-1.0, 1.0, 1.0>
    rotate <0.0, -0.0, -0.0>
    translate  <0.0, 0.0, 0.0>
  }
  scale 0.85
  rotate 50.0*z
  translate  <2.45, -250.0, 1.15>
}


object { Aq_Plant }


